392eeff: Mon Jun 25 21:45:00 2018 +0200 Tom Reijnders
Fix typo in adaptiveContent

=======================================================

6d08a52: Mon Jun 25 21:22:49 2018 +0200 Tom Reijnders
Prevent adding style-wrap multiple times

=======================================================

f531311: Sun Jun 24 22:41:29 2018 +0200 Tom Reijnders
If available, show results from exit statements too

=======================================================

8d6f425: Sun Jun 24 22:40:03 2018 +0200 Tom Reijnders
Enable sending gradebook result to LMS through LTI

=======================================================

123166e: Sun Jun 24 22:36:33 2018 +0200 Tom Reijnders
Small fixes to lti (also add Apereo header)

=======================================================

c94dcd8: Sun Jun 24 14:22:08 2018 +0200 Tom Reijnders
Revert meaning of themeurl optional parameter

=======================================================

5742c78: Sat Jun 23 16:26:21 2018 +0100 Ron Mitchell
Remove tutorial video from modules/xerte/training and redirect to the same tutorial at https://xot.xerte.org.uk/play.php?template_id=102 saves 25MB of files size in xerte download and means we can update the tutorial at a future point.

=======================================================

66d259a: Sat Jun 23 14:31:25 2018 +0100 Ron Mitchell
Show ticks on connector menu page for visited pages. At the moment this is only set to show ticks if the default of all pages is used. If a start page or end page is added then the ticks will not show. Ideally it should work either way.

=======================================================

6108361: Fri Jun 22 15:59:10 2018 +0100 FayCross
Fix bug where text graphics page would sometimes not load when no text

=======================================================

7c7fa43: Fri Jun 22 11:40:56 2018 +0100 FayCross
Fix bug where Bootstrap header image in themes wouldn't always work in IE

=======================================================

9f17e55: Fri Jun 22 11:13:43 2018 +0100 Ron Mitchell
Cardiff CEIS theme. Needs a solution for the accessibility options especially the high contrast option but upon further investigation so do many of our themes.

=======================================================

5b5f405: Fri Jun 22 09:49:31 2018 +0100 FayCross
Fix bug where bootstrap was breaking if some fields were blank

=======================================================

f63eaa7: Fri Jun 22 09:39:00 2018 +0100 Ron Mitchell
Update editor styles for hightlight styles - change font weight from lighter to normal. Lighter in site themes too thin on iPad etc but also changed for all themes

=======================================================

4f4c10b: Thu Jun 21 16:35:02 2018 +0100 Ron Mitchell
working fix for editor background color

=======================================================

7a3eef6: Wed Jun 20 19:33:26 2018 +0200 Tom Reijnders
Disable advanced tab in link dialog

=======================================================

d3ae1f0: Wed Jun 20 17:33:15 2018 +0200 Tom Reijnders
Update to latest ckeditor

=======================================================

3361394: Wed Jun 20 15:54:01 2018 +0100 Ron Mitchell
fix for display of drak grey theme in editor

=======================================================

f9abd33: Wed Jun 20 15:20:49 2018 +0100 Ron Mitchell
Fix for editor background colour when theme selected has a body background color. Have changed the body css in those themes to not apply to .cke_contents and .cke_reset e.g. don't apply the body background color but do apply the font styles:
body:not(.cke_contents .cke_reset){
	background:$bodybackgroundcolor;
}
body {
	color:$mainfontcolour;
	font-family: $mainfonts;
}

=======================================================

ec9cf9e: Wed Jun 20 14:41:06 2018 +0100 FayCross
Added new 'home page' optional property for use with the historic navigation option

=======================================================

bf1bf59: Tue Jun 19 16:30:44 2018 +0200 Tom Reijnders
Fix linking to page and secton after breaking it introducing url paremeter
for theme

=======================================================

a15339b: Mon Jun 18 19:59:44 2018 +0200 Tom Reijnders
Oops, placed cheking for theme where data was possibly not loaded yet

=======================================================

8cd7df9: Sun Jun 17 23:19:36 2018 +0100 Ron Mitchell
include featherlight and featherlight gallery in decision template

=======================================================

d09d2e0: Sun Jun 17 23:13:22 2018 +0100 Ron Mitchell
Include featherlight and featherlight gallery in site template

=======================================================

73c5c44: Sun Jun 17 22:02:37 2018 +0100 Ron Mitchell
Include featherlight and featherlight gallery in xot template

=======================================================

dde5158: Fri Jun 15 18:06:54 2018 +0100 Ron Mitchell
themeurl optional property for site template

=======================================================

66e1602: Fri Jun 15 15:31:19 2018 +0200 Tom Reijnders
Theme url for decision

=======================================================

f89121b: Fri Jun 15 13:31:54 2018 +0100 Ron Mitchell
Optional property to disable theme change on url. A check for this being true still needs to be added to xenith.

=======================================================

5445a75: Fri Jun 15 14:08:14 2018 +0200 Tom Reijnders
Theme url parameter for site

=======================================================

f29e82d: Fri Jun 15 12:23:32 2018 +0200 Tom Reijnders
Enable theme url parameter (if available in the export)

=======================================================

d921809: Fri Jun 15 11:58:28 2018 +0200 Tom Reijnders
Prevent re-sorting od styles

=======================================================

71597c3: Fri Jun 15 10:35:01 2018 +0100 FayCross
Added page text optional property to Results page

=======================================================

ec1d972: Fri Jun 15 10:12:48 2018 +0100 FayCross
Fix bug where mcq page question always showed 'this is correct/incorrect' text even if there was no correct answer

=======================================================

ebc66c4: Fri Jun 15 00:42:37 2018 +0200 Tom Reijnders
Add popcorn-js as a normal folder

=======================================================

83b7889: Fri Jun 15 00:39:44 2018 +0200 Tom Reijnders
Remove src/popcorn-js as a sub-module (it had a .git folder)

=======================================================

5487dfe: Thu Jun 14 21:36:49 2018 +0200 Tom Reijnders
New page stopTracking

=======================================================

620b0b2: Thu Jun 14 18:21:26 2018 +0100 Ron Mitchell
Display installed version as info icon tooltip

=======================================================

aa84d23: Thu Jun 14 12:03:13 2018 +0100 FayCross
Fixed issue with wordsearch page resizing

=======================================================

d7df394: Thu Jun 14 11:33:29 2018 +0100 FayCross
Added page text optional property to Memory Game page

=======================================================

d85dea8: Thu Jun 14 10:15:09 2018 +0100 FayCross
Fix #774 glossary hover position bug in some themes

=======================================================

0679c75: Thu Jun 14 10:48:48 2018 +0200 Tom Reijnders
Part of #765: Provide for pre-populated templates and learning designs

 - Oops, forgot to update basic.sql that is used for new installs

=======================================================

47a0f74: Thu Jun 14 09:38:44 2018 +0100 FayCross
Minor css change

=======================================================

f60227e: Thu Jun 14 09:30:12 2018 +0100 FayCross
Improved responsiveness of image on model answer page

=======================================================

90581c7: Wed Jun 13 16:50:22 2018 +0100 FayCross
Added default theme previews for Bootstrap & Decision Tree templates

=======================================================

689cad9: Wed Jun 13 11:30:15 2018 +0100 FayCross
Fix #776 glossary can now include maths equations

=======================================================

2be41b3: Wed Jun 13 10:41:39 2018 +0100 FayCross
Added new optional property to quiz page to allow you to change position of score

=======================================================

88663d2: Tue Jun 12 14:52:31 2018 +0200 Tom Reijnders
Add popcorn distribution

 - Adapted vimeo wrapper
 - Going t MediaSite wrapper

=======================================================

d7afcbe: Sun Jun 10 21:53:58 2018 +0100 Ron Mitchell
change default panel and speech bubble link colours for decision and site templates

=======================================================

5671335: Sun Jun 10 21:51:10 2018 +0100 Ron Mitchell
change panel and speech bubble link colours site/bootstrap blue grey theme

=======================================================

97e927a: Sun Jun 10 21:48:03 2018 +0100 Ron Mitchell
change link colours site/bootstrap apereo black green theme

=======================================================

672dd6e: Sun Jun 10 21:41:13 2018 +0100 Ron Mitchell
change link colours site/bootstrap dark grey theme

=======================================================

a2bc219: Sun Jun 10 21:17:08 2018 +0100 Ron Mitchell
change panel and speech bubble link colours for decision themes

=======================================================

664aa91: Sun Jun 10 20:45:50 2018 +0100 Ron Mitchell
change link colours for panels and speech bubbles for xot modern sleek grey theme

=======================================================

e2a7aeb: Sun Jun 10 20:40:51 2018 +0100 Ron Mitchell
change link colours for panels and speech bubbles for xot modern urban blue theme

=======================================================

c6ffc8c: Sun Jun 10 20:34:11 2018 +0100 Ron Mitchell
change panel and speech bubble link colours for xot RGBO theme

=======================================================

66d67af: Sun Jun 10 20:24:16 2018 +0100 Ron Mitchell
change panel and speech bubble link colours for xot modern autumn orange theme

=======================================================

2a98006: Sun Jun 10 18:48:49 2018 +0100 Ron Mitchell
change panel and speech bubble link colors in future teacher theme

=======================================================

7ff7ee3: Sun Jun 10 14:55:28 2018 +0100 Ron Mitchell
changes to link colours for xot Dark Grey theme

=======================================================

26970d2: Sun Jun 10 13:56:05 2018 +0100 Ron Mitchell
make links in panels and speech bubbles white and underlined in xot dark blue grey theme

=======================================================

6d3b150: Sun Jun 10 13:39:07 2018 +0100 Ron Mitchell
make links in xot editor style panels, and speech bubbles white and underlined by default

=======================================================

a289377: Sun Jun 10 13:21:38 2018 +0100 Ron Mitchell
speech bubble color overrides for decision dark grey theme

=======================================================

2835a36: Sun Jun 10 13:17:22 2018 +0100 Ron Mitchell
speech bubble and other color overrides for site/bootstrap Black and Green Apereo theme

=======================================================

0e6234a: Sun Jun 10 13:07:36 2018 +0100 Ron Mitchell
speech bubble color overrides for site/bootstrap Flat Blue and Grey theme

=======================================================

5b8a373: Sun Jun 10 13:01:52 2018 +0100 Ron Mitchell
speech bubble and other editor style overrides for site/bootstrap Black and Grey theme

=======================================================

70eef24: Sun Jun 10 12:43:43 2018 +0100 Ron Mitchell
speech bubble color overrides for xot modern urban blue theme

=======================================================

cd03a67: Sun Jun 10 12:41:32 2018 +0100 Ron Mitchell
Speech bubble colour overrides for xot modern sleek grey theme

=======================================================

a157521: Sun Jun 10 12:34:47 2018 +0100 Ron Mitchell
Speech bubble color overrides for XOT RGBO theme

=======================================================

9d8cb22: Sun Jun 10 12:30:40 2018 +0100 Ron Mitchell
Speech bubble color overrides for XOT modern Autumn Orange theme

=======================================================

32e6ae4: Sun Jun 10 12:25:45 2018 +0100 Ron Mitchell
Editor style overrides for xot sketch theme

=======================================================

10511a6: Sun Jun 10 07:05:21 2018 +0100 Ron Mitchell
Simple change of language string for new template chooser prompt - Instead of choose and enter a name changed to choose then enter a name

=======================================================

034dce8: Sun Jun 10 04:27:03 2018 +0200 Tom Reijnders
Part of #765: Provide for pre-populated templates and learning designs

 - Fix them path (base on parent_template)

=======================================================

a6fd411: Sat Jun 9 20:14:30 2018 +0200 Tom Reijnders
Part of #765: Provide for pre-populated templates and learning designs

 - The available derived templaets appear in a selction list in the
   workspace

=======================================================

5504731: Sat Jun 9 18:11:00 2018 +0200 Tom Reijnders
Part of #765: Provide for pre-populated templates and learning designs

 - Possible to derive from parent templates
 - Tested for Nottingham only for now, but should work for other

=======================================================

eeb4484: Sat Jun 9 09:17:20 2018 +0100 Ron Mitchell
Speech bubble styles for default themes. Variants (colour changes) for modern themes to be added later. Added two lines of css to \editor\js\vendor\ckeditor\skins\moono\editor.css to change the width and height of the combo lists. I guess we need to find a way to do that without changing that skin file?

=======================================================

ce81e72: Fri Jun 8 18:33:38 2018 +0200 Tom Reijnders
Part of #773: Themes and editor styles

=======================================================

8096c51: Fri Jun 8 13:28:41 2018 +0100 Ron Mitchell
change include css line in each of the default themes to lowercase editorstyles.css (didn't matter on Windows but obviously does on Linux)

=======================================================

56edd90: Thu Jun 7 18:45:17 2018 +0100 Ron Mitchell
correct font declaration error in some editorstyles files - change to font-family where required.

=======================================================

9d62d28: Thu Jun 7 16:00:21 2018 +0200 Tom Reijnders
Fixed #772: More than one medialessons in one learningobject causes race
conditions

=======================================================

a2d4123: Thu Jun 7 12:34:48 2018 +0100 Ron Mitchell
Add font colour #000 to Special Container div style because by default it's background of #eee

=======================================================

93d23e9: Thu Jun 7 12:26:01 2018 +0100 Ron Mitchell
change to one of the editor styles colours for this decision darkgrey theme

=======================================================

7b76c1a: Thu Jun 7 12:17:55 2018 +0100 Ron Mitchell
Update editor styles colours for decision darkgrey theme

=======================================================

7949c0e: Thu Jun 7 12:06:11 2018 +0100 Ron Mitchell
Update editor styles colours for bootstrap apereo theme

=======================================================

dd485af: Thu Jun 7 12:03:14 2018 +0100 Ron Mitchell
Update editor styles colours for bootstrap blackgrey theme

=======================================================

623f4fd: Thu Jun 7 11:49:13 2018 +0100 Ron Mitchell
Update editor styles colours for bootstrap bluegrey theme

=======================================================

c089565: Thu Jun 7 11:26:05 2018 +0100 Ron Mitchell
Update editor styles colours for xot dark grey theme

=======================================================

96feb87: Thu Jun 7 10:54:42 2018 +0100 Ron Mitchell
Update editor styles colours for xot modern RGBO theme

=======================================================

99981f7: Thu Jun 7 10:47:45 2018 +0100 Ron Mitchell
Update editor styles colours for xot modern autumn orange theme

=======================================================

cc9caa7: Thu Jun 7 10:41:08 2018 +0100 Ron Mitchell
Update editor styles colours for xot modern sleek grey theme

=======================================================

e8d8aab: Thu Jun 7 10:31:08 2018 +0100 Ron Mitchell
update editor styles colours for xot modern and urban theme

=======================================================

424f332: Thu Jun 7 08:51:20 2018 +0100 Ron Mitchell
update to editor style colours for xot dark bluegrey theme

=======================================================

5d8cfc1: Thu Jun 7 04:14:13 2018 +0200 Tom Reijnders
Use proper way to retrieve lti parameters

=======================================================

448b4d7: Thu Jun 7 04:09:17 2018 +0200 Tom Reijnders
Fix typo

=======================================================

8442ba5: Thu Jun 7 04:07:42 2018 +0200 Tom Reijnders
Use proper way to get lti parameters

=======================================================

d6009ef: Wed Jun 6 21:33:34 2018 +0100 Ron Mitchell
Future Teacher theme

=======================================================

bc2cd45: Wed Jun 6 21:32:01 2018 +0100 Ron Mitchell
remove _editorstyles include file from SCSS folder - moved styles to editorStyles.scss rather than include file

=======================================================

38fdd2a: Wed Jun 6 21:28:53 2018 +0100 Ron Mitchell
the order of the colours to match the Digicomp Edu Framework so that Panel 1-6, Highlight 1-6, Blockquote 1-6 Match the 1-6 colours of the framework e.g. 1. Professional Engagement, 2. Digital Resources, 3. Teaching and Learning, 4. Assessment, 5. Empowering Learners, 6, Facilitating Learners Digital Competence

=======================================================

2284591: Wed Jun 6 22:00:33 2018 +0200 Tom Reijnders
Part of #773: load theme css in editor

=======================================================

17108bb: Wed Jun 6 20:16:15 2018 +0100 Ron Mitchell
tweak to bootstrap editor styles to remove previous customisation of marker, keyboard phrase etc

=======================================================

9e980b6: Wed Jun 6 20:10:57 2018 +0200 Tom Reijnders
Fix typo

=======================================================

a254f12: Wed Jun 6 18:44:46 2018 +0100 Ron Mitchell
changes to show new editor styles in style menu in editor

=======================================================

838404b: Wed Jun 6 18:42:40 2018 +0100 Ron Mitchell
editor styles for each of the project templates and their default themes including styles for panels, highlights and blockquotes.
Means that there is a partial SASS requirement when changing default themes but only for the editorStyles.css and we allready had responsivetext.scss anyway

=======================================================

f9d6017: Wed Jun 6 15:37:00 2018 +0100 FayCross
Changed 'Page Timer' optional property so it's on all page types (not just interactivity ones) and expanded it's functionality so it's now an optional property group

=======================================================

2ddc1bf: Tue Jun 5 23:40:40 2018 +0200 Tom Reijnders
Add support for module parameter on launch (next to group and course)

=======================================================

c3a49e9: Tue Jun 5 23:39:24 2018 +0200 Tom Reijnders
Depracating lti2_launch.php in fovour of lti_launch.php

=======================================================

d7c04f1: Tue Jun 5 23:37:46 2018 +0200 Tom Reijnders
Add stopTracking page (because onUnload is not always triggered)

=======================================================

cd592c5: Sun Jun 3 04:37:32 2018 +0200 Tom Reijnders
Enable translating of terms used in dashboard

=======================================================

b58e022: Sun Jun 3 04:36:25 2018 +0200 Tom Reijnders
Resize activity graph if center panel of workspace is resized

=======================================================

e93143a: Sat Jun 2 18:41:23 2018 +0200 Tom Reijnders
Part of #769 : Added duration to popoverData

=======================================================

902ec92: Sat Jun 2 18:02:19 2018 +0200 Tom Reijnders
Part of #769: Fixate buttons and title.

 - Still goes horribly wrong if windows is too narrow

=======================================================

59187d2: Fri Jun 1 12:09:40 2018 +0100 FayCross
#442 Tooltip icon functionality extended to non-optional properties too
Fixed bug where two icons can appear next to an optional property if there's a tooltip on the group & some of its children
Changed deprecated icon to font awesome rather than png

=======================================================

eaa532f: Thu May 31 17:55:11 2018 +0200 Tom Reijnders
Oops - forgot to commit i18n file

=======================================================

c58ee2d: Thu May 31 14:47:07 2018 +0100 FayCross
Slight changes to xwd

=======================================================

9f90752: Thu May 31 13:28:43 2018 +0100 Ron Mitchell
change loading order of nvd3, bootstrap and dashboard css files to remove impact on workspace
add left padding to dashboard header
removing max width for popover tooltips in dashboard
change width of embed code text box to percentage

=======================================================

6f43007: Thu May 31 13:19:45 2018 +0100 FayCross
#438 Allows timed release of Bootstrap pages & sections with new 'hide from' and 'hide until' optional properties

=======================================================

73f6a9f: Thu May 31 10:21:47 2018 +0100 FayCross
Fixed issues with previous commit (timed release of XOT pages)

=======================================================

9c061cc: Wed May 30 16:06:09 2018 +0100 FayCross
#438 Allows timed release of XOT template pages with new hide until / hide from optional properties

=======================================================

3d3804f: Wed May 30 12:17:42 2018 +0200 Tom Reijnders
Fixed #769: dashboard/workspace issues

=======================================================

d4f1ea4: Wed May 30 11:53:23 2018 +0200 Tom Reijnders
Helper function for dashboard

=======================================================

ee4b571: Wed May 30 09:24:41 2018 +0100 FayCross
Added page timer optional property to all the interactivity pages where it was missing

=======================================================

e836ab6: Wed May 30 10:20:49 2018 +0200 Tom Reijnders
Typo

=======================================================

64a0a27: Tue May 29 10:54:31 2018 +0200 Tom Reijnders
Add xAPI dashboard workspace

=======================================================

514e031: Mon May 28 22:31:28 2018 +0200 Tom Reijnders
Fixed #767: Fix for responsiveness of flashCards breaks new themes

=======================================================

20558b1: Wed May 23 14:52:27 2018 +0100 FayCross
Improved printing of Bootstrap project pages by removing unnecessary navigation & buttons etc from print view & expanding all navigators so that all panes are shown at once

=======================================================

776487d: Wed May 23 10:27:38 2018 +0100 FayCross
Added optional property that allows bootstrap accordion to be collapsed initially

=======================================================

db6a7d8: Thu May 17 11:17:09 2018 +0100 FayCross
Corrected typo in opinion.xwd & licence added to opinion.html

=======================================================

8246361: Thu May 17 11:14:31 2018 +0100 FayCross
Changed the way interactive text dialogs are made so they are styled the same as other dialogs

=======================================================

d40d43d: Thu May 17 11:12:37 2018 +0100 FayCross
More minor changes to various page types to improve how they look when responsive

=======================================================

6d471d2: Wed May 16 18:35:50 2018 +0100 Ron Mitchell
Change "Give this template..." to "Change ownership..." In management area to differentiate between giving a copy via LO properties and changing ownership via management.

=======================================================

4ec2a2f: Fri May 11 16:38:20 2018 +0100 FayCross
More minor changes to various page types to improve how they look when responsive

=======================================================

660758a: Fri May 11 15:30:44 2018 +0100 FayCross
Fix bug introduced into inventory page in previous commit

=======================================================

ee0e473: Fri May 11 15:13:52 2018 +0100 FayCross
Fixed bug where shading of alternate rows in rss feed page wasn't working correctly

=======================================================

afbe511: Fri May 11 15:12:43 2018 +0100 FayCross
Added classes to menu/home button & minimise/maximise button so that themes can more easily change icons for the different button states

=======================================================

33dfb17: Fri May 11 15:10:23 2018 +0100 FayCross
Several minor changes to various page types to improve how they look when responsive

=======================================================

e18fa68: Fri May 11 11:10:37 2018 +0200 Tom Reijnders
Latest generated xwds

=======================================================

08ae837: Fri May 11 11:09:27 2018 +0200 Tom Reijnders
Add adl dashboard code

=======================================================

37c0913: Fri May 11 11:07:33 2018 +0200 Tom Reijnders
Add titles to opinion classes to change titles of radar graph without
disturbing tracking

=======================================================

0886782: Fri May 11 11:03:10 2018 +0200 Tom Reijnders
Fixed adaptiveContent and fixed some minor bugs

 - Retrieve records using XTGetStatements so the same endpoint can be used
   as writing records

=======================================================

84eba4e: Fri May 11 11:00:24 2018 +0200 Tom Reijnders
Added extra tracking for xAPI and method to retrieve records

 - Added length in context of Video profile statements
 - Added records to contain score per opinion class (for adaptive Content)
 - Added method to retrieve xAPI statements

=======================================================

9108153: Tue May 8 11:59:15 2018 +0200 Tom Reijnders
Fix size of feedback in textMatch

=======================================================

4a659e8: Tue May 8 11:42:08 2018 +0200 Tom Reijnders
Update upgrade to remove really annoying files left in place

 - responsivetext.css files in the 'standard' themes

=======================================================

6d073cf: Mon May 7 23:30:41 2018 +0200 Tom Reijnders
Tweak sizing of flashCards

=======================================================

24c5be6: Mon May 7 23:29:45 2018 +0200 Tom Reijnders
Fix textMatch maxAttemtps logic

=======================================================

e9b935a: Mon May 7 23:26:50 2018 +0200 Tom Reijnders
Correct rounding of general average

=======================================================

48eea70: Mon May 7 23:24:52 2018 +0200 Tom Reijnders
Tweak quiz inline images n question to look the same as mcq

=======================================================

afbc2c4: Fri May 4 23:25:20 2018 +0200 Tom Reijnders
Fix medialesson (if you go back to the page after visiting)

=======================================================

61540c6: Fri May 4 19:18:57 2018 +0200 Joris Burgers
Finalized adaptive content

=======================================================

f7b0131: Fri May 4 12:15:33 2018 +0200 Tom Reijnders
Add xAPI tracking according to Video Profile in MediaLesson

=======================================================

7910095: Wed May 2 22:41:49 2018 +0200 Tom Reijnders
Fix typo

=======================================================

16e9ae2: Wed May 2 15:42:33 2018 +0200 Tom Reijnders
Fix xAPI record

=======================================================

8a3585a: Mon Apr 30 15:44:48 2018 +0200 Joris Burgers
Added user selection for statements

=======================================================

e8ba198: Sun Apr 29 21:24:57 2018 +0200 Joris Burgers
Resolve conflicts

=======================================================

1b2cfb2: Sat Apr 28 21:03:04 2018 +0200 Tom Reijnders
Typo

=======================================================

66262d2: Tue Apr 24 21:28:50 2018 +0200 Tom Reijnders
Fix #755 - problem with menu navigation and menu with page controls

 - Will also push to master

=======================================================

6edaace: Mon Apr 23 16:57:43 2018 +0100 Ron Mitchell
Fix contrast issue with menu buttons with Modern: urban Blue theme when LO set to Menu or Menu with controls navigation.

=======================================================

f3d40ce: Fri Apr 20 16:03:42 2018 +0100 FayCross
New option to allow auto scrolling of carousel navigators in Bootstrap template

=======================================================

4f2c3d3: Fri Apr 20 14:48:39 2018 +0100 FayCross
Fix bug where background image field being blank would stop page loading

=======================================================

cac4ae6: Fri Apr 20 14:14:52 2018 +0100 FayCross
Minor change to glossary so works will be highlighted if in brackets

=======================================================

b63407b: Thu Apr 19 17:00:42 2018 +0200 Tom Reijnders
Fix fontawesom in Django

=======================================================

f4b4e02: Thu Apr 19 16:59:42 2018 +0200 Tom Reijnders
Fix cmi.exit

=======================================================

faff2d7: Thu Apr 19 16:57:19 2018 +0200 Tom Reijnders
Remove inclusion of old fontawesome

=======================================================

40ecf43: Wed Apr 18 21:53:16 2018 +0200 Tom Reijnders
Fixed #732 - Langstring element format not compliant with SCORM standard

=======================================================

e32e71e: Wed Apr 18 21:12:55 2018 +0200 Tom Reijnders
Fixed #732 - Langstring element format not compliant with SCORM standard

=======================================================

e9cd8ba: Wed Apr 18 21:11:54 2018 +0200 Tom Reijnders
Fix scorm 2004 3rd deleted XTTerminate

=======================================================

2021926: Wed Apr 18 21:05:31 2018 +0200 Tom Reijnders
Fixed #733 - SCORM export bug

=======================================================

708e312: Wed Apr 18 19:42:51 2018 +0200 Tom Reijnders
Fix youtube control and enable playsinline for youtube on iPhone

=======================================================

edd6ceb: Wed Apr 18 17:21:00 2018 +0100 Ron Mitchell
Changes to results page functionality for when ask user name is selected. Increase dialogue height to work on larger windows, increase margin between Name and General details in pdf, in theory change dialogue title and prompt to Enter Full Name and Name: But at the moment I'm not seeing that change.

=======================================================

1ea42a4: Wed Apr 18 16:45:34 2018 +0200 Tom Reijnders
Fix sizing of horizontal panesl for mobile (margin calculation is off)

=======================================================

394604c: Wed Apr 18 14:58:37 2018 +0100 Ron Mitchell
Remove redundant media lesson css

=======================================================

245b20f: Wed Apr 18 14:51:35 2018 +0200 Tom Reijnders
Fix ahring as co-author

=======================================================

4eba3af: Wed Apr 18 13:48:31 2018 +0200 Tom Reijnders
Fix offline zip export

=======================================================

8cc86bb: Wed Apr 18 10:42:15 2018 +0200 Tom Reijnders
Fix panel sizes of medaLesson

=======================================================

819e212: Wed Apr 18 10:41:35 2018 +0200 Tom Reijnders
Remove debugger statement

=======================================================

b3e80a0: Wed Apr 18 09:00:33 2018 +0200 Tom Reijnders
Fix responsivetext

=======================================================

cee4635: Tue Apr 17 21:28:54 2018 +0200 Tom Reijnders
Make changing languages more robust

=======================================================

c719d75: Tue Apr 17 21:08:58 2018 +0200 Tom Reijnders
Fix 'go to next page' for opinion

=======================================================

fd5e67f: Tue Apr 17 13:53:40 2018 +0100 Ron Mitchell
slight tweak to slider width

=======================================================

6e41688: Tue Apr 17 14:23:36 2018 +0200 Tom Reijnders
Fix for submit in opinion

=======================================================

fc82230: Mon Apr 16 22:58:09 2018 +0200 Tom Reijnders
Limit responsive height of inout to optionGroup class

=======================================================

f4184b7: Mon Apr 16 22:49:49 2018 +0200 Tom Reijnders
Fix padding of qNo in opinion

=======================================================

612f8a9: Mon Apr 16 22:29:17 2018 +0200 Tom Reijnders
Fix navigating back to opinion page (restart)

=======================================================

e2d4265: Mon Apr 16 20:46:41 2018 +0200 Tom Reijnders
Fix submit of opinion

=======================================================

e64d6be: Mon Apr 16 19:05:10 2018 +0100 Ron Mitchell
Change the styling of the opinion page sliders to match the Dark: Blue Grey theme

=======================================================

4b8cf66: Mon Apr 16 18:50:21 2018 +0100 Ron Mitchell
Change the styling of the opinion page sliders to match the modern: RGBO theme

=======================================================

1b05d80: Mon Apr 16 18:34:06 2018 +0100 Ron Mitchell
Change the styling of the opinion page sliders to match the modern: Sleek Grey theme

=======================================================

da149fe: Mon Apr 16 18:25:47 2018 +0100 Ron Mitchell
Change the styling of the opinion page sliders to match the Modern: Autumn Orange theme

=======================================================

b5a2aed: Mon Apr 16 18:21:50 2018 +0100 Ron Mitchell
change opinion page slider styling to match the modern: Urban Blue theme

=======================================================

dd2e935: Mon Apr 16 19:16:17 2018 +0200 Tom Reijnders
Resolve conflict

=======================================================

1043e3a: Mon Apr 16 15:47:37 2018 +0100 Ron Mitchell
tweak to orangeandpurple theme to accommodate opinion page

=======================================================

1c8ca0b: Mon Apr 16 15:42:12 2018 +0100 Ron Mitchell
fix opinion page styles for dark grey theme

=======================================================

d08f78c: Mon Apr 16 15:35:22 2018 +0100 Ron Mitchell
tweak alignment settings on opinion page slider

=======================================================

39bc6d3: Mon Apr 16 15:34:03 2018 +0100 Ron Mitchell
updates to modern themes to accommodate opinion page styling

=======================================================

1519532: Mon Apr 16 08:32:54 2018 +0200 Tom Reijnders
Fixes and enhancements for opinion

=======================================================

8ec5ef9: Sun Apr 15 17:59:48 2018 +0100 Ron Mitchell
Clarify that show graph page only works in tandem with the opinion page and xAPI.

=======================================================

a6f9fd0: Sun Apr 15 14:34:25 2018 +0100 Ron Mitchell
update preview info for opinion and show graph pages including thumb for show graph.

=======================================================

3e2eff0: Sun Apr 15 14:05:46 2018 +0100 Ron Mitchell
chane opinion and show graph pages to responsive and reduce tick font size.

=======================================================

56a67a1: Tue Apr 10 16:40:55 2018 +0100 Ron Mitchell
Quick fix for display of buttons top of management area. Doesn't resolve the display in IE but works ok in Edge. Longer term I think we need a more elegant solution that works across all browsers and for languages where the buttons are even longer than English like Dutch!

=======================================================

461c11f: Mon Apr 9 13:11:29 2018 +0200 Joris Burgers
Added initial adaptive content file

=======================================================

2b0b902: Mon Apr 9 12:26:14 2018 +0200 Tom Reijnders
Add adaptivecontent

=======================================================

561a8f4: Mon Apr 9 12:13:57 2018 +0200 Tom Reijnders
Added adaptive content

=======================================================

31e4ba1: Sat Apr 7 21:47:05 2018 +0200 Tom Reijnders
Fix for undefined lables after duplicated new nodes

=======================================================

e012341: Sat Apr 7 18:34:29 2018 +0200 Tom Reijnders
Improve hints (tooltips) of optional parameters

 - Add icon
 - Make sure groups have tooltips if one of the options has a tooltip

=======================================================

f420485: Sat Apr 7 18:33:22 2018 +0200 Tom Reijnders
Group some parameters and fix type in mediaLesson

=======================================================

ed4a7a6: Thu Apr 5 15:52:23 2018 +0100 FayCross
Tweaked size of multiple perspectives buttons for smaller screens

=======================================================

1e837f5: Thu Apr 5 15:22:47 2018 +0100 FayCross
Stylesheet loading in Bootstrap now works in similar way to XOT template so interface pauses loading until css files have fully loaded. This avoid occasional issues where default theme styles can end up overriding other themes.

=======================================================

4b8c93d: Thu Apr 5 13:10:27 2018 +0200 Tom Reijnders
Fix grouping management

=======================================================

07b6810: Thu Apr 5 11:32:27 2018 +0200 Tom Reijnders
Add mobile landscape opimized theme

=======================================================

ad60a96: Thu Apr 5 11:31:19 2018 +0200 Tom Reijnders
Fix typo

=======================================================

15c4a19: Thu Apr 5 11:30:42 2018 +0200 Tom Reijnders
Improve responsiveness of media lesson

=======================================================

1b95c7b: Thu Apr 5 11:28:35 2018 +0200 Tom Reijnders
Add date to lockfile

=======================================================

2c43dcb: Wed Apr 4 17:23:48 2018 +0200 Tom Reijnders
Update language

=======================================================

b25c09a: Thu Mar 29 14:57:35 2018 +0200 Tom Reijnders
Small fix in viewed

=======================================================

5a32d79: Thu Mar 29 13:24:55 2018 +0100 FayCross
Fix #750 where tracking code breaking menu navigation projects

=======================================================

c1cca1c: Thu Mar 29 11:10:46 2018 +0100 FayCross
Fix #748 bug where navigation bar colour optional property was breaking projects
Also, made the header, footer & nav bar optional properties work more predictably when used with various themes

=======================================================

d08030e: Wed Mar 28 13:13:34 2018 +0200 Tom Reijnders
Bug fixes fter moving to other xAPI wrapper

=======================================================

b3a1957: Wed Mar 28 12:23:09 2018 +0200 Tom Reijnders
Restrict lti/xAPI tab to Nottingham template

=======================================================

ff94c90: Wed Mar 28 12:22:15 2018 +0200 Tom Reijnders
Remove alert

=======================================================

03fea6e: Mon Mar 26 22:15:49 2018 +0200 Tom Reijnders
Fix non-tsugi install
n-tsugi install

=======================================================

dce6c4d: Sun Mar 25 23:22:14 2018 +0200 Tom Reijnders
Enhancements and fixes on xAPI tracking

 - Added Category to Learning object, uses categories from management page
 - Added Grouping to each page, uses Groupings from management page
 - Both are added to xAPI context if set
 - Changed from TinCanJS to ADL.XAPIWrapper
 - Fixed some errors in xAPI records

=======================================================

40705df: Sun Mar 25 15:50:31 2018 +0200 Tom Reijnders
Fix non-tsugi

=======================================================

5f54cd7: Sun Mar 25 15:49:31 2018 +0200 Tom Reijnders
Simplify pedit tracking

=======================================================

e2329ee: Sat Mar 24 16:13:10 2018 +0000 Ron Mitchell
Add note to older LTI/Moodle settings in management to clarify not part of Tsugi/LTI.

=======================================================

3037c31: Sat Mar 24 15:54:17 2018 +0000 Ron Mitchell
Correct a couple of small typos in Tsugi not available instructions.

=======================================================

1090157: Sat Mar 24 14:47:33 2018 +0000 Ron Mitchell
Change LTI and xAPI instructions including link to how to install Tsugi on xot.xerte.org.uk. Also change xAPI LRS student id mode: to learner id mode:

=======================================================

c67cef4: Sat Mar 24 13:51:38 2018 +0000 Ron Mitchell
Added note to older LTIDocumentation.txt to clarify that is not part of the newer TSUGI/LTI developments added in 3.6.

=======================================================

31b27e2: Wed Mar 21 16:01:46 2018 +0000 FayCross
#666 Interactive diagram labelling activity fix where some labels weren't being placed/marked correctly on some themes. Also fixed a bug where moving labels using keyboard only wasn't working

=======================================================

9c0ab7c: Wed Mar 21 15:04:04 2018 +0000 John Horne
Add the '@' and email domain only if it has been configured.

=======================================================

eaa89d8: Wed Mar 21 14:57:01 2018 +0000 John Horne
Only add '@' to email addr if the domain has been configured.

=======================================================

e514c81: Wed Mar 21 14:47:57 2018 +0000 John Horne
Only add '@' to email addr if the domain has been configured.

=======================================================

663e9a0: Wed Mar 21 13:33:57 2018 +0000 FayCross
Fixed bug where some links stopped all Bootstrap sections from loading

=======================================================

77645a0: Wed Mar 21 12:23:10 2018 +0000 FayCross
Fixed bug where decision tree (template & page) slider questions didn't show correct value on slider when answer was typed in text field

=======================================================

16b027c: Sun Mar 18 15:52:19 2018 +0100 Tom Reijnders
Fix tracking

=======================================================

1d33dbf: Sun Mar 18 15:51:18 2018 +0100 Tom Reijnders
Fix leavePage

=======================================================

9d9fc71: Sun Mar 18 15:50:30 2018 +0100 Tom Reijnders
Add tracking (store answer in xAPI, and show on results page)

=======================================================

42fad23: Sun Mar 18 15:49:57 2018 +0100 Tom Reijnders
Prevent javascript error if there are no synch points

=======================================================

2d8c207: Sun Mar 18 15:48:51 2018 +0100 Tom Reijnders
Fix tracking differenses and refactor use of page_name (xapi)

=======================================================

4d06d01: Sun Mar 18 15:47:45 2018 +0100 Tom Reijnders
Fix tickmarks in timeline and matching text

=======================================================

ba0fd65: Fri Mar 16 15:16:27 2018 +0000 FayCross
Slight improvement to flash cards page

=======================================================

f4d9b07: Fri Mar 16 14:23:04 2018 +0000 FayCross
Better fix for #728 dialog issue

=======================================================

8c5064f: Fri Mar 16 13:43:41 2018 +0000 FayCross
Fixed bug where optional property scripts added to results page were always being triggered on every page view

=======================================================

64f619c: Fri Mar 16 11:52:13 2018 +0000 FayCross
#666 multiple perspective ipad issue fixed where thumbnails weren't always aligning correctly

=======================================================

017182d: Fri Mar 16 11:09:16 2018 +0000 FayCross
#666 Reduced size of thumbnail bar buttons when responsive

=======================================================

0939096: Thu Mar 15 16:49:49 2018 +0100 Tom Reijnders
Make more robust

=======================================================

61977d1: Thu Mar 15 16:47:06 2018 +0100 Tom Reijnders
Fix tracking of TimeLine

=======================================================

cd6da07: Thu Mar 15 14:49:29 2018 +0000 FayCross
Accessibility & resizing improvements to navigator page

=======================================================

90aa489: Thu Mar 15 14:44:38 2018 +0100 Tom Reijnders
Rename XTSetAttendace to XTSetViewed

=======================================================

3885f94: Thu Mar 15 12:24:54 2018 +0000 FayCross
Fix #729 where author support information was showing on exported projects

=======================================================

19cf1f8: Thu Mar 15 12:04:14 2018 +0000 FayCross
Various changes to multiple perspectives page:
- fixed 'play all' bug where last media not auto playing
- moved some responsive text css from perspectives.css to main responsivetext.css
- made thumbnail captions slightly smaller

=======================================================

e0007e7: Thu Mar 15 09:40:18 2018 +0000 Ron Mitchell
Change display name of apereo theme to Flat: Black and Green

=======================================================

5e7736d: Mon Mar 12 00:19:36 2018 +0100 Tom Reijnders
Rename pedit_play.php to pedit_launch.php

=======================================================

97dedec: Sun Mar 11 23:52:27 2018 +0100 Tom Reijnders
Improve and enhance xAPI tracking

- enable actor id forr pedit_play.php

=======================================================

e1f4310: Sun Mar 11 23:49:15 2018 +0100 Tom Reijnders
Fix #736 and #737 - Enable Vimeo fullscreen button

=======================================================

413ad18: Sun Mar 11 23:48:19 2018 +0100 Tom Reijnders
Improve tracking consistency

=======================================================

04e4aad: Sat Mar 10 16:01:50 2018 +0100 Tom Reijnders
Fix #735 - XAMPP - issue loading xml files

=======================================================

783e300: Fri Mar 9 16:06:32 2018 +0000 FayCross
Slight change to previous commit

=======================================================

efc4fc9: Fri Mar 9 15:39:56 2018 +0000 FayCross
Improved code for using iframe in video page

=======================================================

77dde7d: Thu Mar 8 22:40:48 2018 +0100 Tom Reijnders
Add pedit_xapi tracking

=======================================================

1e09557: Thu Mar 8 22:39:05 2018 +0100 Tom Reijnders
Fix completion tracking

=======================================================

aebf571: Thu Mar 8 22:38:10 2018 +0100 Tom Reijnders
Fix storing settings in tsugi

=======================================================

1bb89c3: Thu Mar 8 22:36:35 2018 +0100 Tom Reijnders
Fix extra access settings setup in management

=======================================================

4dd47a4: Thu Mar 8 14:00:32 2018 +0100 Tom Reijnders
Change exit of page

=======================================================

d43de61: Thu Mar 8 09:59:47 2018 +0000 FayCross
Button sequence - css fix so new blocks always appear completely below the previous ones

=======================================================

358e69a: Wed Mar 7 16:22:01 2018 +0000 FayCross
Fix bug where interface wouldn't load if title page had bg image & no text

=======================================================

d9509bc: Wed Mar 7 15:03:05 2018 +0000 FayCross
Corrected typos in xwd files

=======================================================

567592f: Tue Mar 6 12:03:21 2018 +0100 Joris Burgers
Added learning object url to all xAPI statement

=======================================================

54c1844: Fri Mar 2 16:06:05 2018 +0100 Tom Reijnders
Merged

=======================================================

bb88887: Fri Mar 2 15:23:18 2018 +0100 Tom Reijnders
Add score for gapFill dropdown

=======================================================

4b3732e: Fri Mar 2 15:22:09 2018 +0100 Tom Reijnders
Fix showGraph, to take studentmode into account

=======================================================

b229108: Fri Mar 2 15:17:29 2018 +0100 Tom Reijnders
Make sure installation works without TSUGI installed

=======================================================

88188b3: Fri Mar 2 15:16:45 2018 +0100 Tom Reijnders
Remove xAPI export package

=======================================================

003dfaf: Fri Mar 2 14:13:30 2018 +0100 Tom Reijnders
Remove config data

=======================================================

3bc8ce6: Fri Mar 2 14:08:00 2018 +0100 Tom Reijnders
Delete tsugi folder

=======================================================

e3dc55f: Mon Feb 26 11:16:56 2018 +0100 Tom Reijnders
Fix Export

=======================================================

82bd890: Mon Feb 26 11:16:19 2018 +0100 Tom Reijnders
Fix LDAP to make sure it works on AD

=======================================================

0d5d37d: Mon Feb 26 11:15:32 2018 +0100 Tom Reijnders
Fix launch URL when student_id_mode is group

=======================================================

2bc4af4: Mon Feb 26 11:14:22 2018 +0100 Tom Reijnders
Fix tracking of fill-in

=======================================================

0279d55: Mon Feb 26 11:11:35 2018 +0100 Tom Reijnders
Fix gapFill tracking

=======================================================

72cf77c: Tue Feb 20 23:57:03 2018 +0100 Tom Reijnders
xAPI tracking fixes

=======================================================

17ea2d3: Tue Feb 20 23:45:47 2018 +0100 Tom Reijnders
Fix download of pdf (extension)

=======================================================

e5de59a: Mon Feb 19 20:36:58 2018 +0100 Tom Reijnders
pedit support

=======================================================

738bc9c: Fri Feb 16 15:30:15 2018 +0000 FayCross
Stop audio slideshow jumping to top of screen when playing on mobiles

=======================================================

619e00d: Fri Feb 16 13:53:13 2018 +0000 FayCross
Gap fill hint made responsive

=======================================================

1720c0e: Fri Feb 16 11:03:20 2018 +0000 FayCross
Better fix for previous commit

=======================================================

b3271f3: Fri Feb 16 10:33:43 2018 +0000 FayCross
Blocks on hyperlinks page are now of equal height

=======================================================

82c4009: Fri Feb 16 09:39:45 2018 +0000 FayCross
Slight changes to p & h3 padding so it looks better when responsive

=======================================================

b5d9490: Fri Feb 16 09:23:00 2018 +0000 Ron Mitchell
Remove cursors inadvertently captured in theme screenshots

=======================================================

b78f0e0: Fri Feb 16 09:22:13 2018 +0000 Ron Mitchell
Remove cursor inadvertently captured in theme screenshot

=======================================================

426161f: Wed Feb 14 14:46:00 2018 +0000 FayCross
Updated morphImages page to make image more responsive

=======================================================

11fb5b3: Wed Feb 14 11:47:24 2018 +0000 FayCross
Improved textGraphics page responsiveness

=======================================================

90fdf85: Fri Feb 9 16:34:17 2018 +0000 FayCross
Updated textGraphics page to make image more responsive (WIP - testing with mobiles / themes etc.)

=======================================================

745995e: Fri Feb 9 13:18:12 2018 +0000 FayCross
#728 dialog button alignment fix

=======================================================

09e5da9: Fri Feb 9 11:36:44 2018 +0000 FayCross
Fix bug where text doesn't show on PDF page unless PDF width optional property is added

=======================================================

5320f89: Wed Feb 7 16:59:49 2018 +0000 Ron Mitchell
Testing reducing the right margin of the first panel of the media lesson page in the Dark: Blue Grey theme to see if that resolves display issues on iPad etc.

=======================================================

5a179e7: Tue Feb 6 17:34:23 2018 +0000 Ron Mitchell
Modern: RGBO xot theme

=======================================================

4c30a3a: Tue Feb 6 10:56:42 2018 +0000 Ron Mitchell
updated screenshot for Autumn Orange theme

=======================================================

e30c4da: Tue Feb 6 10:53:49 2018 +0000 Ron Mitchell
Modern: Autumn Orange theme

=======================================================

0b34ae9: Mon Feb 5 12:18:06 2018 +0000 Ron Mitchell
Show progress bar when viewed in portrait mobile for this particular theme.

=======================================================

7343921: Mon Feb 5 12:16:42 2018 +0000 Ron Mitchell
Show progress bar when viewed in portrait mobile for this particular theme.

=======================================================

130c684: Mon Feb 5 12:14:14 2018 +0000 Ron Mitchell
Show progress bar when viewed in portrait mobile for this particular theme.

=======================================================

4c768ff: Mon Feb 5 12:06:12 2018 +0000 Ron Mitchell
Hide progress bar by default for all XOT themes when viewed in portrait mode on mobiles by setting #x_footerProgress to display: none.
Note: if required change to display:block on themes where FA buttons are used and change size of font/buttons accordingly.

=======================================================

f22bf3c: Sat Feb 3 15:35:01 2018 +0100 Joris Burgers
Added name to xAPI lanuch, made xAPI SaveStatement possibly async, added xAPI exited statement

=======================================================

8e0d026: Fri Feb 2 16:50:06 2018 +0000 Ron Mitchell
Change h1 in header back to white.

=======================================================

6163317: Fri Feb 2 15:37:48 2018 +0100 Joris Burgers
Added session id to group interactions.

=======================================================

8d694d4: Fri Feb 2 12:05:18 2018 +0000 Ron Mitchell
Change to footer link colours in Bootstrap Apereo theme

=======================================================

abc40ba: Fri Feb 2 11:54:01 2018 +0000 Ron Mitchell
convert bootstrap blue grey theme to scss and tweak one or two colours

=======================================================

b288aac: Fri Feb 2 10:18:03 2018 +0000 Ron Mitchell
Convert bootstrap black grey theme to use scss

=======================================================

e2b0f6f: Thu Feb 1 18:31:08 2018 +0000 Ron Mitchell
Bootstrap theme approximating Apereo Website colours and fonts etc.

=======================================================

fa54369: Thu Feb 1 10:11:19 2018 +0000 FayCross
Fixed RegExp in previous commit to also work when containing line breaks

=======================================================

326c82e: Wed Jan 31 10:48:49 2018 +0000 FayCross
Decision tree template - Force http iframes to use https when viewed in https projects

=======================================================

19b3c4a: Tue Jan 30 07:35:32 2018 +0100 Tom Reijnders
Fix Ukrainian language file (should be code uk-UA)

=======================================================

2b2d65b: Mon Jan 29 22:28:51 2018 +0100 Tom Reijnders
Add Ukrainian (uk-UA) language

=======================================================

340f7f6: Mon Jan 29 22:28:08 2018 +0100 Tom Reijnders
Fix export (probably a merge error)

=======================================================

1875a56: Sat Jan 27 12:26:19 2018 +0000 Ron Mitchell
Change default font size in Dark: Grey template to 12pt otherwise too small on mobile devices. VMIN size set for 768 width and above within media query.

=======================================================

6ee6400: Sat Jan 27 12:25:48 2018 +0000 Ron Mitchell
Change default font size in Flat: Blue & Grey template to 12pt otherwise too small on mobile devices. VMIN size set for 768 width and above within media query.

=======================================================

7779a91: Sat Jan 27 12:23:46 2018 +0000 Ron Mitchell
Change default font size in Dark: Grey template to 12pt otherwise too small on mobile devices. VMIN size set for 768 width and above within media query.

=======================================================

a1a1dbf: Fri Jan 26 13:07:23 2018 +0000 Ron Mitchell
Change editor size for decision template to match the other templates e.g. change width to 1280. This is better on higher resolutions now that we have the theme info and thumbnails taking up space and have tested at lower resolution e.g. 1024 and the editor just fits the window even if the width in the info file is larger than that device resolution width. So the editor reduces to fit screen but doesn't enlarge to fit screen if larger than the value in the info file.

=======================================================

7496fec: Fri Jan 26 12:30:07 2018 +0000 Ron Mitchell
New high contrast Dark: Grey theme for Decision template

=======================================================

66594db: Fri Jan 26 12:28:03 2018 +0000 Ron Mitchell
Better screenshot for Blue & Grey decision template theme

=======================================================

b69d4d9: Fri Jan 26 11:34:36 2018 +0000 Ron Mitchell
Slight tweaks to decision template blue & grey theme

=======================================================

2554d41: Fri Jan 26 09:19:44 2018 +0000 FayCross
Delete the test decision tree theme now Ron's committed a proper one

=======================================================

f3c3465: Thu Jan 25 17:14:24 2018 +0000 Ron Mitchell
Experimental theme named Section pages. This is based on the UoN project developed by Aaron Fecowycz from UoN to mimic the Book module in Moodle. Some of the UoN specific code has been removed and at the moment this template only works with one page but there is probably scope to change that and improve on how this works. Have committed for other developers to explore and comment and this template may be removed if deemed unsuitable.

=======================================================

7e14d12: Thu Jan 25 16:52:42 2018 +0000 Ron Mitchell
Bluegreyorange theme for decision Tree Template. Text and images are responsive when viewed at 768px width or above. Needs better thumbnail image.

=======================================================

b91bc12: Thu Jan 25 14:33:39 2018 +0000 FayCross
Force http iframes to use https when viewed in https projects

=======================================================

e7b1194: Wed Jan 24 16:00:19 2018 +0000 FayCross
Click to view larger preview of theme thumbnails in editor

=======================================================

f056874: Wed Jan 24 13:55:33 2018 +0000 FayCross
Changed tick/cross.png to Font Awesome icon in a number of pages

=======================================================

2aeb2b8: Tue Jan 23 12:24:53 2018 +0000 Ron Mitchell
Updated description for bootstrap theme: Dark: Black & Grey

=======================================================

ae2b81e: Tue Jan 23 12:23:37 2018 +0000 Ron Mitchell
Flat: Blue & Grey bootstrap theme

=======================================================

8f4db23: Tue Jan 23 12:09:49 2018 +0000 Ron Mitchell
Modern: Sleek Grey theme

=======================================================

54cd3b3: Mon Jan 22 16:21:42 2018 +0100 Tom Reijnders
Fix xAPI link

=======================================================

8b703e2: Mon Jan 22 16:17:15 2018 +0100 Tom Reijnders
Refactoring because of xAPI tracking

=======================================================

c8e791f: Mon Jan 22 12:10:21 2018 +0100 Tom Reijnders
Add group id mode

=======================================================

06be669: Mon Jan 22 11:58:55 2018 +0100 Tom Reijnders
Refactoring of XTTracking interface for xAPI

=======================================================

2b8f280: Mon Jan 22 10:28:57 2018 +0100 Joris Burgers
Fixed upgrade problem with redefined functions

=======================================================

ec961fc: Fri Jan 19 16:23:54 2018 +0000 Ron Mitchell
updated theme names and descriptions for all existing XOT template themes and new theme named Dark: Blue Grey

=======================================================

f375463: Fri Jan 19 16:16:52 2018 +0000 FayCross
Changed tick/cross.png to Font Awesome icon in dialog & dictation pages

=======================================================

24684ee: Fri Jan 19 15:53:38 2018 +0000 FayCross
Changed layout of results table & changed tick/cross icons to use those set in the theme

=======================================================

fac2269: Fri Jan 19 10:26:33 2018 +0000 FayCross
Changed dialog close icon to font awesome & added this & table of contents visited icon to themeStyles.css so the icons used can be changed in themes

=======================================================

80b7a41: Fri Jan 19 09:47:40 2018 +0000 FayCross
Moved Font Awesome icon css out of page models & into mainStyles.css

=======================================================

ce3d637: Thu Jan 18 14:20:51 2018 +0000 FayCross
Change Font Awesome icons in new navigator page

=======================================================

469ea64: Thu Jan 18 13:57:53 2018 +0000 FayCross
Created Xerte specific FA icon classes so that the icons used can be set in theme css

=======================================================

6cbc6db: Thu Jan 18 11:57:30 2018 +0000 Ron Mitchell
Final tweaks of modern and urban theme unless issues found. Shortened name back to just Modern and Urban as thumbnail and description should explain what the theme looks like.

=======================================================

e3f52de: Thu Jan 18 11:46:31 2018 +0000 FayCross
Continued work on replacing jquery icons with FA icons & making them work better when responsive

=======================================================

afc46bd: Wed Jan 17 17:05:22 2018 +0000 FayCross
Font awesome icons replace jquery icons on page models (wip)
Fixed bug that was stopping previous button working on Flickr page

=======================================================

ca0428e: Tue Jan 16 17:45:53 2018 +0000 Ron Mitchell
Further changes to Modern and Urban theme including expanded name and description in info file and further css tweaks

=======================================================

ca513fe: Mon Jan 15 14:15:13 2018 +0000 Ron Mitchell
Tweaks to theme colours and one or two sizes

=======================================================

ae85ccf: Mon Jan 15 13:48:11 2018 +0100 Tom Reijnders
Add user_id_mode

=======================================================

43d71f7: Mon Jan 15 13:45:34 2018 +0100 Tom Reijnders
Oops inadvertently committed old copy

=======================================================

7e3e334: Mon Jan 15 13:43:51 2018 +0100 Tom Reijnders
iAlign and update tracking api

=======================================================

8b84785: Mon Jan 15 12:10:46 2018 +0000 Ron Mitchell
Fix for issue with sortable grid page with this theme

=======================================================

eb0a367: Fri Jan 12 16:08:23 2018 +0000 FayCross
Fix to Bootstrap header issue introduced with new page header optional properties

=======================================================

ad409af: Fri Jan 12 15:06:39 2018 +0000 James Roscoe
Add version number 1.0 to Xhibit Base Theme info

=======================================================

86f90f5: Fri Jan 12 14:52:05 2018 +0000 James Roscoe
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

c4130a4: Fri Jan 12 13:38:40 2018 +0000 Ron Mitchell
Update to modernandurban theme for testing

=======================================================

58844aa: Fri Jan 12 13:23:38 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

2999878: Fri Jan 12 13:23:10 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

5d4249f: Fri Jan 12 13:22:43 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

f458da8: Fri Jan 12 13:22:02 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

cf93df1: Fri Jan 12 13:21:37 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

e0968e9: Fri Jan 12 13:21:14 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

f08d82f: Fri Jan 12 13:20:42 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

11752b5: Fri Jan 12 13:20:13 2018 +0000 Ron Mitchell
Updated theme screenshot - now 805 x 635 and using button navigator page as example

=======================================================

5628018: Fri Jan 12 13:18:51 2018 +0000 Ron Mitchell
Updated theme screenshots - now 805 x 635 and using button navigator page as example

=======================================================

4d011a9: Fri Jan 12 11:54:49 2018 +0000 Ron Mitchell
Adding a small extra margin above theme description in editor otherwise a little bit too close to the list menu.

=======================================================

de24d5e: Thu Jan 11 17:38:32 2018 +0100 stefanhofman
Scale change showGraph

=======================================================

7ca8ed3: Thu Jan 11 15:01:52 2018 +0000 James Roscoe
Add link into Xhibit Base Theme description

=======================================================

da47f5a: Thu Jan 11 14:45:41 2018 +0000 James Roscoe
Undo tips for Xhibit Base Theme - no longer needed due to updates on Develop

This reverts commit 45a2093eb4785b763492c0ac2b06edb47aec4429.

=======================================================

45a2093: Thu Jan 11 14:12:33 2018 +0000 James Roscoe
Show tip when Xhibit Base Theme selected

=======================================================

77ab2f4: Thu Jan 11 11:54:26 2018 +0100 Tom Reijnders
iLoad css files in a different order, makeing theme based model files
obsolete

=======================================================

11f296a: Thu Jan 11 11:50:41 2018 +0100 Tom Reijnders
Fix exporting from management.php

=======================================================

e3c1397: Wed Jan 10 10:11:22 2018 +0100 stefanhofman
Size of scale

=======================================================

c5ba549: Thu Jan 4 13:15:39 2018 +0000 James Roscoe
Initial commit for Xhibit Base Theme

=======================================================

495a60a: Sun Dec 31 01:29:45 2017 +0100 stefanhofman
fix for graph size when resizing

=======================================================

309bf7a: Thu Dec 28 18:03:18 2017 +0100 Tom Reijnders
showGraph retrieve data potentially from a different LO

=======================================================

1d61f3a: Thu Dec 21 15:17:51 2017 +0000 Ron Mitchell
added class="hsinfo" to <div id="infoHolder"></div> to be able to apply css changes to just this page without needing a model specifc css file in the theme folder. e.g. otherwise changes to #infoHolder affects other pages too.

=======================================================

0593d2f: Wed Dec 20 15:09:55 2017 +0000 Ron Mitchell
change responsivetext.css to use SASS and responsivetext.scss and slightly adjusted some vmin sizes now all easily changed via variables and so also easy to adjust in specific themes if required.

=======================================================

390eeae: Mon Dec 18 17:47:14 2017 +0100 Tom Reijnders
Fix id en showgraph

=======================================================

4519372: Mon Dec 18 15:00:29 2017 +0000 John Horne
Add spinner to media/quota button.

=======================================================

7b2785b: Mon Dec 18 14:53:30 2017 +0000 John Horne
Add JS to add/remove spinner to the import and media/quota buttons.

=======================================================

befa4c6: Mon Dec 18 14:52:23 2017 +0000 John Horne
Add spinner to workspace project import button.

=======================================================

d18e900: Fri Dec 15 14:37:24 2017 +0000 FayCross
Removed 'General' heading in optional properties list for Bootstrap projects as it's not relevant

=======================================================

808c734: Fri Dec 15 13:24:36 2017 +0000 FayCross
Fix #600 Added option allowing glossary in Bootstrap projects to be shown as a separate page

=======================================================

06e4e1a: Mon Dec 4 23:16:44 2017 +0100 stefanhofman
Text size stays same size in radar diagrams

=======================================================

285261b: Fri Dec 1 15:37:02 2017 +0000 FayCross
#340 New navigator page

=======================================================

f2780e6: Fri Dec 1 15:12:30 2017 +0000 John Horne
Fix broken image links on the feedback page.

=======================================================

fbaf1fe: Fri Dec 1 14:43:03 2017 +0100 NSavenije
VideoSynch tracking: every 10% it sends an xAPI statement

=======================================================

d63d3dd: Fri Dec 1 11:56:37 2017 +0100 NSavenije
Found and fixed a bug where you couldn't skip the medialesson anymore

=======================================================

9ffc895: Thu Nov 30 15:58:11 2017 +0100 stefanhofman
showGraph fits on page

=======================================================

4c53a1b: Thu Nov 30 15:20:47 2017 +0100 NSavenije
Handling of long text with the slider in Opinion page.

=======================================================

a2f284c: Thu Nov 30 11:51:45 2017 +0000 FayCross
Correct typo in previous commit

=======================================================

50dd393: Thu Nov 30 11:40:35 2017 +0000 FayCross
#723 - New option to change header background on each page (Bootstrap template)

=======================================================

6b1e31c: Wed Nov 29 17:47:52 2017 +0000 John Horne
Remove spinner from importing projects.

=======================================================

064fa0c: Wed Nov 29 17:42:18 2017 +0000 John Horne
Remove spinner for media/quota uploads.

=======================================================

c1aa1e1: Wed Nov 29 16:59:57 2017 +0000 FayCross
Partial fix of #690 - Bootstrap page links will now be to the top of the page

=======================================================

347c19c: Wed Nov 29 13:22:29 2017 +0000 FayCross
Fix #721

=======================================================

6535f02: Wed Nov 29 11:34:21 2017 +0000 John Horne
Include wordpress plugin definitions to allow use of apply_filters.

=======================================================

66acb20: Tue Nov 28 13:09:55 2017 +0100 Tom Reijnders
Fix saving chack boxes.

=======================================================

705db14: Tue Nov 28 13:08:58 2017 +0100 Tom Reijnders
Fix basic.sql

 - Use backticks in stead of quotes for column names

=======================================================

a48d899: Tue Nov 28 12:12:31 2017 +0100 Tom Reijnders
Fixed #719 - problem with install script

 - On Windows EOL is two characters

=======================================================

0ab8546: Sun Nov 19 10:58:21 2017 +0000 Smith, John
Possible fix for issue #718

=======================================================

4a0d8a5: Wed Nov 15 16:19:09 2017 +0000 FayCross
Fix typo in previous commit

=======================================================

03dbde9: Wed Nov 15 15:54:32 2017 +0000 FayCross
Fix #715 Various issues with images on menu pages

=======================================================

c91718a: Sun Nov 12 21:14:21 2017 +0100 NSavenije
medialesson doesn't crash scorm anymore

=======================================================

fdd7143: Sun Nov 12 17:08:27 2017 +0100 stefanhofman
xAPI statement and bug fixes with short videos in media lessons

=======================================================

0aa35d9: Sun Nov 12 14:57:43 2017 +0100 NSavenije
mediaLesson tracking update

=======================================================

ada6d44: Sat Nov 11 16:56:55 2017 +0100 stefanhofman
Video tracking

=======================================================

3a98a47: Sat Nov 11 16:21:42 2017 +0100 NSavenije
SetAttendance added (for the mediaLesson)

=======================================================

65af913: Sat Nov 11 15:57:27 2017 +0100 Tom Reijnders
Implement %TEMPLATEID% mapping for export

=======================================================

5630975: Sat Nov 11 15:49:31 2017 +0100 stefanhofman
Video Statistics to xAPI

=======================================================

3706b8c: Thu Nov 9 11:40:44 2017 +0000 FayCross
Fix bug that was sometimes stopping XOT embeds in Bootstrap from working

=======================================================

c367e54: Thu Nov 9 09:54:21 2017 +0000 FayCross
Changed label of Bootstrap custom footer content optional property

=======================================================

9c51cb9: Fri Nov 3 13:50:23 2017 +0100 Tom Reijnders
Add id as variable

=======================================================

c6f7ff4: Fri Nov 3 11:26:03 2017 +0000 FayCross
Fix for bug stopping menu pages from always loading correctly

=======================================================

10c41f1: Thu Nov 2 09:18:07 2017 +0000 FayCross
Fix #574 Added wider range of options to control individual page's navigation buttons

=======================================================

b66eec2: Wed Nov 1 15:31:05 2017 +0000 FayCross
Fix #698 to allow sub/superscripts etc. to be used in glossary words

=======================================================

42faa7c: Tue Oct 31 19:09:29 2017 +0100 Tom Reijnders
Fixed #713 - Duplicating Pages in Bootstrap

 - Had to do with trying to get text of closed tree node

=======================================================

5d659a4: Tue Oct 31 17:31:25 2017 +0100 Tom Reijnders
Fix #714 - co-author of a bootstrap project cannot duplicate a project

=======================================================

d47c830: Fri Oct 27 16:12:57 2017 +0100 John Horne
An extension check field was being shown twice in the management interface.

=======================================================

0ad281d: Fri Oct 27 15:52:43 2017 +0100 John Horne
Incorrect field name used during installation.

=======================================================

0bbf59b: Fri Oct 27 15:22:35 2017 +0100 John Horne
Ensure clamav command check is only run once during installation.

=======================================================

dbd601d: Thu Oct 26 15:41:51 2017 +0100 FayCross
XOT template icon now works in the same way as Bootstrap template logos where there can be a default logo, overridden by theme default logo, overridden by LO logo

=======================================================

87f41c5: Thu Oct 26 11:17:30 2017 +0100 FayCross
Fix for pdf zoom in FF when pdfs are on navigators & there is more than one navigator on the page

=======================================================

f4946e5: Wed Oct 25 16:02:58 2017 +0100 John Horne
Imported file checks array not set up correctly.
Also initialized some variables.

=======================================================

afc4bc4: Fri Oct 20 13:59:38 2017 +0100 John Horne
Ensure correct error is returned if no file is selected.

=======================================================

28c087a: Fri Oct 13 12:36:03 2017 +0100 John Horne
Add in file checks when editor uploading files.

=======================================================

506838c: Wed Oct 11 15:51:05 2017 +0100 John Horne
Add the ClamAV check options to the sqlite database.

=======================================================

a6fd72e: Wed Oct 11 15:20:41 2017 +0100 John Horne
Take care of storing slashes in the database with the ClamAV command path.

=======================================================

ab0af8c: Wed Oct 11 14:29:53 2017 +0100 John Horne
Add in new clamav database options during installation.

=======================================================

e23c421: Wed Oct 11 11:06:20 2017 +0100 John Horne
Enable the ClamAV check to run correctly. Any error is now shown correctly.

=======================================================

4e4da8f: Wed Oct 11 11:04:22 2017 +0100 John Horne
Add section in admin/management interface (under server settings) for AV check.
This includes an AV command text box, and a command options box.

=======================================================

72c51ea: Wed Oct 11 10:55:59 2017 +0100 John Horne
Set during upgrade default ClamAV command as clamscan.
This was true in the original code, so probably best to keep the upgrade the same.

=======================================================

c041e8b: Wed Oct 11 10:54:27 2017 +0100 John Horne
Recognise string '1' as true in true/false function..

=======================================================

dae8999: Wed Oct 11 10:53:04 2017 +0100 John Horne
Make clamAV enable/disable flag globally available.

=======================================================

b8373fd: Fri Oct 6 14:33:10 2017 +0100 John Horne
Add upgrade function to include clamAV check fields to database.

=======================================================

3ccfd98: Sat Oct 21 19:16:43 2017 +0200 daniele
Update engine and wizard Italian translation
=======================================================

9283ec8: Fri Oct 20 15:30:44 2017 +0100 John Horne
When deleting multiple projects, ensure the workspace folder is not included.

=======================================================

4632516: Fri Oct 20 14:16:49 2017 +0100 John Horne
Ensure the file checks return the correct error if no file was selected.

=======================================================

bda448a: Fri Oct 20 12:21:21 2017 +0100 John Horne
Add a spinner to the media and quota import button.

=======================================================

4b581d6: Thu Oct 19 11:25:36 2017 +0100 FayCross
Bootstrap template - new options to hide a theme's default icons

=======================================================

d2401ac: Wed Oct 18 11:51:43 2017 +0100 John Horne
Add a spinner when uploading a project zip file.

=======================================================

4c461ed: Mon Oct 16 14:21:12 2017 +0200 NSavenije
Opionion pages layout fixes according to "Opmerkingen_Thermometer"

=======================================================

518c4b6: Mon Oct 16 12:07:57 2017 +0200 NSavenije
Hid the submit and restart button at the end of the opinion page.

=======================================================

401b081: Fri Oct 13 16:42:52 2017 +0100 John Horne
Swap the arguments around in aray_push call.

=======================================================

26d89e5: Fri Oct 13 15:50:25 2017 +0100 John Horne
Display any new MIME types added to allow list during upgrade.

=======================================================

b9a5e05: Fri Oct 13 12:08:25 2017 +0100 John Horne
Cater for lines only containing a linefeed.

=======================================================

195713c: Fri Oct 13 11:46:56 2017 +0100 John Horne
Allow image files to be uploaded as part of the admin user editing a project.

=======================================================

2a8e8ce: Thu Oct 12 22:57:31 2017 +0200 Tom Reijnders
Fix some inconsistencies in opinion

=======================================================

b5cca62: Thu Oct 12 15:44:27 2017 +0100 John Horne
Check that query lines have more than one character in length.

=======================================================

7ef0b88: Thu Oct 12 11:53:09 2017 +0100 FayCross
Total available score was calculated incorrectly in previous commit - fixed this

=======================================================

4dd63f0: Thu Oct 12 11:32:07 2017 +0100 FayCross
Added option of including score in categories page feedback

=======================================================

261c684: Thu Oct 12 10:34:51 2017 +0100 FayCross
Reverting the labels on various page types to remove the tree/tracking text

=======================================================

46a2ba6: Thu Oct 12 10:06:31 2017 +0100 FayCross
#666 Partially fixed interactive diagram issues with new themes

=======================================================

c03888d: Wed Oct 11 18:31:35 2017 +0200 Stefan Hofman
Resize graph in opinion when moved

=======================================================

8bfd3a0: Wed Oct 11 15:46:14 2017 +0100 John Horne
Actually include the file extension blacklist into the data!

=======================================================

95e4b0e: Wed Oct 11 15:39:34 2017 +0100 John Horne
Add the file extension check fields to the sqlite database.
(This also includes the mime check fields too.)

=======================================================

287fc07: Wed Oct 11 14:30:23 2017 +0200 NSavenije
Look and Feel opinion page

=======================================================

36b41de: Wed Oct 11 14:00:04 2017 +0200 Stefan Hofman
Average and last submit in ShowGraph page

=======================================================

88d3fc8: Wed Oct 11 09:58:52 2017 +0100 FayCross
#691 Various changes to gap fill page to improve the feedback & marking

=======================================================

fdc9d1b: Tue Oct 10 14:17:04 2017 +0200 Stefan Hofman
Fix for graph not showing when no colour specified and opinion questions can now iduviduatlly be a radio button or slider

=======================================================

ff099ac: Mon Oct 9 16:06:03 2017 +0200 NSavenije
Added an option to use the opinion interactivity with radio buttons instead of a slider.

=======================================================

91e356b: Fri Oct 6 14:28:31 2017 +0100 John Horne
DB defaults for checks should be NULL and not the string 'NULL'.

=======================================================

cc18ada: Thu Oct 5 17:19:51 2017 +0100 John Horne
Trivial - remove blank space.

=======================================================

e25b077: Thu Oct 5 18:01:30 2017 +0200 Tom Reijnders
Cleanup TSUGI dialog, and make translatable

 - Prepare for playing from subfolder

=======================================================

d37dc86: Thu Oct 5 14:54:26 2017 +0100 John Horne
Fix for when multiple tests may run, but must remember last error.

=======================================================

66e96e7: Thu Oct 5 14:27:12 2017 +0100 John Horne
Trivial - minor change to wording in message.

=======================================================

d477b58: Thu Oct 5 14:06:17 2017 +0100 John Horne
Trivial - tidy up.

=======================================================

bacfa09: Thu Oct 5 13:52:52 2017 +0100 John Horne
Modifed the text displayed for the mime and file extension checks.

=======================================================

9c7a44e: Thu Oct 5 12:54:42 2017 +0100 John Horne
Remove spaces from input of mime and file extension lists, and yes/no answers.

=======================================================

69f5cc5: Thu Oct 5 11:43:09 2017 +0100 John Horne
Modifications to allow merging (now that develop branch has been updated).

=======================================================

5d5b14f: Tue Oct 3 16:38:23 2017 +0100 John Horne
Apply filters to all imported files. Show the last error msg from filters when possible.

=======================================================

6ba48f2: Tue Oct 3 15:56:09 2017 +0100 John Horne
The file extensions blacklist was added twice in sitedetails.

=======================================================

7a87ccb: Tue Oct 3 15:52:36 2017 +0100 John Horne
Trivial - typo

=======================================================

50b2e5b: Tue Oct 3 15:24:12 2017 +0100 John Horne
Ensure the last error msg from the check is saved.

=======================================================

d346ad0: Tue Oct 3 15:19:29 2017 +0100 John Horne
Record the last error from the file extension check, and display it if required.

=======================================================

0a00afb: Tue Oct 3 11:54:30 2017 +0100 John Horne
Correct use of pathinfo - it works on strings not real filenames.

=======================================================

2322628: Tue Oct 3 11:01:10 2017 +0100 John Horne
Enable the file extension check to work.

=======================================================

d623589: Tue Oct 3 11:00:42 2017 +0100 John Horne
Add in file extension check to the admin user interface.

=======================================================

33fa4be: Mon Oct 2 14:05:51 2017 +0100 John Horne
Trivial - modify displayed text to indicate that the mime types are for uploaded files.

=======================================================

3bb5374: Mon Oct 2 13:28:00 2017 +0100 John Horne
Trivial - typo

=======================================================

18af7a4: Mon Oct 2 12:53:52 2017 +0100 John Horne
Ensure file extensions are lowercased.

=======================================================

0a461ef: Mon Oct 2 12:27:34 2017 +0100 John Horne
Update xammp settings for new file extensions fields.

=======================================================

6f9cf6a: Mon Oct 2 12:10:31 2017 +0100 John Horne
Handle the file extensions fields correctly when starting.

=======================================================

9c2cfe7: Mon Oct 2 12:07:23 2017 +0100 John Horne
Ensure the new file extensions fields are set in sitedetails during installation.

=======================================================

a9ac06e: Mon Oct 2 12:06:35 2017 +0100 John Horne
Show the defaults for the file extensions check.

=======================================================

245ac5d: Mon Oct 2 12:05:52 2017 +0100 John Horne
Add in the file extensions check and extensions fields during upgrade.

=======================================================

8210bb0: Mon Oct 2 11:11:36 2017 +0100 John Horne
Trivial: rewording fo comment to make a bit more sense.

=======================================================

aa4ebf5: Fri Sep 29 17:00:55 2017 +0100 John Horne
Don't allow a default for BLOB/TEXT types. If 'after' not given then append to end.

=======================================================

bca6cc0: Thu Sep 28 20:26:45 2017 +0200 Tom Reijnders
Some quick fixes to tsugi page

=======================================================

cc8e311: Thu Sep 28 11:49:58 2017 +0200 Tom Reijnders
Fix tsugi/properties

=======================================================

479a905: Wed Sep 27 16:12:26 2017 +0100 FayCross
Theme annotated.css is no longer needed now previous fix has been made in model file

=======================================================

df294ff: Wed Sep 27 16:09:26 2017 +0100 FayCross
#666 - Fixed annotated image hotspot & line alignment issues (happening when theme changed)

=======================================================

d5db090: Wed Sep 27 11:06:05 2017 +0100 FayCross
#666 Changed button icons in Hotspot Image page to use Font Awesome icons & fixed some of the text on the page that wasn't responsive in older projects

=======================================================

f3e730e: Tue Sep 26 12:52:23 2017 +0100 Ron Mitchell
Fix path to site themes when using play rather than preview. (note: looks like someone changed $row['template_name'] to $row_play['template_name'] but the theme path wasn't updated accordingly in modules/site/play.php

=======================================================

1b44c66: Tue Sep 26 11:49:58 2017 +0100 John Horne
Only allow the user to enable the mime check if the mime_content_type function exists.
Otherwise, the admin may think the test is running when it is really
silently not running.

=======================================================

1f98737: Mon Sep 25 17:16:38 2017 +0100 John Horne
Convert the enable_mime_check sitedetails variable to a true boolean value.
This makes it easier for testing it in the code.

=======================================================

dea164d: Mon Sep 25 17:15:50 2017 +0100 John Horne
Always store the 'enable_mime_check' value as a true/false string.

=======================================================

c59cc99: Mon Sep 25 17:15:08 2017 +0100 John Horne
Create new function to handle user input which should be a boolean value.

=======================================================

ac90271: Mon Sep 25 16:59:21 2017 +0100 John Horne
Trivial typo

=======================================================

dc738e1: Mon Sep 25 16:02:18 2017 +0100 John Horne
Modify the admin interface to show the mine check enable flag.

=======================================================

9ccf085: Mon Sep 25 16:01:45 2017 +0100 John Horne
Only allow the mime check to run if the enable flag in the DB is set to true.

=======================================================

c313ddf: Mon Sep 25 16:00:41 2017 +0100 John Horne
Add upgrade section to modify sitedetails table with field to enable the mime check.

=======================================================

8b69e7c: Mon Sep 25 16:00:00 2017 +0100 John Horne
Create and initialize a field specifying whether to enable the mime checks or not.

=======================================================

78ae1ab: Fri Sep 22 17:18:37 2017 +0100 John Horne
Add, and initialize, the file_extensions field during upgrade.

=======================================================

92d6ec6: Fri Sep 22 16:23:41 2017 +0100 John Horne
Trivial - add 'MIME' to indicate what the mimetype values are.

=======================================================

f018c9c: Fri Sep 22 16:21:51 2017 +0100 John Horne
Show the file extensions DB field during installation.

=======================================================

49b1e80: Fri Sep 22 15:58:39 2017 +0100 John Horne
Update the initial setting of mimetypes for xampp.

=======================================================

36acae0: Fri Sep 22 15:53:41 2017 +0100 John Horne
Create the 'file_extensions' field in the 'sitedetails' table, and
initialise it, during installation.

=======================================================

938483e: Fri Sep 22 15:52:57 2017 +0100 John Horne
Create the 'file_extensions' field in the 'sitedetails' table during installation.

=======================================================

813cca9: Thu Sep 21 17:12:24 2017 +0100 John Horne
Update default mime type list in database when upgrading.

=======================================================

03a0d8f: Thu Sep 21 15:15:16 2017 +0100 John Horne
Add in more mime types during initial installation.

=======================================================

1f9fb8f: Thu Sep 21 15:04:24 2017 +0100 John Horne
Ensure that the correct error message is returned.

=======================================================

a19eaa9: Thu Sep 21 14:51:12 2017 +0100 John Horne
Correct the handling of filenames by the plugin. Ensure that errors
are (PHP) logged if they occur.

=======================================================

22f2dcb: Thu Sep 21 14:38:38 2017 +0100 John Horne
Get the allowed mimetypes from the database. (Allows it to be configurable.)

=======================================================

05efc9b: Wed Sep 20 17:15:06 2017 +0100 John Horne
Missing require file prevented the sysadmin from exporting projects.

=======================================================

e18ad10: Wed Sep 20 16:40:20 2017 +0100 John Horne
Allow the admin user to publish projects.

=======================================================

7d99b54: Mon Sep 18 11:43:46 2017 +0200 Tom Reijnders
Oops, inadvertently committed

=======================================================

73bbb41: Mon Sep 18 11:34:28 2017 +0200 Tom Reijnders
Prevent html markup to appear in PDF

=======================================================

0c3574c: Fri Sep 15 15:51:54 2017 +0200 Stefan Hofman
Adding colours to the radar diagram

=======================================================

ebe97aa: Wed Sep 13 16:56:18 2017 +0200 Stefan Hofman
Nieuwe pagina voor radar diagram en veranderingen aan xAPI om data op te halen en het goed op te slaan

=======================================================

eb7f47f: Wed Sep 13 13:33:16 2017 +0200 Stefan Hofman
Standard scale from 0-100 for radar graph

=======================================================

da10c07: Wed Sep 13 12:31:50 2017 +0100 John Horne
Trivial typo - correct comment.

=======================================================

0aade4a: Tue Sep 12 17:20:10 2017 +0100 John Horne
ClamAV needs access to the file to be scanned.

=======================================================

6c935f8: Tue Sep 12 16:00:12 2017 +0100 John Horne
Non-windows files do not require a file extension, and so should be
catered for.

=======================================================

d85de9d: Mon Sep 11 15:12:30 2017 +0100 John Horne
The 'Save' button is not left aligned with the other buttons in the admin UI.

=======================================================

55aab0e: Mon Sep 11 14:52:51 2017 +0100 John Horne
The 'messages' array seems to be indexed on strings rather than
numbers (the exec return value).

=======================================================

e6a836f: Mon Sep 11 14:50:50 2017 +0100 John Horne
The 'exec' output is an array, so we should join it all together
before displaying it.

=======================================================

891f3e2: Mon Sep 11 14:46:15 2017 +0100 John Horne
The summary output for clamscan provides no real useful information.
So cut down on the output by not requesting it.

=======================================================

fa16828: Mon Sep 11 15:39:43 2017 +0200 Tom Reijnders
Change LTI launch

 - Use play.php, and not preview
 - Do not use rloObject.php but rloObject.htm
 - Modify xerte/play.php to include lti and xAPI variables

=======================================================

e006ee0: Mon Sep 11 14:11:23 2017 +0100 John Horne
PHP file uploads should check for PHP case-independently.

=======================================================

dba1c47: Mon Sep 11 13:08:07 2017 +0100 John Horne
Success msgs should go to the SUCCESS log file.

=======================================================

163b18d: Mon Sep 11 12:46:38 2017 +0100 John Horne
Fix failed login msgs with empty userid and passwd being logged.

=======================================================

e1d82ab: Mon Sep 11 12:44:32 2017 +0100 John Horne
Tidy up various user login msgs - both successful and failures.

=======================================================

5ab9491: Mon Sep 11 12:39:23 2017 +0200 Stefan Hofman
API JSONScore

=======================================================

1f3a0a5: Mon Sep 11 11:58:23 2017 +0200 Jan Reijnders
Gapfill fix

=======================================================

75a03a4: Fri Sep 8 16:11:18 2017 +0100 John Horne
Sort out authentication dropdown list so options only shown once.

=======================================================

cdb7edd: Fri Sep 8 15:25:56 2017 +0100 FayCross
Flag hidden pages in the editor's page lists to avoid confusion (i.e. the lists used for Xerte page links or in connector pages)

=======================================================

081c064: Fri Sep 8 15:08:18 2017 +0100 John Horne
Ensure failed login attempts are logged.

=======================================================

26bad92: Fri Sep 8 14:24:17 2017 +0100 FayCross
Close #399 Access set to 'other' now accepts multiple domains separated by commas

=======================================================

6689545: Fri Sep 8 14:19:08 2017 +0100 John Horne
Ensure logins get logged somewhere in the login sequence.

=======================================================

fb8bbd5: Fri Sep 8 14:13:58 2017 +0100 John Horne
Ensure the username is set to something for both msgs and emails.

=======================================================

83dbf5e: Fri Sep 8 11:42:54 2017 +0100 FayCross
Fix background image bugs in IE11

=======================================================

b22553d: Fri Sep 8 11:18:32 2017 +0100 John Horne
Trivial - tidy up some comments.

=======================================================

7a0b7b0: Thu Sep 7 16:35:14 2017 +0100 John Horne
Ensure the admin account password is encoded before POSTing via the admin UI.

=======================================================

2d1123b: Thu Sep 7 16:34:25 2017 +0100 John Horne
In the admin UI do not interpret HTML characters in the admin password.

=======================================================

4f915de: Thu Sep 7 16:32:42 2017 +0100 John Horne
If displaying the admin account passwd, do not interpret HTML characters.

=======================================================

02a5bb3: Thu Sep 7 16:31:43 2017 +0100 John Horne
Ensure the admin account password is encoded before POSTing during setup.

=======================================================

1ee6ece: Thu Sep 7 15:36:03 2017 +0100 John Horne
Put the encodeURI call inline with getting the value.

=======================================================

9b4b698: Thu Sep 7 15:27:11 2017 +0100 John Horne
Put encodingURI call inline with getting the value.
Removed previous code, as not required.

=======================================================

de16abb: Thu Sep 7 12:22:18 2017 +0100 John Horne
Allow the copyright text to include the '&copy;' HTML entity.

=======================================================

f7fc917: Thu Sep 7 10:54:29 2017 +0100 John Horne
The LDAP bind password should not be interpreted as HTML.

=======================================================

65b850d: Thu Sep 7 10:53:54 2017 +0100 John Horne
Ensure the LDAP bind password is encoded before POSTing.

=======================================================

6305078: Wed Sep 6 15:43:51 2017 +0200 Tom Reijnders
Bug fixes and make sure setting surf_course and surf_recipe happens before
XtInitialise

=======================================================

171f605: Tue Sep 5 17:13:24 2017 +0100 John Horne
Simplify logout logging a little bit - use 'is_user_admin' function.

=======================================================

e35fe91: Tue Sep 5 16:21:49 2017 +0100 John Horne
Trivial: Debug entry typo.

=======================================================

1796f01: Tue Sep 5 14:14:15 2017 +0100 John Horne
Ensure logouts get logged.

=======================================================

a96cc13: Tue Sep 5 12:34:22 2017 +0100 John Horne
If required, specify that this is the 'Admin' user - but not the actual login id.

=======================================================

064311b: Mon Sep 4 23:37:03 2017 +0200 Joris Burgers
Added custom verbs for Surf to xAPI
=======================================================

b5f88ef: Fri Sep 1 16:46:19 2017 +0100 John Horne
Log to the MGMT log file the fact that template and user changes were made.

=======================================================

66420fb: Fri Sep 1 16:41:18 2017 +0100 John Horne
Logins and config changes get logged to their own log files only.
Failed logins will appear as red text.

=======================================================

985a9d1: Fri Sep 1 16:39:39 2017 +0100 John Horne
Log successful and failed logins. No username logged for the admin account.

=======================================================

495e895: Fri Sep 1 16:38:46 2017 +0100 John Horne
Ensure play security changes get logged.

=======================================================

e6cf5b5: Fri Sep 1 14:35:00 2017 +0100 John Horne
Log site setting changes to a MGMT log file.

=======================================================

fd33bc4: Fri Sep 1 12:29:46 2017 +0100 John Horne
Trivial correction to comment about the file.

=======================================================

abcdd58: Fri Sep 1 12:26:43 2017 +0100 John Horne
When showing log files, use the standard 'Show/Hide' buttons of the
management interface. This fixes the 'View' button being shown even
when the log file is displayed/selected.

=======================================================

361260c: Fri Sep 1 12:14:35 2017 +0100 John Horne
Change the 'Delete all error logs' label and confirmation message.
Label changed to 'Delete all log files'.

=======================================================

04d558b: Fri Sep 1 12:10:12 2017 +0100 John Horne
Change the admin UI titlebar label from 'Errors' to 'Log files'.

=======================================================

9aa4f58: Thu Aug 31 15:45:42 2017 +0100 John Horne
Tidied up some sentences to be a bit more meaningful.

=======================================================

1e965a7: Thu Aug 31 15:36:02 2017 +0100 John Horne
Correct error output message when no error message is provided by MySQL.

=======================================================

c420323: Thu Aug 31 15:11:43 2017 +0100 John Horne
Corrected some text, and fixed the upload_tmp_dir test output.

=======================================================

524c0be: Thu Aug 31 14:44:55 2017 +0100 John Horne
Corrected text relating to several options.

=======================================================

9c17234: Wed Aug 30 17:29:22 2017 +0100 John Horne
Ensure array variables are set before merging.

=======================================================

b73d68d: Wed Aug 30 16:19:30 2017 +0100 John Horne
Ensure the database is updated with the error log max size setting.

=======================================================

423ae5c: Wed Aug 30 16:10:01 2017 +0100 John Horne
Correct the input area id name. This now allows the sysadmin to set the error
log file size.

=======================================================

2610845: Wed Aug 30 16:04:23 2017 +0100 John Horne
Update displayed output with the max error log size rather than the error
email message boolean (which is no longer used).

=======================================================

f4ebc2a: Wed Aug 30 15:51:52 2017 +0100 John Horne
Use the email error list to check if errors should be emailed.

=======================================================

c20d654: Tue Aug 29 22:22:26 2017 +0200 Stefan Hofman
opinion JSON object to xAPI and minor bug fixes in xAPI

=======================================================

1f3e7a7: Tue Aug 29 16:59:21 2017 +0100 John Horne
Several more typos.

=======================================================

817811b: Tue Aug 29 16:49:02 2017 +0100 John Horne
Trivial typo. Comment about function name is incorrect.

=======================================================

4379297: Tue Aug 29 16:29:25 2017 +0100 John Horne
Correct pathname used during deletes.

=======================================================

f421956: Tue Aug 29 15:32:31 2017 +0200 Joris Burgers
Fixed publishing Tsugi objects via properties

=======================================================

06b27ba: Tue Aug 29 15:20:39 2017 +0200 Joris Burgers
Fixed error with downloading archives

=======================================================

db06b17: Tue Aug 29 12:43:04 2017 +0200 NSavenije
Incompleet maar nodig voor de hackaton. Tsugi en xApi code gesplitst uit export en deels van lokaal naar database

=======================================================

6956715: Sun Aug 27 14:35:46 2017 +0200 Jan Reijnders
xApiTracking.js werkt met dezelfde XTResults als de rest

=======================================================

30ab849: Fri Aug 25 08:01:40 2017 +0200 Tom Reijnders
New turkish translation - Thank you Mehmet!

=======================================================

18f8514: Thu Jul 27 20:26:16 2017 +0100 John Smith
Update version number
=======================================================

6870b3a: Wed Aug 9 10:06:17 2017 +0100 FayCross
Fix bug where html was being stripped from decision tree page questions & overview

=======================================================

19e6f9d: Wed Aug 23 14:49:12 2017 +0100 FayCross
Fix #558 bug in decision tree themes (play view)

=======================================================

0e3fd6c: Wed Aug 23 12:46:59 2017 +0100 FayCross
Added option of including left & right logo pngs in Bootstrap themes to override the default ones

=======================================================

572a9ea: Wed Aug 23 11:40:49 2017 +0100 Ron Mitchell
Draft new theme using SASS and updated responsivetext.css as discussed via https://github.com/thexerteproject/xerteonlinetoolkits/issues/666

=======================================================

a1e0379: Mon Aug 21 14:42:29 2017 +0200 Joris Burgers
Updatet LTI2_launch to build tsugi object based on values from the database

=======================================================

1aefd72: Sat Aug 19 11:15:23 2017 +0200 Stefan Hofman
xAPI load statement

=======================================================

c051429: Fri Aug 18 16:09:42 2017 +0100 FayCross
Remove #resume from XOT urls when embedded in Bootstrap projects

=======================================================

1a90260: Fri Aug 18 14:07:22 2017 +0100 FayCross
Change default height for XOT projects embedded in Bootstrap to 600px

=======================================================

7bebf4e: Fri Aug 18 12:27:29 2017 +0100 FayCross
Fix bug (probably very rarely occurring!) where incorrectly formatted table html entered in old Flash editor breaks new editor

=======================================================

9ec2ff9: Thu Aug 17 15:35:24 2017 +0200 Joris Burgers
Fixed issue with updating the key/secret in Tsugi

=======================================================

ff7700a: Tue Aug 15 11:22:53 2017 +0200 Joris Burgers
Added Tsugi directory to Xerte database

=======================================================

5098dbb: Fri Aug 11 11:53:33 2017 +0100 Ron Mitchell
Add check for whether footer is set to hide before adding progress bar

=======================================================

4b1af58: Thu Aug 10 15:47:50 2017 +0100 FayCross
#600 New glossary option in Bootstrap template

=======================================================

c282f2f: Thu Aug 10 12:08:12 2017 +0100 FayCross
#643 New option to easily embed XOT projects in Bootstrap projects

=======================================================

6d45064: Wed Aug 9 10:06:17 2017 +0100 FayCross
Fix bug where html was being stripped from decision tree page questions & overview

=======================================================

8cdc857: Mon Aug 7 12:55:07 2017 +0100 Ron Mitchell
Update readme.md
=======================================================

d127855: Mon Aug 7 12:49:36 2017 +0100 Ron Mitchell
Update readme.md
=======================================================

2af8ec6: Fri Aug 4 19:54:50 2017 +0200 Joris Burgers
Added LTI2_launch.php which will launch the tsugi object

=======================================================

045edd5: Fri Aug 4 16:02:48 2017 +0100 Smith, John
Fix for Grammarly problem part of issue #581

=======================================================

df21ffc: Fri Aug 4 14:51:01 2017 +0100 FayCross
Add functionality for themes in Decision Tree template #558

=======================================================

2e8c62b: Fri Aug 4 12:40:01 2017 +0100 Ron Mitchell
empty js file for blackgrey theme

=======================================================

bd61c2c: Fri Aug 4 12:15:38 2017 +0100 FayCross
Further fix related to pdfs in Bootstrap navigators

=======================================================

c68c41f: Fri Aug 4 11:57:17 2017 +0100 FayCross
Changed Multiple Perspectives highlight colour optional property so it's blank initially

=======================================================

972df41: Fri Aug 4 11:43:55 2017 +0100 FayCross
Rename Bootstrap Navbar options to 'Navigation bar'

=======================================================

a401a67: Fri Aug 4 11:39:30 2017 +0100 FayCross
Moved some optional properties in Audio Slideshow & Embed Content pages into groups

=======================================================

589c273: Fri Aug 4 09:53:02 2017 +0100 FayCross
Remove console.log

=======================================================

25bc3cd: Fri Aug 4 09:44:13 2017 +0100 FayCross
#661 Removed code that ignored #EEEEEE colours in Bootstrap template

=======================================================

1899ca9: Fri Aug 4 09:38:40 2017 +0100 FayCross
#661 Colour pickers in editor can now be blank

=======================================================

19379bd: Thu Aug 3 15:26:07 2017 +0100 FayCross
Fix for Firefox pdf zooming bug on navigators (Bootstrap template)

=======================================================

c4063bb: Thu Aug 3 09:50:26 2017 +0100 FayCross
Deleted Bootstrap test theme now we have a proper one

=======================================================

c874cfe: Wed Aug 2 15:29:27 2017 +0200 Joris Burgers
Fixed bug where an error occured if xAPI was used without Tsugi. Added Tsugi grade support for Noop.

=======================================================

7a543bd: Wed Aug 2 15:00:02 2017 +0200 Joris Burgers
Added code for grade's in Tsugi (untested)

=======================================================

b39cfb7: Tue Aug 1 09:23:05 2017 +0100 Ron Mitchell
Prevent colour pickers in group properties from overriding default colours when groups first added. e.g. ignore default value of 0xEEEE in each picker until changed by author.

=======================================================

918dfd0: Mon Jul 31 23:44:16 2017 +0100 Smith, John
Changes for #596 to convert custom footer media paths and make images show

=======================================================

c245f58: Mon Jul 31 23:23:24 2017 +0100 Smith, John
Changes for #596 to make navigation bar text hover text options work

=======================================================

f54a8ea: Mon Jul 31 18:48:11 2017 +0100 Ron Mitchell
Add options for custom footer content and ability to hide footer. Styles work from wysiwyg editor but at moment images don't display in footer - ideally need to fix that.

=======================================================

2feee83: Mon Jul 31 16:23:44 2017 +0100 Ron Mitchell
Add navbar options to position navbar below header or hide it and to change navbar background colour and and navbar text and hover colour too. ***At the moment hover colour isn't working as soon as these options are applied and I'm not sure why. So the link and hover colour options may need to be removed. But committing for now in case someone can resolve?

=======================================================

c318a28: Mon Jul 31 13:19:52 2017 +0100 Ron Mitchell
Add option to hide header/jumbotron

=======================================================

b2bdbbd: Mon Jul 31 09:55:02 2017 +0100 Ron Mitchell
Allow a themename.js file to be included in Bootstrap themes

=======================================================

4ccb304: Mon Jul 31 08:56:30 2017 +0100 Ron Mitchell
Include new Bootstrap themes in export

=======================================================

3f14a36: Sun Jul 30 00:52:02 2017 +0100 Smith, John
Fix #659 - Add an info box and columns to grouped properties

=======================================================

e50f2d8: Fri Jul 28 16:52:45 2017 +0100 Smith, John
Fix #628 - insert a x_downloadURL variable for off Xerte documentation page use…

=======================================================

d60be79: Fri Jul 28 16:37:35 2017 +0100 Ron Mitchell
A Black and Grey theme with Orange headings for Bootstrap

=======================================================

aeeb5f7: Fri Jul 28 15:13:03 2017 +0100 FayCross
Deleted image uploaded in error

=======================================================

f0db644: Fri Jul 28 15:08:11 2017 +0100 FayCross
Remove duplicated lines of code

=======================================================

f8a2317: Fri Jul 28 15:05:34 2017 +0100 FayCross
Add functionality for themes in Bootstrap template #470 #558

=======================================================

371f7ab: Fri Jul 28 13:16:21 2017 +0100 Smith, John
Fix #651 - workspace id= 1 so only remove id=1 if it’s type file…

=======================================================

6327558: Fri Jul 28 11:21:33 2017 +0100 Smith, John
Fix #656 - remove the thug include files from Nottingham/export

=======================================================

56dee17: Fri Jul 28 11:17:54 2017 +0100 Ron Mitchell
change default location of debug.log to the error_logs folder

=======================================================

6b0673d: Fri Jul 28 10:12:53 2017 +0200 Tom Reijnders
Fix #658 - Projects where owner has changed will not play

=======================================================

ba22a8b: Fri Jul 28 10:42:29 2017 +0100 Smith, John
Increase timing to 2 seconds and tidy up

=======================================================

c0c6178: Fri Jul 28 10:39:14 2017 +0200 Tom Reijnders
Fix #656 Offline export doesn't work anymore

=======================================================

2fb3887: Fri Jul 28 10:24:00 2017 +0200 Tom Reijnders
Fix export onn develop

  - Add tsugi
  - Remove incuding jquery through http

=======================================================

b6372d9: Fri Jul 28 10:12:53 2017 +0200 Tom Reijnders
Fix #658 - Projects where owner has changed will not play

=======================================================

9a463e5: Thu Jul 27 20:26:16 2017 +0100 John Smith
Update version number
=======================================================

16865ef: Thu Jul 27 17:27:25 2017 +0100 Smith, John
#596 Add options to hide/show social networking links

=======================================================

31a8139: Thu Jul 27 15:27:47 2017 +0100 Smith, John
Fix path in Bootstrap rebuild script

=======================================================

0c8c9e6: Thu Jul 27 13:01:41 2017 +0100 Smith, John
Partial fix for #628 - use different download path if available.

=======================================================

cc32402: Wed Jul 26 12:43:37 2017 +0100 Smith, John
Fix 650 - remove tree  div after destroy

=======================================================

fc88330: Wed Jul 26 10:22:07 2017 +0100 Ron Mitchell
change to https instead of http e.g. https://rss2json.com so that feed still loads when LO viewed over https

=======================================================

85a555f: Wed Jul 26 09:46:12 2017 +0200 Tom Reijnders
Improve performance of import pages by fetching pages through ajax

=======================================================

5262301: Tue Jul 25 16:46:02 2017 +0100 Smith, John
Attempt to improve Import tree load times…

=======================================================

d2c4ed3: Wed Jul 26 12:43:37 2017 +0100 Smith, John
Fix 650 - remove tree  div after destroy

=======================================================

32d575d: Wed Jul 26 10:22:07 2017 +0100 Ron Mitchell
change to https instead of http e.g. https://rss2json.com so that feed still loads when LO viewed over https

=======================================================

96c53ee: Wed Jul 26 09:46:12 2017 +0200 Tom Reijnders
Improve performance of import pages by fetching pages through ajax

=======================================================

6aa8c48: Tue Jul 25 16:46:02 2017 +0100 Smith, John
Attempt to improve Import tree load times…

=======================================================

8f0f192: Tue Jul 25 10:29:19 2017 +0200 Tom Reijnders
Rebuild xwd

=======================================================

bebd27f: Tue Jul 25 07:53:50 2017 +0100 Ron Mitchell
Remove double quotes from descriptions.

=======================================================

8b345d4: Tue Jul 25 01:01:59 2017 +0100 Smith, John
Deprecate Delicious page type

=======================================================

bc1cf42: Tue Jul 25 00:30:27 2017 +0100 Smith, John
Fix for RSS feed page

=======================================================

ca15a2c: Mon Jul 24 23:21:07 2017 +0100 Smith, John
Fix ‘Import Page/Glossary Chooser’

Now it will ignore Workspace and Folder clicks…

=======================================================

7b24810: Tue Jul 25 07:53:50 2017 +0100 Ron Mitchell
Remove double quotes from descriptions.

=======================================================

c5e9a9b: Tue Jul 25 01:01:59 2017 +0100 Smith, John
Deprecate Delicious page type

=======================================================

1692ee3: Tue Jul 25 00:30:27 2017 +0100 Smith, John
Fix for RSS feed page

=======================================================

094a836: Mon Jul 24 23:36:23 2017 +0100 Smith, John
Add missing thumbnail for Opinion

=======================================================

8a472c4: Mon Jul 24 23:21:07 2017 +0100 Smith, John
Fix ‘Import Page/Glossary Chooser’

Now it will ignore Workspace and Folder clicks…

=======================================================

a1bef49: Fri Jul 21 23:40:20 2017 +0200 Tom Reijnders
Fix creash in scrorm tracking if no answers given in categories

=======================================================

335cbdb: Fri Jul 21 22:59:06 2017 +0200 Tom Reijnders
Align names of variables used across the tracking implementations

 - Also fix a weird bug that crashes the LO if the title happens to start
   with interaction

=======================================================

e1fce2e: Fri Jul 21 22:57:47 2017 +0200 Tom Reijnders
Prevent infinite loop when pressing Shift-Play on Learning Object itself

=======================================================

55e2cfb: Fri Jul 21 22:56:35 2017 +0200 Tom Reijnders
Folder_id's were mixed up with template_ids

=======================================================

d4a8a27: Fri Jul 21 11:43:17 2017 +0100 FayCross
Fix bug where import-choose.php would fail in older versions of php

=======================================================

dc89bb4: Tue Jul 18 15:53:02 2017 +0200 Jan Reijnders
Scorm result fix

=======================================================

5377e30: Fri Jul 21 23:40:20 2017 +0200 Tom Reijnders
Fix creash in scrorm tracking if no answers given in categories

=======================================================

1dd8f2e: Fri Jul 21 22:59:06 2017 +0200 Tom Reijnders
Align names of variables used across the tracking implementations

 - Also fix a weird bug that crashes the LO if the title happens to start
   with interaction

=======================================================

da374ea: Fri Jul 21 22:57:47 2017 +0200 Tom Reijnders
Prevent infinite loop when pressing Shift-Play on Learning Object itself

=======================================================

71d9dcc: Fri Jul 21 22:56:35 2017 +0200 Tom Reijnders
Folder_id's were mixed up with template_ids

=======================================================

bdc78c8: Fri Jul 21 11:43:17 2017 +0100 FayCross
Fix bug where import-choose.php would fail in older versions of php

=======================================================

abc305e: Wed Jul 19 10:11:09 2017 +0100 FayCross
Fixed bug where hide footer wasn't hiding everything now that we have the show/hide footer tools option too

=======================================================

64fa848: Tue Jul 18 15:53:24 2017 +0200 Jan Reijnders
xapi first edit

=======================================================

fbc9134: Tue Jul 18 15:53:10 2017 +0200 Jan Reijnders
version newline bug

=======================================================

f5f3c59: Tue Jul 18 15:53:02 2017 +0200 Jan Reijnders
Scorm result fix

=======================================================

f67e4cc: Tue Jul 18 14:59:51 2017 +0200 Joris Burgers
Added fix for empty credentials in xAPI

=======================================================

b19e74d: Tue Jul 18 14:31:09 2017 +0200 Joris Burgers
Fix for working xAPI enabled

=======================================================

aae3dff: Tue Jul 18 13:52:49 2017 +0200 Joris Burgers
First complete version of tsugi implementation

=======================================================

f474e91: Tue Jul 18 12:26:32 2017 +0200 NSavenije
Tsugi tab collapses, xApi url/key/secret store/recall, bugfix xttracting xapi

=======================================================

2aafbcc: Tue Jul 18 12:01:02 2017 +0200 Jan Reijnders
Radar diagram with classes works

=======================================================

8a016ec: Tue Jul 18 11:59:31 2017 +0200 Joris Burgers
Fix removing download link for xAPI

=======================================================

28356d5: Mon Jul 17 17:03:47 2017 +0200 Stefan Hofman
classes implemented in opinion

=======================================================

a996d17: Mon Jul 17 16:59:03 2017 +0200 Jan Reijnders
Opinion slightly changed

=======================================================

0f87bc8: Mon Jul 17 15:47:06 2017 +0200 Jan Reijnders
Radar diagram at survey

=======================================================

a5905a1: Mon Jul 17 12:40:52 2017 +0200 Joris Burgers
Moved tsugi code from xAPI, added UI for xAPI endpoint

=======================================================

5389626: Mon Jul 17 11:24:13 2017 +0200 Tom Reijnders
Oops, forgot to commit jspdf files

=======================================================

ab49a4e: Mon Jul 17 11:24:13 2017 +0200 Tom Reijnders
Oops, forgot to commit jspdf files

=======================================================

6cd4b5e: Sun Jul 16 22:58:47 2017 +0200 Tom Reijnders
Update version

=======================================================

0604a33: Sun Jul 16 22:55:20 2017 +0200 Tom Reijnders
OAuth2

=======================================================

3df91a9: Sun Jul 16 22:40:07 2017 +0200 Tom Reijnders
Issue #625 Results improvements

 - Sortable Grid page doesn't score correctly in either section if you
   have included any fixed rows/columns/cells in the table (there's an
   optional property on the page that allows this)

=======================================================

ff865af: Sun Jul 16 22:39:26 2017 +0200 Tom Reijnders
Some translation improvements

=======================================================

d59c433: Sun Jul 16 20:08:28 2017 +0200 Tom Reijnders
Align xwdBuilder from xertetrans with xerte

=======================================================

f27c26b: Sun Jul 16 20:06:57 2017 +0200 Tom Reijnders
Change noise into a non-wysiwyg textinput instaed of script

=======================================================

35a3d10: Sun Jul 16 20:05:52 2017 +0200 Tom Reijnders
Remove debugger statements

=======================================================

db83bdf: Sun Jul 16 18:18:57 2017 +0200 Tom Reijnders
Fix completion calculation

=======================================================

1f340d0: Sun Jul 16 18:17:59 2017 +0200 Tom Reijnders
ake special link pages translatable

=======================================================

1ede766: Sun Jul 16 15:02:14 2017 +0200 Tom Reijnders
Set score to - if not applicable

=======================================================

f363383: Sun Jul 16 15:01:39 2017 +0200 Tom Reijnders
Fix type in results.xwd and improve translation

=======================================================

2f13ad2: Sun Jul 16 11:27:32 2017 +0200 Tom Reijnders
Disable xAPI export for now

=======================================================

e315721: Sun Jul 16 11:21:38 2017 +0200 Tom Reijnders
Fixed #463 - Duplication does not work for co-author

=======================================================

5dd5629: Sun Jul 16 10:28:06 2017 +0200 Tom Reijnders
Some fixes to results, add possibility to ask for a name.

=======================================================

376f4cb: Sun Jul 16 00:03:38 2017 +0200 Joris Burgers
Added tab with tsugi export

=======================================================

78b88a0: Sat Jul 15 20:15:50 2017 +0200 Tom Reijnders
Improvements of results page and generated PDF

=======================================================

f4656ee: Sat Jul 15 20:09:06 2017 +0200 Tom Reijnders
Change tracking/tree labels

=======================================================

110f824: Sat Jul 15 19:16:06 2017 +0200 Tom Reijnders
Fix typo in setting page timeout

=======================================================

227c32b: Fri Jul 14 14:25:22 2017 +0100 FayCross
Remove comment

=======================================================

bb2e0d2: Fri Jul 14 14:23:04 2017 +0100 FayCross
New ruby text (phonetic guide) button on WYSIWYG editor toolbar

=======================================================

6f9545a: Thu Jul 13 14:09:02 2017 +0100 FayCross
Disable opinion & scenario pages until they're ready for release

=======================================================

f645bad: Wed Jul 12 22:43:41 2017 +0200 Tom Reijnders
Add support for co-author

=======================================================

f345698: Wed Jul 12 22:36:50 2017 +0200 Tom Reijnders
Do not use in memory zip generation

=======================================================

201f07f: Wed Jul 12 21:58:41 2017 +0200 Jan Reijnders
Match finished

=======================================================

52b5cd6: Wed Jul 12 21:35:49 2017 +0200 Jan Reijnders
Result page done except for match not finished bug

=======================================================

c2a2848: Wed Jul 12 21:27:08 2017 +0200 Jan Reijnders
Result page partially fixed

=======================================================

214b3b1: Tue Jul 11 15:42:51 2017 +0200 Tom Reijnders
Fixed #646 Import page not working

- base64 Encoded page name
 Please enter the commit message for your changes. Lines starting

=======================================================

28148c5: Tue Jul 11 14:34:40 2017 +0200 Tom Reijnders
Fixed #639 Various issues with tree icons

 - hidden page, deprecated, don't mark for completion

=======================================================

b4bacfe: Fri Jul 7 14:23:33 2017 +0100 FayCross
Fix #647 to remove import pages option from insert menu

=======================================================

895dff3: Fri Jul 7 13:56:50 2017 +0100 FayCross
Fix strange insert menu appearance in Chrome

=======================================================

232d51f: Fri Jul 7 13:27:04 2017 +0100 FayCross
Changed label of 'unmark for completion'

=======================================================

1bb46f1: Tue Jul 4 17:48:25 2017 +0200 Joris Burgers
Added support for Tsugi in Xerte

=======================================================

35633a9: Fri Jun 30 15:35:40 2017 +0100 FayCross
Changes to labels & default values in Bootstrap template so they match those used in XOT template

=======================================================

920abab: Fri Jun 30 15:08:12 2017 +0100 FayCross
Bootstrap changes
Fix #642 Grouping of optional properties in Bootstrap template
Added a number of new header optional properties e.g. background image repeat & position

=======================================================

64bf837: Fri Jun 30 12:30:02 2017 +0100 FayCross
Fix bug where categories labels had lost their border

=======================================================

d61051c: Fri Jun 30 12:02:44 2017 +0100 FayCross
Fix #620
Add page viewed ticks to menu page & added optional property to allow for them to be turned off

=======================================================

a560c06: Fri Jun 30 11:29:42 2017 +0100 FayCross
Removed results page optional property at LO level

=======================================================

3150b10: Fri Jun 30 10:15:38 2017 +0100 FayCross
Changed some of the default values in Thumbnail Viewer xwd

=======================================================

5d030eb: Fri Jun 30 09:59:14 2017 +0100 FayCross
Flash Cards - Added hint to optional property

=======================================================

d940173: Fri Jun 30 09:38:34 2017 +0100 FayCross
Removed Anchor button from ckeditor as anchor links don't work in LOs

=======================================================

13fe44e: Fri Jun 30 09:26:34 2017 +0100 FayCross
Changes to Show / Hide footer tools

- button is now on the interface by default
- bug fix where it broke the purple top theme

=======================================================

21da675: Thu Jun 29 14:58:34 2017 +0100 FayCross
Moved progress bar styling out of xenith.js & into stylesheets

=======================================================

12f32fe: Thu Jun 29 13:11:22 2017 +0100 FayCross
Deprecated Page Title Size optional property as it's not used

=======================================================

eefeff8: Thu Jun 29 10:41:42 2017 +0100 FayCross
Fix #640 where pageDiv was being hidden at the wrong time & stopping pages loading correctly when viewed for 2nd time

=======================================================

417d253: Thu Jun 29 10:26:50 2017 +0200 Tom Reijnders
Remove pedit folder

=======================================================

f452d7d: Wed Jun 28 21:43:49 2017 +0200 Tom Reijnders
Fix translation of Drop zone

=======================================================

c88ca99: Mon Jun 26 13:08:08 2017 +0100 Ron Mitchell
moving horizontal scroller to bottom of .pane-west as discussed in last online meeting

=======================================================

385ba74: Fri Jun 23 12:16:45 2017 +0200 Tom Reijnders
Saml2 - prevent spaces in request_ids, they cause problems in get params

=======================================================

b58132f: Fri Jun 23 09:44:53 2017 +0100 FayCross
Fix #637 so printing from decision tree template can now cope with multiple pages

=======================================================

6662583: Wed Jun 21 16:52:41 2017 +0200 Tom Reijnders
Change marForCompletion to unmarkForCompletion in xenith

 - Better default handling

=======================================================

762cdbf: Wed Jun 21 15:32:08 2017 +0200 Tom Reijnders
Fix completion tracking

=======================================================

fff0c40: Mon Jun 19 11:04:26 2017 +0200 Tom Reijnders
Cleaner

=======================================================

08b19ae: Mon Jun 19 10:56:30 2017 +0200 Tom Reijnders
Add unmark for completeion optional parameter

 - Replace mark for completion, so default behaviour is marked!
 - Use fontaweson icon to indicate in tree
 - replace hidden and deprecated icons with fontawesome icons
 - Refactor the way the icons are placed and removed and use css, i.e.
   icons are always places, but made visible/invisable with classes

=======================================================

422d57d: Sat Jun 17 18:41:25 2017 +0200 Tom Reijnders
Make name nodes less obvious

Make name nodes less obvious and mark them as label if they are only used
as labels for the editor tree and/or tracking

=======================================================

0619e0c: Sat Jun 17 18:33:13 2017 +0200 Jan Reijnders
Added normal result and fixed a bug with "page" type interactivities. The ask name field in result page is still empty

=======================================================

d0f3c1a: Fri Jun 16 10:41:07 2017 +0200 Tom Reijnders
Fix #635 problem with IE11

=======================================================

bb1a362: Thu Jun 8 11:11:39 2017 +0100 FayCross
Undo fix #601

=======================================================

d9338bd: Wed Jun 7 15:12:08 2017 +0100 FayCross
Multiple perspectives - play all button is highlighted when active

=======================================================

85714ab: Wed Jun 7 12:50:15 2017 +0100 FayCross
#601 Added text align options to inline editor

=======================================================

e6fd6a0: Wed Jun 7 04:06:24 2017 +0200 Tom Reijnders
Delete debugger statement

=======================================================

d4c3b8e: Tue Jun 6 19:41:29 2017 +0200 Tom Reijnders
Fix #634 - Putting a link on a positioned image with dimension in percentage crashes editor

=======================================================

1aad3d2: Tue Jun 6 18:58:36 2017 +0200 Tom Reijnders
Fix #631 and #632 Import pages

 - Gloassary not imported all the time
 - Inline images copied correctly
 - Refactored the code and made it more robust (original code did not use
   ajax. It does now, enabling the code to catch errors
 - Moved the code to the editor subfolder

=======================================================

6c12b68: Fri Jun 2 20:35:31 2017 +0200 Tom Reijnders
Added label to syncpoint of transcriptReader

=======================================================

779fb1a: Fri Jun 2 20:28:46 2017 +0200 Tom Reijnders
New them crated by Sebastiaan Hols

=======================================================

c1791e6: Fri Jun 2 20:24:39 2017 +0200 Tom Reijnders
Change cdn.mathjax.org to cdnjs.cloudflare.com

=======================================================

93d9c54: Fri Jun 2 15:50:17 2017 +0100 FayCross
Fix multiple perspectives bug where audio bar width not always scaling correctly on 1st view

=======================================================

28a4ffb: Thu Jun 1 12:27:44 2017 +0100 FayCross
Make buttons resposnive on keyboard language dialog

=======================================================

768562e: Thu Jun 1 12:16:18 2017 +0100 FayCross
Removed unused keyboard language options & corrected typo that was stopping 'Croatian' from working

=======================================================

cb673b1: Thu Jun 1 10:33:21 2017 +0100 FayCross
Removed glossary from bootstrap xwd

=======================================================

3a6ad42: Thu Jun 1 10:27:36 2017 +0100 FayCross
#596 Added Script optional property to Bootstrap projects

=======================================================

1685a4d: Thu Jun 1 09:24:31 2017 +0100 FayCross
Fix bug which was stopping use of first/last/next/previous in connector menu page

=======================================================

9b955bd: Fri May 26 15:59:55 2017 +0100 FayCross
Fix responsive multiple perspectives issues

=======================================================

9b0bf57: Thu May 25 14:58:44 2017 +0100 FayCross
Fix footer bar css when navigation is menu

=======================================================

8323997: Thu May 25 13:01:31 2017 +0100 Smith, John
Fix for #625 - Error if no pages with tracking added

=======================================================

1400cb6: Thu May 25 12:47:02 2017 +0100 Smith, John
Fix for #625 -  Disable export to PDF option bug

=======================================================

a89b3f0: Thu May 25 12:36:48 2017 +0100 Smith, John
Fix typo in previous commit.

=======================================================

199b790: Thu May 25 12:35:51 2017 +0100 Smith, John
Fix for #621 to not include menu page in progress when menu navigation on.

=======================================================

e540af3: Thu May 25 10:00:51 2017 +0100 FayCross
Fix bug that was breaking TOC button when navigation was set to Menu

=======================================================

482b865: Thu May 25 09:50:11 2017 +0100 FayCross
Allow sub pages to be added as links in Menu Connector page

=======================================================

59a9fa2: Wed May 24 15:56:25 2017 +0100 FayCross
Fix #629 New optional property to specify when a page's script (opt prop) is executed

=======================================================

bea2ccf: Wed May 24 14:56:14 2017 +0100 FayCross
Allow deep linking to all levels of children

- Deep linking is now available for topics, tabs and sub-pages on the tabbed navigator + page type

=======================================================

7f40bf9: Wed May 24 12:21:52 2017 +0100 Ron Mitchell
Basic fix to ensure images added via new media display when exported e.g. removed the substring check for USER-FILES.

=======================================================

41a4f46: Fri May 19 10:25:52 2017 +0200 Tom Reijnders
Change to exported packages (mainly for blackboard)

 - Blackboard soesn't like the ?version=... parameter we put after .js
   files and css files
 - They're intended to fool the cache in the case of a new update
 - They're not that important for exported packages
 - So rather than adding a Blacboard flag I removed all version parameters
   from all exported packages

=======================================================

03c63cf: Thu May 18 14:59:46 2017 +0100 FayCross
Fix #617: Improved deep linking to sub pages

- Sub pages now only appear in page list when they can be linked to
- 'deepLink' flag in page xwds indicate whether children should appear in page list

=======================================================

6d2d05c: Thu May 18 13:55:05 2017 +0100 FayCross
Fix #623: Incorrect padding of bullets next to floated images

=======================================================

0ec124d: Thu May 18 13:53:17 2017 +0100 FayCross
Removed unnecessary css for multiple perspectives page from responsive stylesheet

=======================================================

5efb094: Thu May 18 12:30:05 2017 +0100 FayCross
Improvements to Multiple Perspectives page:

- Improved layout & scrolling of thumbnail bar
- Improved responsiveness
- New options to control page layout, thumbnail bar appearance & size, individual thumbnail appearance (border options & highlight current) & media size
- New 'Play all' option

=======================================================

1128bb1: Wed May 17 11:30:19 2017 +0100 FayCross
Removed references to x_mobileDevice function in xenith.js as it never returns true & is not needed if we use x_browserInfo.mobile instead

=======================================================

305c943: Wed May 17 11:03:47 2017 +0100 Ron Mitchell
remove duplicate of enable resuming

=======================================================

cf4bfe5: Wed May 17 11:03:14 2017 +0100 Ron Mitchell
remove duplicate of enable resuming

=======================================================

7bb3185: Fri May 12 09:53:14 2017 +0100 FayCross
Glossary & language css files are now only loaded in projects that will use them

=======================================================

8d7a1df: Fri May 12 09:39:17 2017 +0100 FayCross
Improved the way responsiveness and theme stylesheets are set up

The default responsive.css file is now used in every project so theme responsive.css files now need only contain css that's different to default (previously every theme had a duplicate of the default.css file in it)

Added a number of new classes to x_mainHolder div so that css in model pages & css uploaded to LOs can now easily target specific pages & circumstances. The classes are x_mobile x_desktop x_touchScreen x_responsive & x_pageName_page (where pageName is the model file name).

=======================================================

b489930: Tue May 9 21:18:38 2017 +0200 Tom Reijnders
xAPI as well

=======================================================

e8911e7: Tue May 9 21:10:41 2017 +0200 Tom Reijnders
Apply changes to tracking_noop to scorm as well

=======================================================

a768ef3: Tue May 9 20:35:02 2017 +0200 Tom Reijnders
[RN] New Results page, that shows tracking results (even when not really
tracking using SCORM

=======================================================

31d9f61: Tue May 9 20:33:21 2017 +0200 Tom Reijnders
Rename Import -> Import pages

=======================================================

f184eb5: Sat May 6 20:10:17 2017 +0200 Tom Reijnders
Fix #622, issue with bootstrap export: added language folder

=======================================================

44d325a: Thu Apr 27 09:18:15 2017 +0100 FayCross
Fixed typo in previous commit

=======================================================

457b611: Thu Apr 27 09:15:22 2017 +0100 FayCross
Fix #622 languageData issue that was breaking exported Bootstrap projects

=======================================================

7305da6: Sun May 7 19:29:14 2017 +0200 Tom Reijnders
Fix gapFill - Make input fields a bit wider so words fit on Mac Safari

=======================================================

11d1c87: Sun May 7 17:30:16 2017 +0200 Tom Reijnders
Fix peer review and prevent feed back from pages appearing in main page

=======================================================

5728959: Sat May 6 22:11:25 2017 +0200 Tom Reijnders
Add common="true" attribute when builing data.xwd from individual files

=======================================================

e4c1f8c: Sat May 6 20:30:36 2017 +0200 Tom Reijnders
Fix import: create preview.xml (by copying data.xml) if not present

=======================================================

1dfe9d4: Sat May 6 20:10:17 2017 +0200 Tom Reijnders
Fix #622, issue with bootstrap export: added language folder

=======================================================

65a1956: Sat May 6 13:49:58 2017 +0200 Tom Reijnders
Fix for import pages

 - Nothing displayed if one of the page titles contains a ' character

=======================================================

47d15be: Sat May 6 11:33:04 2017 +0200 Tom Reijnders
Correct rounding of score in scorm 2004 3rd ed.

=======================================================

450bef2: Sat May 6 10:58:36 2017 +0200 Jan Reijnders
Mark for completion edit

=======================================================

4e0cd2b: Thu May 4 12:22:56 2017 +0200 Tom Reijnders
[RN] Added posibility to import pages from another Learning object

 - Only works for the Nottingham template
 - You have to have creator or co-author (new) role to be able to import
   pages from a LO
 - You can optionally also choose to merge the glossary

=======================================================

7d759c1: Sun Apr 30 15:23:36 2017 +0200 Tom Reijnders
xApi connection to PedIT

=======================================================

d0f7f60: Thu Apr 27 09:18:15 2017 +0100 FayCross
Fixed typo in previous commit

=======================================================

a694fe6: Thu Apr 27 09:15:22 2017 +0100 FayCross
Fix #622 languageData issue that was breaking exported Bootstrap projects

=======================================================

0f94335: Sun Apr 23 17:02:46 2017 +0200 Jan Reijnders
Translation of result page

Ready for testing

=======================================================

aff1dd1: Sun Apr 23 13:51:17 2017 +0200 janreijnders
GapFill Fill in the blank completed

Ready for testing

=======================================================

8df8998: Fri Apr 21 10:00:07 2017 +0100 FayCross
Fixed bug where show/hide footer tools only worked if progress bar was on

=======================================================

5caf722: Fri Apr 21 09:47:34 2017 +0100 FayCross
Fixed menu page bug

=======================================================

245a067: Mon Apr 17 16:24:16 2017 +0200 Tom Reijnders
Improve import pages functionality

 - Consider template rights
 - Separate javascript files to be able to choose different options from
   actual workspace
 - Use jquery ui layout
 - Fix resize
 - Use same code for top button and for Insert->Import

=======================================================

263338e: Sat Apr 15 15:56:37 2017 +0200 janreijnders
Include .css files in export

=======================================================

c7c4049: Sat Apr 15 15:56:22 2017 +0200 janreijnders
Fixed a bug with the tracking weigth

=======================================================

d357cbd: Sat Apr 15 15:56:05 2017 +0200 janreijnders
Mark for completion standard true

=======================================================

7496120: Sat Mar 18 21:58:24 2017 +0100 NSavenije
gap fill. fill in fix

Fixed the fill in we broke in schotland

=======================================================

92b6b4e: Sat Mar 18 18:59:03 2017 +0100 NSavenije
fix for skipping quiz question

fixed the noop tracking multiple choice skipping answers

=======================================================

217d5e0: Fri Apr 14 11:33:49 2017 +0200 Tom Reijnders
Fix odd login behaviour

=======================================================

3487645: Fri Apr 14 10:55:11 2017 +0200 Tom Reijnders
Remove debug logging

=======================================================

ad0a007: Fri Apr 14 10:53:38 2017 +0200 Tom Reijnders
Prevent double parsing

=======================================================

e32e09c: Fri Apr 14 10:53:01 2017 +0200 Tom Reijnders
Default langugae was not set correctly

=======================================================

723fc51: Thu Apr 13 14:25:33 2017 +0100 FayCross
Added 'Panel Width' option to several pages
(related to #610)

=======================================================

a8f11b7: Thu Apr 13 11:47:59 2017 +0100 FayCross
Button Navigator: New option to control button position

=======================================================

779574b: Thu Apr 13 11:11:16 2017 +0100 FayCross
Minor changes to labels in xwd
(to standardise the wording across pages)

=======================================================

5c79b46: Thu Apr 13 10:38:23 2017 +0100 FayCross
Minor change to a label in xwd

=======================================================

5af6128: Thu Apr 13 09:46:32 2017 +0100 FayCross
#618 Further grouping of optional properties

Optional properties for pages are now shown in 2 groups - general props that apply to all page types & those that are unique to that page

=======================================================

651b1b5: Wed Apr 12 15:48:53 2017 +0100 FayCross
Removed 'Enabled Resuming' from the 'Tracking' opt prop group

=======================================================

c87371a: Wed Apr 12 13:52:11 2017 +0100 FayCross
New Decision Tree page 'Question numbering' optional property

=======================================================

9283bac: Wed Apr 12 11:09:50 2017 +0100 FayCross
Fix #599 Allow deep linking to individual decision tree steps

=======================================================

d1372aa: Wed Apr 12 10:14:40 2017 +0100 FayCross
Fix bug where text outside panel was not responsive when panel size was anything other than 'Medium'

=======================================================

34eea1a: Sun Apr 9 22:57:18 2017 +0200 Tom Reijnders
Thumbnailviewer: add mandatory to tip

=======================================================

9c66dcf: Sun Apr 9 22:47:22 2017 +0200 Tom Reijnders
Changed the way browser language is detected, as Zend_Locale didn't always work

=======================================================

dfae262: Wed Apr 5 23:07:32 2017 +0200 Tom Reijnders
Make sure only allowed LO's are shown

=======================================================

68f97c9: Wed Apr 5 23:06:58 2017 +0200 Tom Reijnders
Opinion: change icon

=======================================================

35a06c7: Tue Apr 4 10:14:51 2017 +0200 Tom Reijnders
Split off css of opinion.css

=======================================================

a644c9e: Mon Apr 3 17:52:41 2017 +0200 JopMaarse
Renamed Survey to Opinion

=======================================================

ffd7ddf: Sun Apr 2 22:43:12 2017 +0200 Joris Burgers
Merging works with media files

=======================================================

5a4c105: Fri Mar 31 11:58:46 2017 +0100 FayCross
Thumbnail Viewer page 'Image Description' property is now required & not optional

=======================================================

75098b4: Fri Mar 31 11:48:26 2017 +0100 FayCross
Fixed bug related to earlier background image commit

=======================================================

bd75d49: Fri Mar 31 11:38:40 2017 +0100 FayCross
Changed wording on Dictation's 'Show correctness' option to 'Mark answers'

=======================================================

20c367b: Fri Mar 31 11:11:55 2017 +0100 FayCross
Background Image is now an optional property on all page types

=======================================================

0c12422: Thu Mar 30 17:47:24 2017 +0200 Tom Reijnders
Prevent content from behaving weird as we remove css files

 - Oops previous commit destroyed cached pages (cannot go back anymore)
 - New implementation hides and shows x_pageDiv

=======================================================

a582860: Thu Mar 30 16:19:01 2017 +0200 Tom Reijnders
Prevent content from behaving weird as we remove css files

=======================================================

b7b072f: Thu Mar 30 11:42:40 2017 +0100 Smith, John
#615 - Doh

=======================================================

6f5e553: Thu Mar 30 12:33:56 2017 +0200 Tom Reijnders
Fixed #616 - TOC tickboxes now showing all pages visited continuously

=======================================================

95ffbef: Thu Mar 30 11:14:18 2017 +0100 Smith, John
Possible?? fix for #615 issues with is.gd

=======================================================

f145ea8: Thu Mar 30 11:46:52 2017 +0200 Tom Reijnders
Do not treat all devices with touch screen as a mobile device

 - When on a notebook with a touch screen, the mode was set as if on a
   (small) mobile device
 - Currently iPad is also NOT counted as a mobile device (so you would
   have the possibility to work with fixed size LO or Fill window.

=======================================================

fba3b3e: Wed Mar 29 16:07:33 2017 +0100 Smith, John
Fix #615 - added js library to create QRcode

=======================================================

a6c355f: Wed Mar 29 12:21:27 2017 +0100 FayCross
Fix #614 Stops css onload event being called twice when css includes import font (IE only)

=======================================================

ec13417: Mon Mar 27 18:27:45 2017 +0200 Tom Reijnders
Add icon to survay page

=======================================================

5766f0a: Sun Mar 26 21:14:46 2017 +0200 JopMaarse
Made labels clickable, updates bubble to move with slider and show label name.

=======================================================

2d6f0f1: Fri Mar 24 15:31:12 2017 +0000 Fay Cross
#255 Added 'Preview unavailable' text to editor language file for previewing media errors

=======================================================

b917c48: Fri Mar 24 14:01:42 2017 +0000 Fay Cross
Changes to wordsearch, title & dictation page models to make sure that grouping of optional properties doesn't break existing projects that may have one of these properties added already

=======================================================

c00a3fd: Fri Mar 24 13:51:02 2017 +0000 Fay Cross
Grouping of related optional properties in all page types

=======================================================

2d0c653: Fri Mar 24 13:39:23 2017 +0000 Fay Cross
Comboboxes in editor will show blank top line instead of 1st option if shown in editor without data in xml (needed for opt property groups)

=======================================================

4c762d2: Thu Mar 23 14:57:26 2017 +0000 Fay Cross
Undo previous commit

=======================================================

27cbf2f: Thu Mar 23 14:50:33 2017 +0000 Fay Cross
Comboboxes in editor will show blank top line instead of 1st option if shown in editor without data in xml (needed for opt property groups)

=======================================================

fa48f28: Wed Mar 22 14:45:38 2017 +0000 Julian Tenney
completed testing all works!

=======================================================

08cd5bf: Wed Mar 22 14:43:46 2017 +0000 Julian Tenney
test commit on new install

=======================================================

46c6d19: Wed Mar 22 13:49:06 2017 +0000 Fay Cross
Dictation page: changed wording of 'Show correctness' optional property to 'Mark Answers'

=======================================================

b7b749f: Wed Mar 22 11:18:47 2017 +0000 Fay Cross
Removed 'Disable Glossary' optional property from MCQ xwd & model as it's added to all pages now via basicPages.xwd & xenith.js (this was making the property appear twice on property list)

=======================================================

73a907c: Mon Mar 20 16:58:08 2017 +0100 Tom Reijnders
Adjust syntax to PHP 5.3

=======================================================

adc6545: Sun Mar 19 17:12:18 2017 +0000 Smith, John
Possible fix / hack for issue #611

=======================================================

049a577: Fri Mar 17 15:40:35 2017 +0100 JopMaarse
removed debugger and added todos to survey

=======================================================

4654319: Fri Mar 17 15:36:26 2017 +0100 JopMaarse
Survey scoring fixed

=======================================================

55b2cad: Fri Mar 17 15:17:47 2017 +0100 JopMaarse
Updates survey so the option labels will not overflow 1 line

=======================================================

acfcd47: Fri Mar 17 15:17:33 2017 +0100 janreijnders
Quick survey result fix

=======================================================

52d2259: Fri Mar 17 15:05:17 2017 +0100 janreijnders
Completion and results on scorm 2004.

We fixed a bug on gapFill, but we didn't realize there were two methods
doing the same thing. The fill-in variant is broken. We know how to fix
it, but due to some time struggles this commit is necessary. gapFill
fill-in fix will follow.

=======================================================

03efedd: Fri Mar 17 14:44:35 2017 +0100 Joris Burgers
Publish before merge

=======================================================

248343e: Fri Mar 17 13:53:17 2017 +0100 Joris Burgers
Added support for merging pagelinks

=======================================================

47ec3ee: Fri Mar 17 12:41:55 2017 +0000 Smith, John
Add random and subset options to flashcards

still contains problem on revisit to page

=======================================================

031d5b3: Fri Mar 17 12:40:29 2017 +0000 Smith, John
Add glossary option to bootstrap

=======================================================

e9fd8d9: Fri Mar 17 12:37:44 2017 +0000 Stefan Hofman
Merge option - Select all

There is now the option to select or deselect all of the pages

=======================================================

66badfc: Fri Mar 17 12:10:08 2017 +0000 Ron Mitchell
add show/hide footer tools optional property

=======================================================

fadb5e2: Fri Mar 17 11:23:13 2017 +0000 Stefan Hofman
Remove debugger

Remove of a debugger i forgot to remove

=======================================================

af00ae4: Fri Mar 17 11:48:40 2017 +0100 Joris Burgers
Tree bug fixed, items are clickabe

=======================================================

7150e0a: Fri Mar 17 10:38:10 2017 +0000 Stefan Hofman
Add merge button in the dropdown menu

Again a merge to put back in the merge button after a bug.

=======================================================

f7dd54b: Fri Mar 17 10:24:03 2017 +0000 Ron Mitchell
language string for progress bar

=======================================================

b368443: Fri Mar 17 10:08:26 2017 +0000 Smith, John
Fix pagelinking and now in xerte and bootstrap only (for now)

=======================================================

802f586: Fri Mar 17 10:43:35 2017 +0100 Joris Burgers
Updated merge to include glossary merging and a tree structure

=======================================================

2aac7e6: Fri Mar 17 09:42:49 2017 +0000 Stefan Hofman
Revert merge button commit

=======================================================

67d0186: Thu Mar 16 17:57:32 2017 +0000 Fay Cross
Added checks to see if media exists for some optional properties - needed because new optional property groups make it more likely media hasn't been uploaded to all fields

=======================================================

3775c10: Thu Mar 16 17:42:24 2017 +0000 Fay Cross
#255 Preview media button in editor (like in Flash editor)- currently only works for images

=======================================================

e382ad8: Thu Mar 16 17:35:42 2017 +0000 Fay Cross
New feature: Allows related optional properties to be grouped together

=======================================================

7e1274e: Thu Mar 16 17:12:05 2017 +0000 Ron Mitchell
fix for progress bar

=======================================================

7a98f9f: Thu Mar 16 17:03:15 2017 +0000 Ron Mitchell
add optional property to include progress bar with or without page counter

=======================================================

c90903c: Thu Mar 16 16:48:58 2017 +0000 Stefan Hofman
Merge button in the menu

Updated the button for for merging, we replaced the at the beginning,
middle and end button for a single merge button.

=======================================================

644032a: Thu Mar 16 17:40:21 2017 +0100 janreijnders
Scorm 1.2 completion and results

=======================================================

e07f134: Thu Mar 16 15:58:19 2017 +0000 Smith, John
Fix #14 - Scenario HTML5 beta version

=======================================================

04768da: Thu Mar 16 16:36:31 2017 +0100 Lars Leijten
Bugfix feedback  individual survey

Fixed a bug where the feedback whould show null on the page if the
feedback was empty.

=======================================================

107a22e: Thu Mar 16 16:26:58 2017 +0100 janreijnders
Result page and completion for 2004, minor bug in noop

=======================================================

ce84e1e: Thu Mar 16 16:08:30 2017 +0100 Joris Burgers
Toolbox.js merged variable removed

=======================================================

071845c: Thu Mar 16 16:05:10 2017 +0100 Joris Burgers
Fix for merged not defined in tree.js

=======================================================

4e71ff5: Thu Mar 16 16:04:18 2017 +0100 janreijnders
resultpage in scorm 2004

=======================================================

dfd33f3: Thu Mar 16 15:02:45 2017 +0000 Stefan Hofman
rebuild xwd files

rebuilding the xwd files after import page

=======================================================

8e8454c: Thu Mar 16 15:55:33 2017 +0100 JopMaarse
Fixed bug in survey

fixed a bug when survey was completed that caused the current question
number to exceed the number of questions

=======================================================

f5545a8: Thu Mar 16 14:29:42 2017 +0000 Stefan Hofman
quick fix for Joris

=======================================================

54e73b2: Thu Mar 16 14:22:15 2017 +0000 Stefan Hofman
Import menu right way

We added the import tab in the drop down menu the right way, with new
xwd files

=======================================================

eb04835: Thu Mar 16 15:11:41 2017 +0100 janreijnders
Result page works for every pageType

Numeric isn't tested yet, since there is not a valid representation at
the moment. Only works in noop

=======================================================

0760a40: Thu Mar 16 14:56:40 2017 +0100 Tom Reijnders
Split model files and extract css files after merge

=======================================================

da85c20: Thu Mar 16 12:47:47 2017 +0000 Smith, John
Fix for #603 - Option to hide words in word search

=======================================================

777a941: Thu Mar 16 10:28:15 2017 +0100 Joris Burgers
Quickfix?

=======================================================

93caed1: Wed Mar 15 16:20:33 2017 +0000 Stefan Hofman
New Button for merging

=======================================================

530dbd5: Wed Mar 15 17:17:33 2017 +0100 Joris Burgers
Style updated

=======================================================

af2b30a: Wed Mar 15 17:18:31 2017 +0100 Lars Leijten
Changed more features for the xwd of survey

=======================================================

7935db5: Wed Mar 15 17:00:08 2017 +0100 janreijnders
Results page with completion percentage

Works only on noop

=======================================================

4422ade: Wed Mar 15 16:31:54 2017 +0100 JopMaarse
survey updated

technical side finished, but not tested

=======================================================

8bb4a1d: Wed Mar 15 15:14:44 2017 +0000 Stefan Hofman
Initial version page merge

=======================================================

e0e511c: Wed Mar 15 15:05:26 2017 +0100 JopMaarse
rebuilt xwd files

=======================================================

599a0c5: Wed Mar 15 14:20:09 2017 +0100 JopMaarse
Added survey xerte page.

Survey page is not yet completely done.

=======================================================

20795e8: Wed Mar 15 13:11:13 2017 +0100 Tom Reijnders
Add numeric interaction at lower level than page level

=======================================================

ecb2c1f: Wed Mar 15 11:25:23 2017 +0100 Tom Reijnders
Make a standalone page of the Results Page

 - Gives more control in non-linear LO's
 - Gives the ability to control export options

=======================================================

4aaa05a: Wed Mar 15 10:36:31 2017 +0100 Tom Reijnders
Change the way we handle results page

=======================================================

9886a2c: Wed Mar 15 00:11:00 2017 +0100 Tom Reijnders
Several fixes to markCompletion and results page

=======================================================

482b073: Tue Mar 14 18:33:07 2017 +0100 janreijnders
Buggy completion results

We have implemented mark for completion attribute, but there are still
some bugs in it. Currently only testable with 2004 scorm

=======================================================

2e6feba: Fri Mar 10 12:12:50 2017 +0100 Tom Reijnders
Fixed #595 - play v publish v cancel - perhaps need for extra button?

 - Changd blur to change event. Now the internal state is always updated.
   I implemented this for (wysiwyg) textareas, textinputs and scripts.

=======================================================

6eef3f7: Wed Mar 8 10:05:35 2017 +0000 Ron Mitchell
similar to #586 also hide the topnav bar until settings are applied

=======================================================

d69561c: Wed Mar 8 10:05:09 2017 +0000 Ron Mitchell
similar to #586 also hide the topnav bar until settings are applied

=======================================================

053ae90: Fri Mar 3 17:37:35 2017 +0100 Tom Reijnders
Fixed #593 Image resize issue when dragged into editor

 - Added plugin image3 (but not the toolbar icon)

=======================================================

a1c736e: Thu Mar 2 09:37:49 2017 +0000 Smith, John
Flipped the logic for #587

=======================================================

436c784: Wed Mar 1 17:15:02 2017 +0000 FayCross
Fix #543 All page icons for (non-deprecated) page types are now unique

=======================================================

f6c963f: Wed Mar 1 15:46:58 2017 +0000 Smith, John
Add a space for #587

=======================================================

dd274ae: Wed Mar 1 13:08:40 2017 +0000 Smith, John
Some more changes for #587 to use font-awesome icon

=======================================================

3a31c6e: Wed Mar 1 12:36:57 2017 +0000 Smith, John
Oops

=======================================================

d4199c5: Wed Mar 1 12:33:03 2017 +0000 Smith, John
Added some code to add a <div> to menu items and a visited class when relevant. Purple theme has some css to enable a tick to be shown. For #587 but not a complete fix.

=======================================================

c41bfad: Tue Feb 28 13:37:54 2017 +0000 Smith, John
Fix #585 - make sure favicon.ico is exported in all exports and included in all page head elements and favicon_edit added to new editor

=======================================================

6131438: Tue Feb 28 11:59:06 2017 +0000 Smith, John
Fix #586 - hide the header until settings are applied

=======================================================

54952ef: Mon Feb 27 13:01:46 2017 +0100 Tom Reijnders
Fix for #567: pasted images are overwritten

=======================================================

703f7c1: Sat Feb 25 13:03:29 2017 +0100 Tom Reijnders
Implemented #567 - pasting (or dragging) images into editor

 - Updated CKEditor to version 4.6.2
 - Included the uploadimage plugin to be able to drag images into the
   editor. Paste should work as well, but I couldn't get it to work.
 - Also changed the image plugin to be able to hande percentages as sizes
   As soon as you drag the resizer, the size will be set in px again.

=======================================================

9002347: Fri Feb 24 17:32:22 2017 +0000 Ron Mitchell
optimise hotspot editor by making hotspot editor popup 100% rather than a fixed size

=======================================================

9b6bcfd: Fri Feb 24 17:14:41 2017 +0000 Ron Mitchell
Add automatic horizontal scrolling to left pane in editor when space limited or long titles/labels used

=======================================================

c051c93: Fri Feb 24 12:31:15 2017 +0000 FayCross
Close #554: New background darkness optional property added to LO & title page background images

=======================================================

36137ca: Fri Feb 24 11:45:01 2017 +0000 FayCross
Fix #559 Various text fields in Bootstrap template are now wysiwyg

=======================================================

7aebc2f: Fri Feb 24 09:58:23 2017 +0000 FayCross
Fix #571 New 'Panel Width' optional property on accordion & tabbed nav pages so you can change to fit content rather than fill space

=======================================================

b9e3c38: Tue Feb 21 20:44:53 2017 +0100 Tom Reijnders
Missing files

=======================================================

ab5ebe7: Tue Feb 21 18:03:36 2017 +0100 Tom Reijnders
Change version

=======================================================

7a2978f: Tue Feb 21 17:58:53 2017 +0100 Tom Reijnders
Update version.txt

=======================================================

e2d961a: Tue Feb 14 20:31:30 2017 +0100 Stefan Hofman
Results page for match

=======================================================

e22a8f3: Tue Feb 14 19:31:01 2017 +0100 Stefan Hofman
Improvements result screen

=======================================================

3aaef2f: Tue Feb 14 12:42:22 2017 +0000 Smith, John
Fix #532 - Deeplinking now works to section level and [first], [last], [previous] and [next] are also now available for Bootstrap.

=======================================================

4a9b2a9: Mon Feb 13 20:36:39 2017 +0000 Smith, John
Fix #560 - Hides the contents of the footer block rather than the whole footer block. If we might want narration hidden then we probably need a new field in editor.

=======================================================

60f197f: Mon Feb 13 07:53:01 2017 +0000 Smith, John
One of the fixes for #565 - Update an upgrade.php section to give correct message

=======================================================

d5141f6: Mon Feb 13 07:43:27 2017 +0000 Smith, John
Fix #561 - Now we have Previous/Next/First/Last options when adding a Xerte Page Link.

=======================================================

0739b2b: Sun Feb 12 17:14:30 2017 +0000 Smith, John
Fix #564 - update both places where date wasn’t being set properly

=======================================================

0353024: Sun Feb 12 16:55:25 2017 +0000 Smith, John
Fix #563 - A better way to solve this. We sort the glossary terms by longest and only alphabetise sort alphabetically for display in Glossary page model. Subset phrases are always shorter so always checked after the longer phrase has been linked.

=======================================================

88dc597: Sun Feb 12 13:10:34 2017 +0100 Tom Reijnders
Add comment to explain a piece of code.

=======================================================

8af4afe: Sun Feb 12 13:07:47 2017 +0100 Tom Reijnders
Small fix in plugins.php

=======================================================

e4a1963: Sun Feb 12 13:06:11 2017 +0100 Tom Reijnders
Remove php closing tag to prevent issues with translated files

=======================================================

afa4399: Sat Feb 11 12:28:06 2017 +0100 Stefan Hofman
Improvements in result page NOOP tracking

=======================================================

0c1b4d6: Fri Feb 10 15:58:45 2017 +0000 Smith, John
Fix for #563 - reverse the order that we check for glossary terms. For terms such as ‘due’ and ‘due date’, the shorter always appears first (alphabetical) but the latter should be replaced first (as it is the best match).

=======================================================

d204aee: Thu Feb 9 20:50:29 2017 +0100 Joris Burgers
Results page start of showing all questions and answers

=======================================================

5f6c962: Thu Feb 9 19:28:23 2017 +0100 Joris Burgers
No answer correct fix in Quiz

=======================================================

ded2d3f: Wed Feb 8 16:22:52 2017 +0000 Ron Mitchell
change link to google font to https

=======================================================

0e14c00: Tue Feb 7 22:06:07 2017 +0100 Joris Burgers
Layout optimised in results page

=======================================================

da4d632: Fri Feb 3 10:43:31 2017 +0100 Tom Reijnders
Fix getVersion to make it compatible with older versions of php

=======================================================

dadddd4: Thu Feb 2 23:09:59 2017 +0100 Tom Reijnders
Remove some test code

=======================================================

a72d391: Wed Feb 1 20:50:21 2017 +0100 Tom Reijnders
Fix bug in sanitize name

=======================================================

760c39c: Tue Jan 31 11:47:00 2017 +0100 Joris Burgers
Results screen added in offline en preview

=======================================================

2925286: Mon Jan 30 10:14:01 2017 +0100 Tom Reijnders
Fixed #562

=======================================================

31568c2: Sun Jan 29 16:36:02 2017 +0100 Tom Reijnders
Make sure css files are loaded prior to the model file

=======================================================

9a7a132: Sun Jan 29 15:30:12 2017 +0100 Tom Reijnders
Split up CSS files

=======================================================

bfe8efd: Sun Jan 29 12:59:23 2017 +0100 Tom Reijnders
Fixed #551 Matching texts page type issues

=======================================================

bd06660: Sun Jan 29 11:36:19 2017 +0100 Tom Reijnders
Only read first line of version.txt - WITHOUT newline

=======================================================

4e82f0e: Sat Jan 28 20:14:09 2017 +0100 Tom Reijnders
Sanatize filenames before upload

=======================================================

6df73e3: Sat Jan 28 20:13:23 2017 +0100 Tom Reijnders
Add OAuth2 autherntication framework

=======================================================

1d93f04: Sat Jan 28 20:09:49 2017 +0100 Tom Reijnders
Adding OAuth2 authentication framework

=======================================================

50d6935: Thu Jan 26 09:32:47 2017 +0000 FayCross
New Bootstrap features:
1. Titles for subsections can now be shown in LO (previously only used to label tree in editor)
2. Optional property to add links to subsections below section headings

=======================================================

819a66d: Mon Jan 23 20:54:51 2017 +0100 Joris Burgers
Results screen implemented for xAPI

=======================================================

850e0b8: Mon Jan 23 13:04:46 2017 +0100 JopMaarse
Fixed xml inspector

=======================================================

81293ad: Mon Jan 23 12:58:29 2017 +0100 JopMaarse
rervert login 3

=======================================================

d6c133d: Mon Jan 23 12:53:14 2017 +0100 JopMaarse
Revert "Login xml added at the end"

This reverts commit da062721c0b433ce80575835ff40e39ba994775a.

# Conflicts:
#	website_code/php/xmlInspector.php

=======================================================

5464837: Mon Jan 23 12:39:38 2017 +0100 JopMaarse
revert login

=======================================================

8963eba: Sun Jan 22 22:42:30 2017 +0100 Joris Burgers
Result page optimized

=======================================================

3cd7da0: Sun Jan 22 22:42:14 2017 +0100 Stefan Hofman
Gives an option to enable the result page

=======================================================

c487aaa: Sun Jan 22 21:04:43 2017 +0100 Stefan Hofman
Results page Scom 1.2 and results download to pdf

=======================================================

2ba86c5: Fri Jan 20 16:24:07 2017 +0000 FayCross
Fixed minor issue with Bootstrap css where section titles wouldn't always go under iframes in previous section

=======================================================

414f54e: Mon Jan 16 21:13:43 2017 +0100 Joris Burgers
Results screen in SCORM 2004

=======================================================

0d5bad1: Mon Jan 16 14:27:05 2017 +0100 JopMaarse
Login page at the start, but the rest is broken

=======================================================

da06272: Mon Jan 16 12:55:20 2017 +0100 Joris Burgers
Login xml added at the end

=======================================================

efdb0ac: Sat Jan 14 23:20:59 2017 +0100 Joris Burgers
Preparations for Login page

=======================================================

c153496: Wed Jan 11 10:15:59 2017 +0000 FayCross
Fix bug where menu page projects weren't working after previous commit

=======================================================

93d5174: Wed Jan 4 13:57:37 2017 +0000 FayCross
Fix bug where hidden pages were showing in play view if author support was on

=======================================================

b1fe7ca: Wed Jan 4 12:58:42 2017 +0000 FayCross
Author support added to Bootstrap projects so that you can preview hidden pages when it's turned on

=======================================================

0145a2c: Sun Dec 18 16:44:51 2016 +0100 Tom Reijnders
Bootstrap direct linking to pages using #pagexx only worked when xx <= 9

=======================================================

24cd980: Thu Dec 15 14:47:03 2016 +0000 FayCross
Change to author support so it will also preview hidden pages to author when turned on

=======================================================

79a7983: Wed Dec 14 17:00:26 2016 +0000 FayCross
Documentation page: page width option made mandatory

=======================================================

e701085: Fri Dec 9 14:16:35 2016 +0000 FayCross
Minor change to categories css so ticks &v crosses are aligned correctly on labels

=======================================================

67dd97d: Fri Dec 9 11:08:44 2016 +0000 FayCross
New Bootstrap template functionality to allow pages & sections to be hidden (like page can already be hidden in XOT template) related to #437

=======================================================

e210dad: Mon Dec 5 14:59:43 2016 +0100 JopMaarse
xapi tracking

=======================================================

928078e: Mon Dec 5 14:21:36 2016 +0100 JopMaarse
setup, management fixed

=======================================================

3f9ad76: Mon Dec 5 14:18:12 2016 +0100 Joris Burgers
xAPI library database values updated

=======================================================

36ceae1: Mon Dec 5 14:00:08 2016 +0100 Lars Leijten
Time spend + Time stamps XAPI tracking

Added the time spent on a page to the result of a set page score
statement. Also added timestamps for the various statements sent to the
LRS. Fixed the succes field of the result of set page score.

=======================================================

5a56aa4: Fri Dec 2 09:55:49 2016 +0000 FayCross
#547 thumbnail image for documentation page & commented out enable email option in xwd for the moment as it's not working

=======================================================

e934545: Mon Nov 28 17:43:02 2016 +0100 JopMaarse
minor sanitation

=======================================================

91f5451: Fri Nov 25 23:14:08 2016 +0100 Joris Burgers
xAPI added to management.php and values used in xapi code

Run upgrade.php before using!!

=======================================================

ab77483: Fri Nov 25 22:41:38 2016 +0100 JopMaarse
Added LRS settings to management DB (untested)

=======================================================

ce03cca: Thu Nov 24 13:17:53 2016 +0000 FayCross
New Flash Cards page model (done #458)

=======================================================

2c14b9b: Mon Nov 21 17:44:35 2016 +0100 Joris Burgers
xAPI send POST instead of PUT

=======================================================

11375f2: Fri Nov 18 22:07:18 2016 +0100 Lars Leijten
Added alert boxes for errors

^

=======================================================

230c405: Fri Nov 11 09:15:10 2016 +0000 FayCross
Removed padding from p tags next to radio buttons so they're better aligned

=======================================================

4798029: Fri Nov 4 16:23:13 2016 +0000 FayCross
#547 Documentation page - minor change to required fields

=======================================================

fac175e: Fri Nov 4 14:53:23 2016 +0000 FayCross
#547 Fixes to documentation page including:
- Fixed the 'exclude from' functionality
- Fixed bug where some info in downloaded document was showing as undefined
- Fixed bug where line breaks weren't showing in text area field in downloaded document

=======================================================

e417917: Thu Nov 3 14:23:28 2016 +0000 FayCross
#547 More changes to documentation page model including:
 - Changed width options for textbox/area to small/medium/large
 - Added label & default state options to checkbox
 - Added placeholder text option to textbox/area fields
 - Removed fixed strings and changed to language properties
 - More improvements to responsiveness

=======================================================

f469b9e: Wed Nov 2 17:02:12 2016 +0000 FayCross
Changes to documentation page including:
- Added page text & panel options to make more consistent with other page types
- Neatened up layout of sub pages (spaced out more, font awesome icons used etc.
- Made some optional properties mandatory
- Improved responsiveness
- Fixed issues with having more than one documentation page in a project

=======================================================

5b4d05c: Fri Oct 28 15:34:33 2016 +0100 FayCross
Removed console.log messages from xenith.js

=======================================================

da6df12: Fri Oct 28 15:31:55 2016 +0100 FayCross
Changes to author defined variables code. Allow author to add no. of decimal places, no. of significant figures and trailing zeros (true/false) to variables in editor.

=======================================================

6533411: Fri Oct 28 14:40:46 2016 +0100 Ron Mitchell
more file type changes

=======================================================

6a8d432: Fri Oct 28 14:39:13 2016 +0100 Ron Mitchell
changing file type to represent correct file type rather than just Image File for each option

=======================================================

fc4e11c: Fri Oct 28 14:32:25 2016 +0100 Ron Mitchell
Had a report that when adding an audio or video file the wizard still says Image File so have changed this to Audio File and Video File for those options.

=======================================================

88e2305: Fri Oct 28 13:16:59 2016 +0200 Tom Reijnders
Fix for #551 Matching texts page type issues

=======================================================

8f57d8e: Wed Oct 19 14:47:02 2016 +0100 FayCross
Fix to allow author defined variables to be used in questions & answers

=======================================================

d22f4df: Wed Oct 19 11:42:19 2016 +0100 FayCross
Fix #549 #503 Disable Glossary optional property now works on sub pages of the page it's added too

=======================================================

e8d0380: Mon Oct 17 23:19:10 2016 +0200 Tom Reijnders
Reformat code

=======================================================

1e7c402: Mon Oct 17 22:52:50 2016 +0200 Tom Reijnders
Fix #548: Timeline in v3.3 breaks old LO's

=======================================================

3afd302: Thu Oct 13 14:10:15 2016 +0100 FayCross
#547 Changes to documentation page: tidied up xwd, added new icons for sections, fixed bug where description items were duplicated & started to look at tidying layout / responsiveness

=======================================================

88ca547: Thu Oct 13 08:41:22 2016 +0100 FayCross
Corrected some typos in xwds (capital letters missing etc.)

=======================================================

310a368: Wed Oct 12 16:28:34 2016 +0100 Smith, John
Fix for #547 to process list display option horizontally or vertically

=======================================================

c2ae6b2: Wed Oct 12 16:12:22 2016 +0100 Smith, John
Fix for #547 issue with missing textbox, removing the forced bold formatting on titles and bring back wysiwyg editor for those title boxes

=======================================================

4013d1b: Wed Oct 12 12:47:08 2016 +0100 FayCross
New 'variables' optional property at LO level that allows the author to define variables which can then be used on pages using the format [var_name]

=======================================================

e538013: Mon Oct 10 13:24:23 2016 +0100 Smith, John
Added radio/checkbox support
Added exclude option so you can mark stuff to be excluded from either the Lo or the documentation **

** NOT 100% COMPLETE YET

=======================================================

c773fc9: Fri Sep 30 11:38:32 2016 +0200 Tom Reijnders
Make sure all data.xml and preview.xml backup files are in archive zip

 - Also improve efficiency of export

=======================================================

f588aaf: Wed Sep 28 08:21:13 2016 +0100 Smith, John
Add 'Not Answered' optional properties for Textbox and Textarea items as well as a global property. Also added Checked and Unchecked properties to Checkbox to allow customisation.

=======================================================

c37d2a3: Tue Sep 27 15:53:04 2016 +0100 Smith, John
Updated changes to #547 to obey 'required' flag, and incorporating Ron's suggestions

=======================================================

b4f8830: Mon Sep 26 20:10:45 2016 +0100 Smith, John
Remove all style from download.php for #547 except black and Arial

=======================================================

affbbbf: Mon Sep 26 19:57:44 2016 +0100 Smith, John
Fix HTTP headers for best compatibility - may never work for iPad

=======================================================

6b483fb: Mon Sep 26 19:39:33 2016 +0100 Smith, John
Fix for #547 textbox width

=======================================================

177758a: Mon Sep 26 18:20:49 2016 +0100 Smith, John
Updates to #547 to allow Document info to be shown on first page only or on all pages (sticky) and to allow single page with everything on same page...

=======================================================

f2f2877: Mon Sep 26 14:03:42 2016 +0100 Smith, John
Navigation updated to include Page x of total

=======================================================

e17eae0: Mon Sep 26 13:47:42 2016 +0100 Smith, John
Fix for download not working if not installed in subfolder - Thanks Ron.

=======================================================

82cc252: Mon Sep 26 14:33:23 2016 +0200 Joris Burgers
xAPI Questions scores are send

=======================================================

872b84a: Mon Sep 26 11:18:51 2016 +0100 Smith, John
Some updates to Documentation model (#547) to allow more elements to be added and each element to be added to page or grouped in a section.

=======================================================

a1e4745: Fri Sep 23 12:25:19 2016 +0100 Smith, John
Change to download formatting

=======================================================

ec31197: Fri Sep 23 11:05:37 2016 +0100 Smith, John
New page model Documentation - definitely a work in progress!

=======================================================

b90833e: Mon Sep 19 20:41:56 2016 +0200 Tom Reijnders
Oops tracking still enabled in Describe mode

=======================================================

1068da0: Mon Sep 19 16:40:11 2016 +0200 JopMaarse
Added verbs to TinCanJS library

Currently not using optimised "min" version of JS library, because
adding verbs to that version is more work. Can be considered once
everything is tested.

=======================================================

344693b: Fri Sep 16 16:31:33 2016 +0200 Joris Burgers
xAPI XTSetOption and XTGetMode constructed

=======================================================

9334632: Fri Sep 16 16:30:42 2016 +0200 JopMaarse
SaveStatement to separate function

=======================================================

259eaed: Fri Sep 16 16:25:50 2016 +0200 Lars Leijten
xAPI XTEnterPage XTExitPage XTLogin.

Statements made for the functions as seen in the title. Added a couple
of TODO's of things which are not clear yet.

=======================================================

4c96aa3: Fri Sep 16 15:10:02 2016 +0200 JopMaarse
Small changed to xAPI tracking (not done yet)

=======================================================

a3f4730: Sun Sep 11 20:58:32 2016 +0200 Tom Reijnders
Bug fixes

=======================================================

f685056: Sun Sep 11 15:06:44 2016 +0200 Tom Reijnders
Fix functional changes caused by SCORM tracking

 - Added an interactivity mode, Describe and Match
 - Describe is just the old behviour, describing the items
 - Match will not use the description, but will enable tracking the
   matching

=======================================================

48c8f5d: Fri Sep 9 10:46:58 2016 +0200 Tom Reijnders
Remove font-family from jquery-ui-1.8.18.custom.css. It messes up themes
that use a different font on the sub-panels

=======================================================

51858ec: Fri Sep 9 10:42:53 2016 +0200 Tom Reijnders
Create a basicPages.xwd for site, otherwise xertetrans doesn't work
anymore

=======================================================

bb2e0a5: Wed Sep 7 14:22:49 2016 +0200 Joris Burgers
Proof of concept for xAPI

=======================================================

894a5f3: Wed Sep 7 12:31:20 2016 +0100 FayCross
Fix to allow MathJax to be used in all steps in decision tree

=======================================================

6e8a7f0: Tue Sep 6 17:54:42 2016 +0200 Joris Burgers
Export button for xAPI added

=======================================================

6b6c664: Fri Aug 26 12:17:46 2016 +0200 Tom Reijnders
Change version string

=======================================================

9e3307c: Fri Aug 26 12:16:50 2016 +0200 Tom Reijnders
Modify version string

=======================================================

76801ff: Sun Aug 21 16:06:37 2016 +0200 Tom Reijnders
Fix some texts used in the fill gaps page

=======================================================

f0edec8: Sat Aug 20 20:49:41 2016 +0200 Tom Reijnders
Changes and fixes to dictation

 - Only display correct/incorrect when optional parameter is enabled
 - Fix score and weighting

=======================================================

d8d9878: Fri Aug 19 15:46:10 2016 +0100 FayCross
New features in Decision Tree page:
 - 'Progress Text' & 'Clear Progress Text' optional properties added to every step type & answer. Progress text is added on left (below intro text) as you go through steps and remains there until cleared at a later point.
 - 'Show Final Overview' checkbox added to allow the overview to be removed.
 - Added tooltips to all optional properties to explain their purpose.

=======================================================

9d6cc1b: Fri Aug 19 14:12:52 2016 +0100 FayCross
Fixed bug in slideshow page buttons when responsive text is on

=======================================================

f4a37ab: Fri Aug 19 11:00:12 2016 +0100 FayCross
Fix bug in categories page where multi-line labels had inconsistent text size when responsive text was on

=======================================================

1850948: Thu Aug 18 15:27:26 2016 +0100 FayCross
Fix bug where annotated diagram page wasn't working on mobiles

=======================================================

efdbe8a: Thu Aug 18 11:27:29 2016 +0100 FayCross
Fix #349 where line breaks were showing multiple times in the editor's text input fields

=======================================================

7b900d7: Wed Aug 17 13:52:35 2016 +0100 FayCross
Fix bug where quiz page wasn't working on mobiles

=======================================================

631bd2d: Fri Aug 12 17:11:58 2016 +0200 Tom Reijnders
Fix for duplicate template

=======================================================

dd48265: Thu Aug 11 16:23:46 2016 +0100 FayCross
Fix #343 dataGrid (table) fields now resize with the rest of the editor

=======================================================

11219be: Thu Aug 11 15:18:18 2016 +0100 FayCross
Fix #405 Optional property panel will be open by default on larger screens

=======================================================

00290d9: Thu Aug 11 14:49:27 2016 +0100 FayCross
Fix #171 Copy & delete page buttons in editor now appear disabled when they can't be used on selected item in tree

=======================================================

41bb95f: Thu Aug 11 13:50:20 2016 +0100 FayCross
Fixed bugs where hidden page icon was still showing in editor's tree after attribute was removed and where it would sometimes appear at LO level on tree

=======================================================

d48d463: Thu Aug 11 11:34:31 2016 +0100 FayCross
Added url format "peerreview_" to that used in previous fix

=======================================================

5572148: Thu Aug 11 11:21:03 2016 +0100 FayCross
Fixed typo in peer review language text

=======================================================

4617d26: Thu Aug 11 11:11:45 2016 +0100 FayCross
Fix #213 Projects in peer review mode will always show in default display mode (so they don't go off screen)

=======================================================

921055e: Thu Aug 11 10:27:22 2016 +0100 FayCross
Fix #332 Font-family changes to single line text inputs in editor wouldn't appear if text already had been formatted in some other way

=======================================================

409de4b: Thu Aug 11 09:46:30 2016 +0100 FayCross
#274 Better processing of data entered in datagrid fields (glossary etc.): '|' entered in grid replaced with '&#124;' so it doesn't get mistaken for cell / row dividers

=======================================================

72c842f: Wed Aug 10 15:48:05 2016 +0100 FayCross
Fix #35: Bootstrap css now copes better with lots of pages (stops page list overlapping banner when page list is more than one line)

=======================================================

646d053: Wed Aug 10 14:51:44 2016 +0100 FayCross
Added wysiwyg property to hotspot label - this seems to have been removed in a previous commit a few months ago

=======================================================

6448253: Wed Aug 3 16:37:29 2016 +0100 FayCross
Fix for problem with loading videos from mediaspace/Kaltura on Bootstrap navigators

=======================================================

804ad87: Tue Jul 26 22:30:33 2016 +0200 Tom Reijnders
Fix upgrade.php to change autoincrment

=======================================================

a845fa6: Thu Jul 21 14:11:52 2016 +0100 FayCross
Fix #537: replaces content of empty cells with " " to avoid them being interpreted as end of row (in editor's datagrid fields)

=======================================================

d13848b: Thu Jul 21 11:58:22 2016 +0100 FayCross
Fix #513: Memory Game now works on mobile devices
#529: Moved author support message so it doesn't mess up LO height when in full screen

=======================================================

d11fe8c: Thu Jul 21 10:06:05 2016 +0100 FayCross
Fix #529: Author support now only affects previews & a note now appears above LO to remind author that it's turned on

=======================================================

42f0b51: Thu Jul 21 09:33:35 2016 +0100 FayCross
Fixed bug in media lesson where audio bar with image above wasn't always scaling correctly

=======================================================

db968a2: Thu Jul 21 08:32:13 2016 +0100 FayCross
Minor change to media lesson page to stop cutting off the audio bar time hover bubble

=======================================================

3c41a79: Wed Jul 20 15:44:45 2016 +0100 FayCross
New x_blackOrWhite function in xenith.js to find if black or white shows up best on a given colour (used in wordsearch & interactive text pages)
Changed interactive text page model so it calls this new function instead of working it out in model

=======================================================

6f9e85c: Wed Jul 20 15:39:47 2016 +0100 FayCross
Changes to wordsearch page type to get it ready for release:
- moved wordfind code to common_html5/js folder
- fixed css issues (it's now responsive, can change colours in editor etc)
- updated page icon

=======================================================

bb46ed5: Mon Jul 18 22:14:57 2016 +0200 Tom Reijnders
Merge did not completely work as I expected, some fixes.

=======================================================

0e0d574: Mon Jul 18 21:53:05 2016 +0200 Tom Reijnders
Fixed #536 'error' alert on preview and publish

=======================================================

356951e: Mon Jul 18 16:10:02 2016 +0200 NSavenije
DragDrop Labeling Added ticks and crosses, removed colours

=======================================================

0559acd: Fri Jul 15 22:24:50 2016 +0200 NSavenije
DragDropLabel Bug Fixes + cleaned up code

=======================================================

842f729: Sat Jul 16 17:27:14 2016 +0200 Joris Burgers
Bugfix Media Lesson in displaying user answer

=======================================================

d6e9fe7: Thu Jul 14 16:57:54 2016 +0200 NSavenije
DragDrop labels return

When Drag Drop Labeling isn't run in scorm the incorrectly placed label
return to the label holder once the submit button is pressed.

=======================================================

8413ead: Sat Jul 9 22:09:13 2016 +0200 Tom Reijnders
Moved startTracking to a position where all the used variables are
initialised

=======================================================

af6e4c9: Sat Jul 9 22:08:09 2016 +0200 Tom Reijnders
SCORM weigthing not working bacause of typo

=======================================================

e8b78f8: Sat Jul 9 10:52:36 2016 +0200 Tom Reijnders
Revert changes to XTTerminate

=======================================================

37f6cc6: Sun Jul 3 21:14:49 2016 +0200 Tom Reijnders
Fixed several bugs

 - Fixed scope of tracked variable
 - Removed a superfluous finishTracking

=======================================================

2419f13: Sun Jul 3 21:10:57 2016 +0200 Tom Reijnders
Fix several problems with the SCORM tracking

 - SCORM 1.2 player of Moodle doesn't except scores and weights with more than
   two decimals. This caused always a zero score if the result was not 100%
 - SCORM 1.2 matching result was encoded wrong
 - SCORM resulted in failed object if all the interactions have a weight
   of 0.0

=======================================================

e8c2ae0: Wed Jun 22 18:30:02 2016 +0200 Stefan Hofman
Bugfix Sortable Grid

When revisiting a page, you can drag the tiles again

=======================================================

e5d6273: Wed Jun 22 10:22:46 2016 +0100 FayCross
Fix #534 Disable Glossary property was breaking projects of 'Menu' & 'Menu with Page Controls' types

=======================================================

a026e1d: Tue Jun 21 19:32:54 2016 +0200 Joris Burgers
LeavePage bugs fixed in Timeline + Matching texts

=======================================================

b91f6f2: Tue Jun 21 19:10:25 2016 +0200 Joris Burgers
Bug fixed in Scorm 1.2 Export

=======================================================

a14e96e: Tue Jun 21 19:00:28 2016 +0200 Joris Burgers
Matching Text LeavePage + Weighting bug fixed

=======================================================

2c33f15: Tue Jun 21 18:59:33 2016 +0200 Joris Burgers
Matching Text + Timeline LeavePage + weighting bug fixed

=======================================================

4d60afc: Thu Jun 16 12:35:08 2016 +0100 Smith, John
Fix for #532 - only enable deplaning for Xerte templates for the time being

=======================================================

9362b33: Wed Jun 15 16:17:27 2016 +0100 FayCross
Bootstrap template: Change to default file name used by left header logo

=======================================================

20b2b2b: Wed Jun 15 15:21:39 2016 +0100 FayCross
Bootstrap template: Added optional properties Header Logo left & Right

=======================================================

fd5a140: Fri Jun 10 17:46:40 2016 +0200 Stefan Hofman
small fixes

button better position

=======================================================

a71c8e2: Fri Jun 10 17:34:38 2016 +0200 Stefan Hofman
Sortable Grid fixes

Button to lower right corner, switch answers and tracking in xwd.

=======================================================

21097cc: Thu Jun 9 21:55:08 2016 +0200 JopMaarse
tracking in interactive text af

=======================================================

f716a99: Thu Jun 9 15:11:35 2016 +0100 Smith, John
Attempted fix for #485

=======================================================

61cb61e: Wed Jun 8 16:42:03 2016 +0100 FayCross
Forgot about default theme in last commit - update responsive css for this too

=======================================================

52f7557: Wed Jun 8 16:28:52 2016 +0100 FayCross
Updated responsive text css in all themes to fix some text in decision tree that wasn't responsive

=======================================================

76f1d0f: Wed Jun 8 15:52:11 2016 +0100 Smith, John
Enhancement for issue #522 - Now we get the next sibling (until there are no more), then always select the last sibling (while there are siblings), then move to parent but stay at that level (i.e. don't move back to the child of that parent's sibling - which is get_next_dom default behaviour)

=======================================================

48a65b1: Wed Jun 8 14:56:05 2016 +0100 FayCross
Better fix for allowing images in decision tree MCQ answers - previous bug meant it broke if text included apostrophes etc.

=======================================================

7f79b06: Wed Jun 8 10:51:25 2016 +0100 FayCross
Rebuilt xwd after previous commit

=======================================================

a028572: Wed Jun 8 10:47:24 2016 +0100 FayCross
Deprecated dialog page's commentary property (not sure what this was used for previously)

=======================================================

65e02ea: Tue Jun 7 10:04:05 2016 +0100 Smith, John
Fix for new_template defaulting to flash if you base off Nottingham template

http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=1127&Itemid=530&lang=en#3789

=======================================================

5eb0568: Mon Jun 6 22:02:01 2016 +0200 JopMaarse
tracking in interactive text

=======================================================

1e283de: Mon Jun 6 16:44:16 2016 +0100 Smith, John
Fix 522 - move tree node forward after deleting

=======================================================

2e203d4: Mon Jun 6 17:40:06 2016 +0200 JopMaarse
trackingweight fixed for dragdrop

=======================================================

58f390a: Mon Jun 6 15:56:05 2016 +0100 Smith, John
Fix for 523 - works better but doesn't work exactly the same as the 'link' button

=======================================================

1c7a3fd: Sat Jun 4 20:18:03 2016 +0200 Lars Leijten
Dragdrop finished + bug fixed

Dragdrop pattern of correct answer is working in moodle. Fixed a bug
concerning answers not dropping when scorm was enabled.

=======================================================

be4d21e: Sat Jun 4 16:10:04 2016 +0200 janreijnders
GapFill DragDrop/FillIn

Works quite well, only the pattern of the correct answer is not printed
in the moodle log.

=======================================================

a622ffa: Sat Jun 4 12:37:31 2016 +0200 Tom Reijnders
Fix sub-weigths for fill-in and match

- When doing full tracking on some of the interactivities, each fill-in
  and/or eacht match is stored separately like the questions of the quiz.
  Make sure each separate item gets a proper weight

=======================================================

7cec2b6: Fri Jun 3 15:41:36 2016 +0100 Smith, John
Disable Xerte Page Link button to show only when it should - issue 523

=======================================================

cdf60e2: Fri Jun 3 14:26:44 2016 +0100 Smith, John
Disable OK button until you have selected something so we don't end up with broken links - issue 523

=======================================================

bec2a25: Fri Jun 3 11:21:30 2016 +0100 Smith, John
Add some context logic to Xerte Page Link function for issue #523

=======================================================

651df61: Thu Jun 2 21:03:12 2016 +0200 Stefan Hofman
Sortable Grid tracking

Added tracking to sortable grid

=======================================================

95d32f8: Mon May 30 22:53:30 2016 +0100 Smith, John
Try to fix issue #515

=======================================================

54b3192: Mon May 30 10:17:05 2016 +0100 Smith, John
Fix #502 - You can now deeplink to accordion, button, tab, tab+, annotated diagram, annotated list, multiple perspectives, thumbnail viewer and slideshow

=======================================================

9795ae3: Sun May 29 01:19:30 2016 +0100 Smith, John
Enable deeplinking to tabs in tabNav page to begin with and enable editor to do linking - in response to issue #502

=======================================================

18c5d00: Sat May 28 09:06:24 2016 +0100 John Smith
Update version number
=======================================================

6fe6247: Sat May 28 08:31:27 2016 +0100 Smith, John
Proper fix for #516

=======================================================

fd0398e: Sat May 28 08:26:31 2016 +0100 Smith, John
Revert "Fix #516 - format colour values and fix wrong test for comma"

This reverts commit f51e86215820b015e5dfa496d715998aeb1bd0e3.

=======================================================

f51e862: Sat May 28 00:48:37 2016 +0100 Smith, John
Fix #516 - format colour values and fix wrong test for comma

=======================================================

079b214: Thu May 26 15:41:42 2016 +0100 Smith, John
Override format_tags to remove H1 and H2 from the wysiwyg editor in relation to issue #500. You can't really stop people typing them in though or copy/pasting from somewhere...

=======================================================

f7cd11c: Thu May 26 13:20:09 2016 +0100 Smith, John
Attempt to fix issue #499

=======================================================

fccad66: Thu May 26 12:50:47 2016 +0100 Smith, John
Fix #507

=======================================================

047ee07: Thu May 26 12:47:33 2016 +0100 Smith, John
Fix typo

=======================================================

2e5421d: Thu May 26 10:48:21 2016 +0100 Smith, John
#508 - oops make sure older LOs still work

=======================================================

262ff79: Thu May 26 10:30:14 2016 +0100 Smith, John
Fix #508

=======================================================

1ada86b: Thu May 26 09:56:42 2016 +0100 Smith, John
Fix wordsearch paths

=======================================================

1623854: Wed May 25 19:28:13 2016 +0200 Tom Reijnders
Make sure language options of wordsearch work

=======================================================

f35a58b: Wed May 25 15:41:27 2016 +0100 Smith, John
Fix #382 - Wrong upload path for this upload route and removal of some redundant code

=======================================================

4e23ec4: Wed May 25 15:34:11 2016 +0100 Smith, John
Fix logos on the flash 'Interactive Diagram' editor

=======================================================

d497aae: Wed May 25 10:53:30 2016 +0100 Smith, John
Update Wordsearch page to add more functionality, new icon and thumbs and fix layout issues

=======================================================

e8f0aba: Wed May 25 10:51:41 2016 +0100 Smith, John
Add two new types of event methods to page models, onTimerTick and onTimerZero

=======================================================

8390866: Tue May 24 14:02:51 2016 +0100 Smith, John
Now pageChanged() and sizeChanged() are optional methods of page models and empty instances not required

=======================================================

ee02674: Tue May 24 14:13:42 2016 +0200 Tom Reijnders
Fix result of match (inccorect, correct instead of boolean)

=======================================================

814cde3: Tue May 24 14:13:00 2016 +0200 Tom Reijnders
Record given response, in stead of correct response

=======================================================

09abf80: Tue May 24 12:03:43 2016 +0100 John Smith
Add rule to ignore convert.log
=======================================================

4c0d267: Tue May 24 10:55:55 2016 +0100 Smith, John
Upgrade Snoopy to latest code

=======================================================

a20cc55: Tue May 24 10:27:38 2016 +0100 Smith, John
Encode the URL before using to avoid potentially breaking the request

=======================================================

3e2660d: Tue May 24 01:31:11 2016 +0200 Tom Reijnders
Bug fix and commenting out _debug() statements (too verbose)

=======================================================

9048d7e: Mon May 23 03:49:37 2016 +0200 Tom Reijnders
Use correct schemaversion in SCORM 2004 3rdEd manifest file.

=======================================================

0d1643f: Sun May 22 19:36:35 2016 +0200 Joris Burgers
Timeline en Matching Text Moodle Answers fix

=======================================================

7d2e26e: Sun May 22 16:14:26 2016 +0200 Tom Reijnders
Enable offline editing (on a non-connected XAMPP installation)

=======================================================

75cb5cd: Sun May 22 02:54:42 2016 +0200 Tom Reijnders
Added debugging info to upload

=======================================================

191e854: Sat May 21 00:09:00 2016 +0100 Smith, John
Add wordsearch page model for #456 and rebuild xwd file

=======================================================

551a553: Fri May 20 22:23:15 2016 +0200 Tom Reijnders
Fix scope error of variable checked

- local var checked is not usefull
- Needs to be mcq.checked (or in some other places this.checked)

=======================================================

8607841: Fri May 20 17:37:19 2016 +0200 JopMaarse
fixed: scorm result and pattern
need testing: leavePage

=======================================================

d3e7015: Fri May 20 15:47:01 2016 +0100 Ron Mitchell
Removed reference to Jisc Techdis (agreed with Alistair)

=======================================================

573b11b: Fri May 20 14:35:57 2016 +0100 Smith, John
Add $script.js dependency loader into the mix for evaluation. Loaded within xenith.js just now so available here and in page models

=======================================================

40c4341: Fri May 20 11:35:05 2016 +0200 Tom Reijnders
Inadvertently committed file

=======================================================

f84d897: Fri May 20 11:33:55 2016 +0200 Tom Reijnders
Fixed #509

=======================================================

8098919: Fri May 20 11:35:05 2016 +0200 Tom Reijnders
Inadvertently committed file

=======================================================

199042a: Fri May 20 11:33:55 2016 +0200 Tom Reijnders
Fixed #509

=======================================================

65723be: Wed May 18 12:44:41 2016 +0100 Smith, John
Fix #506, easier than I thought without jQuery

=======================================================

4885b6c: Tue May 17 14:12:01 2016 +0100 Smith, John
Changed the Disable Glossary optional parameter that was on Quiz only to now apply to all pages. I've moved the code to do this out of Quiz model and into x_pageLoaded to allow this. Fix for issue #503

=======================================================

81456fc: Tue May 17 12:27:33 2016 +0100 Smith, John
Add a 'case sensitive'  optional property to dialog model for #501

=======================================================

e302de2: Mon May 16 16:34:13 2016 +0100 Smith, John
Fix answer lowercase change when answer correct - issue #501

=======================================================

a545bd9: Mon May 16 14:42:08 2016 +0100 Smith, John
Fix issue #496

=======================================================

5e097d5: Mon May 16 14:04:41 2016 +0100 Smith, John
Improved the export file naming of bootstrap and decision tree and refactored XOT to add extra labels - #466

=======================================================

d1d3dbc: Mon May 16 11:57:19 2016 +0100 Smith, John
Stop RSS templates being switched to HTML5 playback - #296

=======================================================

41ba39c: Sun May 15 11:51:47 2016 +0200 Tom Reijnders
Fix #495 Forgot to fix play.php

=======================================================

cfe97b6: Sun May 15 11:51:16 2016 +0200 Tom Reijnders
Fix print functionality

=======================================================

da57d11: Sat May 14 13:18:13 2016 +0200 Tom Reijnders
Fixed typo

=======================================================

3df5a87: Fri May 13 15:36:01 2016 +0100 Smith, John
#367

=======================================================

22952c0: Fri May 13 11:42:54 2016 +0100 FayCross
Allow images to be used in decision tree MCQ answers

=======================================================

1e18f16: Fri May 13 11:25:22 2016 +0100 Smith, John
Add ability to upload image to back of card in memory game page

=======================================================

e6921db: Thu May 12 14:15:51 2016 +0100 Smith, John
Fix for Issue #494

=======================================================

7dd0dd9: Thu May 12 11:24:36 2016 +0100 Smith, John
Added 'deployment' and 'archive' to the export zips produced by the Decision Tree template in response to #466

=======================================================

9dd7e68: Thu May 12 11:24:00 2016 +0100 FayCross
Removed wysiwyg attribute from ID fields of decision tree as it meant IDs weren't always finding their match

=======================================================

c709a67: Thu May 12 10:55:27 2016 +0100 Smith, John
Fix for MathJax not rendering in Decision template as mentioned here http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=1101&Itemid=759&lang=en

=======================================================

2db6b33: Sun May 8 13:27:36 2016 +0200 Tom Reijnders
Update Belgian language wizard xml

=======================================================

cb2f26f: Sun May 8 13:27:36 2016 +0200 Tom Reijnders
Update Belgian language wizard xml

=======================================================

b2880b7: Fri Apr 29 22:01:07 2016 -0300 celsogodinho
Bug fix

Bug prevents the SCORM generated is interpreted correctly, since javascript xttracking_scorm1.2.jsversion files and languages / js / en-GB / xttracking_scorm1.2.jsversion are not located by the browser.
=======================================================

3b23376: Fri May 6 11:55:50 2016 +0200 Lars Leijten
Gapfill Fill in variant (Moodle getest)

Fill in is correct getest in moodle, drag and drop en drop down moeten
nog.

=======================================================

13f5a53: Wed May 4 17:30:10 2016 -0300 Celso Godinho da Costa
Fix bug #371

The function db_query(), when UPDATE query, return the number of rows affected,  if you don't change the access setting but still click 'change access', the function db_query() return 0, since no row has been changed. If execute query fail, return false.
=======================================================

ee6091d: Sun May 1 17:27:47 2016 +0200 Stefan Hofman
Console.log

repair of previous commits

=======================================================

d435523: Sun May 1 17:06:56 2016 +0200 Stefan Hofman
Tracking in Grid

=======================================================

58d2259: Sun May 1 14:25:24 2016 +0200 Stefan Hofman
Console.log

console.log deleted

=======================================================

80eb079: Sun May 1 14:23:19 2016 +0200 Stefan Hofman
Console.log

console.log deleted

=======================================================

40be90d: Fri Apr 29 22:01:07 2016 -0300 celsogodinho
Bug fix

Bug prevents the SCORM generated is interpreted correctly, since javascript xttracking_scorm1.2.jsversion files and languages / js / en-GB / xttracking_scorm1.2.jsversion are not located by the browser.
=======================================================

3102b8a: Fri Apr 29 15:40:08 2016 +0100 FayCross
Fix #426 - Page links in Bootstrap projects now work

=======================================================

e608ccc: Fri Apr 29 15:21:57 2016 +0100 FayCross
Deprecates Page ID optional property from all pages
Fixes bug with broken XOT page links between pages that did have a page ID

=======================================================

073c4dd: Fri Apr 29 14:38:34 2016 +0100 FayCross
Added script optional property to LO level & every page (close #446)
Added styles optional property to every page

=======================================================

2d9cdab: Thu Apr 28 10:58:44 2016 +0100 FayCross
Deprecated full screen option #339

=======================================================

05da52e: Thu Apr 28 10:52:12 2016 +0100 FayCross
Fixed minor layout issue with hidden pages in editor tree

=======================================================

58412d0: Thu Apr 28 10:39:46 2016 +0100 FayCross
Rebuilt xwd (forgot to do this before last commit)

=======================================================

8e0b4a6: Thu Apr 28 10:36:12 2016 +0100 FayCross
Close #437 - Adds optional properties to all pages to that they can be hidden. Editor will highlight hidden pages in tree.
Also, fixed bug where changing the name of a deprecated page removed the deprecated highlight/icon from the editor's tree

=======================================================

5161656: Wed Apr 27 11:32:53 2016 +0100 FayCross
Title page fixes:
- background images weren't showing correctly in IE10/11)
- background images wouldn't show if title text was blank

=======================================================

dd0c633: Mon Apr 25 10:41:13 2016 +0200 Stefan Hofman
Checkmarks and crosses added to interactivity categories

=======================================================

b0d734e: Sun Apr 24 16:56:34 2016 +0200 Joris Burgers
Media Lesson Tracking

=======================================================

1a47bc7: Fri Apr 22 14:18:57 2016 +0100 FayCross
Moved properties shared by all pages to a separate XWD file (basicPage.xwd). They are copied into each page when XWD is built.

=======================================================

39ba410: Fri Apr 22 13:43:29 2016 +0100 FayCross
Tidied up some comments

=======================================================

210fd8d: Fri Apr 22 13:41:20 2016 +0100 FayCross
Tidied up some comments

=======================================================

d0de0ad: Mon Apr 18 15:41:11 2016 +0200 Stefan Hofman
Alt Tag

Alt tags for dictation

=======================================================

64cb3ad: Sun Apr 17 22:21:14 2016 +0200 Joris Burgers
Alt tag Matching Texts and Timeline updated

=======================================================

524d256: Thu Mar 24 17:45:13 2016 +0100 Tom Reijnders
Add possibility to change passing score

=======================================================

ac4fc5f: Mon Apr 11 19:02:06 2016 +0200 Tom Reijnders
Fixes based on Moodle testing

=======================================================

cd9379e: Mon Apr 11 18:31:27 2016 +0200 JopMaarse
done?

=======================================================

c2695b4: Sun Apr 10 18:02:48 2016 +0200 JopMaarse
Ready for feedback on progress

=======================================================

2a9a5b0: Fri Apr 8 10:32:02 2016 +0100 FayCross
Added optional properties to change background images to monochrome
Standardised the labels for background image optional properties on main LO & title page

=======================================================

8de37d7: Thu Apr 7 17:09:57 2016 +0100 FayCross
Fixed another issue with title page responsive text

=======================================================

1abc019: Thu Apr 7 00:15:20 2016 +0200 Tom Reijnders
Oops in rearranging of code

=======================================================

baf5352: Wed Apr 6 15:52:49 2016 +0100 FayCross
Accessibility improvements to buttonNav page

=======================================================

4a50f03: Wed Apr 6 16:33:54 2016 +0200 NSavenije
XT interactions updated

=======================================================

c149152: Wed Apr 6 12:58:21 2016 +0100 FayCross
Improved how the responsive text works on several pages

=======================================================

babbf09: Wed Apr 6 11:36:41 2016 +0100 FayCross
Better fix for #421 - previous fix caused problems for pre-html5 editor projects

=======================================================

d816783: Wed Apr 6 00:53:12 2016 +0200 Tom Reijnders
Fix typo and rearrange code a bit

=======================================================

9413b3b: Tue Apr 5 18:33:00 2016 -0300 LeoRodz
Fix issues with suspend_data and score

The suspend_data was not saved when course becomes "completed" so the last visited page was not recorded as visited.
With a SCORM First Pass Tracking Mode course the first score was not preserved if we revisit any page that report a score.
=======================================================

3a512d5: Tue Apr 5 18:31:24 2016 -0300 LeoRodz
Fix issues with suspend_data and score

The suspend_data was not saved when course becomes "completed" so the last visited page was not recorded as visited.
With a SCORM First Pass Tracking Mode course the first score was not preserved if we revisit any page that report a score.
=======================================================

f4eb404: Fri Apr 1 16:30:19 2016 +0100 FayCross
#413 - responsivetext.css for default theme is no longer loaded if responsiveness is off

=======================================================

348ea2f: Fri Apr 1 16:02:10 2016 +0100 FayCross
Accessibility improvements - change to way some strings are got from language files to avoid 'null'

=======================================================

5165a81: Fri Apr 1 15:32:20 2016 +0100 FayCross
New theme showing how you can use the themes to change the interface layout too (e.g. this one has navigation buttons etc. in the header bar)
Also changed name of white theme as all themes can now be responsive

=======================================================

0b9b960: Fri Apr 1 15:15:54 2016 +0100 FayCross
Corrected typo

=======================================================

05d81b8: Fri Apr 1 15:12:20 2016 +0100 FayCross
Accessibility improvements including:
- main interface buttons now warn screen readers if they will open in new window /dialog
- accordion navigator improvements to make it more consistent with other pages

=======================================================

843548e: Thu Mar 31 12:51:23 2016 -0300 LeoRodz
Update xttracking_scorm1.2.js

Fix setting status to failed when moving fast between pages after course completition with status passed.
=======================================================

b547c2c: Wed Mar 30 13:37:59 2016 +0100 FayCross
Fix for issue where line breaks in CDATA can be lost in swap from Flash to HTML5 editor

=======================================================

fb7b688: Sat Mar 26 18:19:38 2016 +0100 Tom Reijnders
Another attempt to fix #416

=======================================================

e49d520: Tue Mar 22 21:28:12 2016 +0100 Tom Reijnders
Add template ID to workspace info

=======================================================

cc4b696: Tue Mar 22 21:29:03 2016 +0100 Tom Reijnders
Do not show shared objects in the workspace that are deleted (in
recyclebin) by creator

=======================================================

a54d809: Sat Mar 26 17:29:36 2016 +0100 Tom Reijnders
Fix import after autoincrement introduction

=======================================================

1d6bb2e: Fri Mar 25 14:37:35 2016 +0100 Tom Reijnders
Fixed #430

=======================================================

3502da8: Fri Mar 25 14:29:52 2016 +0100 Tom Reijnders
Oops, previous msitake in fix of #416 removed HTML tags. Fixed #416
(again)

=======================================================

e669a17: Fri Mar 25 10:16:23 2016 +0100 JopMaarse
everything works, except when you go back to this question from another question

=======================================================

12866e1: Fri Mar 25 01:07:33 2016 +0100 JopMaarse
only small bug in revert event remains.

=======================================================

dea3869: Thu Mar 24 21:46:40 2016 +0100 JopMaarse
Drag and drop events only need a reset option to be finished.

=======================================================

33d21d4: Thu Mar 24 17:46:13 2016 +0100 Tom Reijnders
Use name attribute of question rather then question itself for tracking

=======================================================

7c3d91a: Thu Mar 24 17:45:13 2016 +0100 Tom Reijnders
Add possibility to change passing score

=======================================================

0392428: Thu Mar 24 17:24:14 2016 +0100 Joris Burgers
Bug in Timeline Answers in Moodle24 V2

=======================================================

973315d: Thu Mar 24 17:21:13 2016 +0100 Joris Burgers
Bug in Timeline Answers in Moodle24

=======================================================

15a197a: Thu Mar 24 12:26:24 2016 +0000 FayCross
Fix #421 Responsive title page text

=======================================================

feba63f: Thu Mar 24 11:34:33 2016 +0000 FayCross
Added blockquote button to ckeditor #414

=======================================================

cc968b8: Thu Mar 24 12:10:27 2016 +0100 Tom Reijnders
Fixes to dictation based on moodle24 testing

=======================================================

2d84c7c: Thu Mar 24 10:11:44 2016 +0000 FayCross
Fix #363

=======================================================

bce7f7b: Thu Mar 24 09:16:39 2016 +0000 FayCross
Updated ckeditor font awesome plugin css to fix #389

=======================================================

cb96ad1: Wed Mar 23 23:51:27 2016 +0100 JopMaarse
Drag and drop event almost done.

=======================================================

3881c37: Wed Mar 23 23:30:54 2016 +0100 Tom Reijnders
Modified date was never set properly

=======================================================

54cc861: Wed Mar 23 16:01:49 2016 -0300 LeoRodz
Update xttracking_scorm2004.3rd.js

Removed a wrong increment of "pages_visited" when SCORM Tracking Mode is in "tracking of first pass".
The pages_visited counter was incremented each time the page is accessed.
=======================================================

fd9fb7e: Wed Mar 23 15:43:38 2016 -0300 LeoRodz
Update xttracking_scorm1.2.js
=======================================================

9a3685a: Wed Mar 23 16:24:26 2016 +0000 FayCross
Continued accessibility improvements to interactivity pages:
 - fieldset tag added to mcq & quiz pages to link answer options to questions in screen readers
 - changed quiz page so highlight now appears during tabbing
 - buttons are no longer hidden (now disabled until available to use)
 - Added screen reader instructions where necessary

=======================================================

c84b038: Wed Mar 23 12:42:50 2016 -0300 LeoRodz
Update xttracking_scorm1.2.js

Definition of var i.
=======================================================

ed65a41: Tue Mar 22 21:18:09 2016 +0000 Ron Mitchell
corrections to .panelPage h3, #mainTxt h3 and #mainPanel

=======================================================

7f07420: Tue Mar 22 21:11:47 2016 +0000 Ron Mitchell
corrections to .panelPage h3, #mainTxt h3 and #mainPanel

=======================================================

57e8556: Tue Mar 22 21:29:03 2016 +0100 Tom Reijnders
Do not show shared objects in the workspace that are deleted (in
recyclebin) by creator

=======================================================

5278082: Tue Mar 22 21:28:12 2016 +0100 Tom Reijnders
Add template ID to workspace info

=======================================================

93d240f: Tue Mar 22 19:31:32 2016 +0100 Tom Reijnders
Merge pull request #427 from LeoRodz/develop

Update xttracking_scorm1.2.js
=======================================================

03113c1: Tue Mar 22 19:23:22 2016 +0100 Tom Reijnders
Change the way numbers are generated for new templates

=======================================================

8fa9269: Tue Mar 22 15:20:59 2016 -0300 LeoRodz
Update xttracking_scorm1.2.js

Replacing "íd" by "id".
=======================================================

edb12c6: Tue Mar 22 18:47:23 2016 +0100 Tom Reijnders
Small fixes

=======================================================

df86fae: Tue Mar 22 15:40:18 2016 +0100 Tom Reijnders
Add a way to reset default language in a learning object

=======================================================

0a538e4: Mon Mar 21 17:28:59 2016 +0100 Stefan Hofman
Tracking in Dictation

Tracking is working in dictation

=======================================================

b899aa1: Mon Mar 21 16:07:41 2016 +0100 Joris Burgers
Text Match feedback bug fix

=======================================================

8655f14: Fri Mar 18 16:19:18 2016 +0000 FayCross
Partial fix to issue where multiple editors can be opened for the same project and data is lost

=======================================================

0a44fc5: Wed Mar 16 17:08:56 2016 +0100 JopMaarse
aantal correcte antwoorden

=======================================================

061ca69: Wed Mar 16 13:59:56 2016 +0100 NSavenije
Revert "Revert "Tracking""

This reverts commit 79449136540e3de9769d9744e2dd555db5af9711.

=======================================================

7944913: Wed Mar 16 13:09:54 2016 +0100 NSavenije
Revert "Tracking"

This reverts commit 900de8045c908e9815a2d8333292f87835f09c51.

=======================================================

71da7ce: Wed Mar 16 13:11:18 2016 +0100 JopMaarse
eclips metadata weg

=======================================================

900de80: Wed Mar 16 13:07:57 2016 +0100 NSavenije
Tracking

=======================================================

79104a5: Fri Mar 11 16:26:33 2016 +0000 FayCross
Continued accessibility improvements to interactivity pages

=======================================================

a0977ea: Fri Mar 11 15:18:50 2016 +0000 FayCross
Accessibility improvements to interactivity pages:
- Made keyboard controls more consistent
- Removed unnecessary tabindexes
- added instructions for screenreaders where needed
- Embed content: fixed bug where when using embed code it was moved off screen when optional text was added
- Chart: Added 'Summary' to xwd to provide alt for canvas
- Chart & table: improved appearance when text is responsive
- Interactive List: fixed bug where links showing as 'visited' when weren't
- Stimulating Q & Button Sequence: aria-live used to read new info when revealed
- Model Answer & MA Results: Fixed bug where line breaks were being lost in info from previous pages

=======================================================

8f96c8b: Thu Mar 10 11:04:32 2016 +0000 FayCross
Continued accessibility improvements to media pages

=======================================================

d261041: Wed Mar 9 15:46:27 2016 +0000 FayCross
Accessibility improvements to media pages:
- Removed unnecessary tabindexes
- Changed order of some elements so screen reader reading order is more logical
- Added hidden screen reader instructions where needed
- Used aria-label to add more meaningful link descriptions and warn when links will open in new window
- Image viewer now shows highlight around image when focused and using arrow keys to move around it
- Added icon to transcript buttons
- Fixed bug where audio player controls weren't reading out button labels to Jaws screen reader
- Fixed bug where video control bar sometimes wasn't accessible when only using keyboard
- Changed the occasional bit of text that wasn't being responsive

=======================================================

6a3ef80: Fri Mar 4 13:26:29 2016 +0000 FayCross
Fix #423

=======================================================

f1c5aab: Fri Mar 4 09:46:00 2016 +0100 Tom Reijnders
Fixed #422: export not working on default XAMPP installation on OSX

=======================================================

bf32929: Fri Mar 4 09:46:00 2016 +0100 Tom Reijnders
Fixed #422: export not working on default XAMPP installation on OSX

=======================================================

7e26fde: Wed Mar 2 17:08:03 2016 +0000 FayCross
Accessibility improvements to navigator pages:
- Removed unnecessary tabindexes
- Changed order of some elements so screen reader reading order is more logical
- Made keyboard controls more consistent (e.g. can tab to everything - don't have to swap between tab & arrows to access other tabs)
- Added hidden screen reader instructions where needed
- Fixed bug where screen readers couldn't access panel contents on tabNav page
- Used aria-live so changes to page content is announced immediately by screen reader
- Used aria-labelled to add more meaningful link descriptions and warn when links will open in new window
- Used aria-hidden to hide LO & title page background images from screen readers as we don't add alt text for them
- Changed icons used on slideshow page so they're more obvious (now uses Font Awesome icons)

XWD changes:
- Column Page: Added show column titles option(previously what you entered here wasn't used anywhere)
- Hyperlinks: Page text was wrongly titled as page title

=======================================================

f01c4e1: Mon Feb 29 16:39:46 2016 +0100 Joris Burgers
Error during XTGetMode()

=======================================================

6e91bdc: Mon Feb 29 14:04:54 2016 +0100 Tom Reijnders
Fixed #420

=======================================================

828176f: Sat Feb 27 12:12:54 2016 +0100 Tom Reijnders
Add Turkish language

=======================================================

3643af7: Sat Feb 27 12:12:54 2016 +0100 Tom Reijnders
Add Turkish language

=======================================================

11c00dc: Fri Feb 26 12:20:05 2016 +0100 Tom Reijnders
Oops management page not working after fix for #419

=======================================================

5a17b7d: Thu Feb 25 08:13:47 2016 +0000 FayCross
Fix related to #381 - fixes a minor image scaling problem in accordion navigator

=======================================================

dd5019c: Wed Feb 24 14:58:02 2016 +0100 Joris Burgers
Bugfix SCORM Matching texts

=======================================================

68d4740: Mon Feb 22 17:26:12 2016 +0100 Tom Reijnders
Update PHP requirements

=======================================================

a53b5c8: Sun Feb 21 21:41:35 2016 +0100 Lars Leijten
Added feedback matchingTexts and removed try again while trackingweight is specified

=======================================================

fa4418f: Sat Feb 20 20:24:06 2016 +0100 Tom Reijnders
Further fixed #419 Make sure key javascript files are not retrieved from
browser cache after update

=======================================================

5c521ff: Sat Feb 20 19:49:45 2016 +0100 Tom Reijnders
Fixed #419 Prevent key files from being retrieved from cache after update

=======================================================

23e27a5: Sat Feb 20 14:43:10 2016 +0100 Tom Reijnders
Fix for #417 (Dialog doesn't handle Norwegian characters)

=======================================================

327c570: Sat Feb 20 14:09:34 2016 +0100 Tom Reijnders
Fix glossary for foreign characters #416

=======================================================

3a6d2d2: Fri Feb 19 16:13:30 2016 +0000 FayCross
Accessibility improvements:
- added div to hold hidden screen reader instructions to rloObject.htm
- screen readers will now read out page titles on page change
- table of contents dialog receives focus when opened & screen reader instruction added

=======================================================

7df9f08: Fri Feb 19 08:53:19 2016 +0100 Tom Reijnders
Merge pull request #415 from nitro2010/update_polish_lang

Updated Polish lang
=======================================================

b5736ab: Thu Feb 18 23:52:53 2016 +0100 Jarosław Maciejewski
Updated Polish lang

=======================================================

118918b: Thu Feb 18 11:36:33 2016 +0000 FayCross
Fix #348 - including an update of popcorn.js to v1.5.11

=======================================================

856841a: Wed Feb 17 11:28:59 2016 +0000 FayCross
Fixed problem where using keyboard to play videos meant that any later presses of space bar were causing the video to pause/play again - even when the focus was elsewhere

=======================================================

f685f07: Tue Feb 16 16:20:09 2016 +0000 John Smith
Fix for Project Size > 100Mb
=======================================================

0bd4969: Mon Feb 15 20:39:30 2016 +0100 Joris Burgers
Cross added when answer is wrong

=======================================================

8c1457f: Mon Feb 15 20:16:13 2016 +0100 Joris Burgers
Scorm 2004 fix

=======================================================

60249d9: Mon Feb 15 13:55:23 2016 +0000 Julian Tenney
Removes the visible iframe border. Perhaps there should be options for this?

=======================================================

7582bf6: Sat Feb 13 15:47:20 2016 +0100 Joris Burgers
Dragging in Matching Text en Timeline disabled

=======================================================

24f1637: Fri Feb 12 15:19:14 2016 +0000 FayCross
Change to interactive text page to warn that some characters can't be used as delimiters

=======================================================

6a042b4: Fri Feb 12 13:57:54 2016 +0000 Julian Tenney
more accessible navbar thanks Alistair

=======================================================

c63bef6: Wed Feb 10 14:01:45 2016 +0100 Joris Burgers
Matching text tracking implemented

=======================================================

86012e0: Sat Feb 6 16:24:45 2016 +0100 jorwas
Fix tracking in Matching Pairs / Timeline

=======================================================

47bc309: Sat Feb 6 16:21:26 2016 +0100 jorwas
Added tracking in Matching Pairs/Timeline

=======================================================

3be4b3a: Mon Feb 1 20:06:13 2016 +0100 Tom Reijnders
Better version of responsive text in default theme

=======================================================

fc9cdb4: Mon Feb 1 19:50:25 2016 +0100 Tom Reijnders
For now disable arrow up/arrow dn key short cuts for page navigation

It interferes with accessibility navigation of radio button groups,
tabs etc.

=======================================================

79111cd: Mon Feb 1 19:49:33 2016 +0100 Tom Reijnders
Only enable responsive text if responsive parameter is enabled

=======================================================

5071986: Sat Jan 30 21:18:38 2016 +0100 Tom Reijnders
Prevent tags from showing in play/preview window title (firefox)

=======================================================

8e33412: Sat Jan 30 20:14:19 2016 +0100 Tom Reijnders
Improve compatibillity with IE: force IE compatibillity mode off

1. Make sure all html documents start with this on the FIRST line:

<!DOCTYPE html>

2. Make sure these are the FIRST 3 meta tags in the header:
  <head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

=======================================================

b034bb9: Fri Jan 15 15:44:56 2016 +0000 FayCross
Audio feedback optional property added to Quiz & MCQ pages

=======================================================

a0d901d: Fri Jan 15 12:23:04 2016 +0000 FayCross
New Interactive Text page type

=======================================================

4e94b8f: Thu Jan 14 08:21:00 2016 +0000 FayCross
Added panel width property to Interactive List page

=======================================================

07fb834: Thu Jan 7 13:25:56 2016 +0000 FayCross
Rebuilt xwd - forgot to do it for after changes to gap fill page

=======================================================

0e1ea46: Thu Jan 7 13:03:31 2016 +0000 FayCross
Numerous to Gap Fill page:
- Added 'Drop Down Menu' to interactivity types available
- Fixed some minor bugs with the way fill in the blank & drag and drop work in the page
- Extended 'mark at end' functionality so it can be used on all interactivity types.
- Changed xotmarkword plugin (part of editor) so that the delimiter used to mark up words can be changed using an optional property

=======================================================

a1b4dcb: Fri Dec 18 15:00:58 2015 +0100 Tom Reijnders
Several youtube fixes

=======================================================

207f4ba: Thu Dec 17 08:31:54 2015 +0000 FayCross
Fixed bug where responsive text couldn't be turned off in default theme

=======================================================

ad8e50c: Sun Dec 13 21:10:50 2015 +0000 Ron Mitchell
updating upgrade docs and moodle integration guide to take account of the change to setting authentication method via management rather than auth_config.php

=======================================================

37e2660: Sat Dec 12 22:01:06 2015 +0100 Tom Reijnders
Unify the way HTML is translated to text

 - Strip out scripts (although I cannot recommend to put scripts in
   Titles!!)
 - Use for internal links dialog as well

=======================================================

9b294df: Sat Dec 12 20:18:58 2015 +0100 Tom Reijnders
Add wysiwyg editor to grid editor if wysiwyg="true" (See #403)

=======================================================

e9e226f: Sat Dec 12 19:17:34 2015 +0100 Tom Reijnders
Change default tracking mode

=======================================================

5eb8a6b: Sat Dec 12 19:08:36 2015 +0100 Tom Reijnders
Fixes for moving auth_config to management page

=======================================================

8afdfaa: Sat Dec 12 19:07:15 2015 +0100 Tom Reijnders
Remove whitespace line

=======================================================

11523ea: Sat Dec 12 19:05:49 2015 +0100 Tom Reijnders
Fixes for SCORM

=======================================================

711e203: Fri Dec 11 16:48:40 2015 +0100 Tom Reijnders
Improved error reporting

=======================================================

115609c: Fri Dec 11 16:40:16 2015 +0100 Tom Reijnders
Fix setup issues with https

 - Safer way to detect HTTPS
 - Use it to populate sitedetails table

=======================================================

d210038: Wed Dec 9 07:55:00 2015 +0000 FayCross
Corrected typo

=======================================================

ef22168: Tue Dec 8 15:48:48 2015 +0000 Ron Mitchell
added styles option

=======================================================

bfa84a8: Tue Dec 8 15:45:00 2015 +0000 Ron Mitchell
added styles optional property

=======================================================

6063745: Tue Dec 8 15:39:26 2015 +0000 Ron Mitchell
styles changed to type="script" via \src\basic.xwd

=======================================================

4f5b663: Tue Dec 8 15:37:28 2015 +0000 Ron Mitchell
changed styles type="TextArea" to type="script" for easier custom css.

=======================================================

fdde9a2: Mon Dec 7 22:26:51 2015 +0100 Tom Reijnders
Add name (lable) to Sentence

=======================================================

c2f381f: Sun Nov 29 12:25:17 2015 +0100 Tom Reijnders
Prevent generated id from becoming too long

=======================================================

27cbe02: Sun Nov 29 12:22:35 2015 +0100 Tom Reijnders
Add name fields to Question and Option (to help identification during
authoring)

 - Called them labels in stead of Title
 - Not wysiwyg
 - Changed hotspot title to Label as well

=======================================================

bb73f36: Thu Nov 26 08:24:57 2015 +0000 FayCross
Fixed bug where text colour (black/white) wasn't always being selected correctly to show up best on background colour

=======================================================

6bb0cce: Tue Nov 24 17:35:58 2015 +0100 Tom Reijnders
jQuery.text needs to called from a selector

 - stripped = $("demo/test1").text() results in an error as demo/test1 is seen as an
   expression.
   First put it in an html block:
   var div = $("<div>").html("demo/test1");
   stripped = div.text();

 See #387

=======================================================

4baa723: Tue Nov 24 13:28:33 2015 +0100 Tom Reijnders
Replace trim() function with jquery $.trim() (IE8)

=======================================================

6d4a4fa: Tue Nov 24 12:28:33 2015 +0000 Ron Mitchell
Updated to refer to changes to Moodle resrtictions code.

=======================================================

d34ab90: Tue Nov 24 12:22:02 2015 +0000 Ron Mitchell
Moved the Moodle restriction code from auth_config.php to moodle_restrictions.php and added require link to index.php so that the restriction code prevents access to the workspace but doesn't prevent access to public LO's when logged in to Moodle as guest user.

=======================================================

03bd484: Tue Nov 24 11:34:20 2015 +0000 Ron Mitchell
Moved doctype to beginning of file to resolve issue with IE8/IE9 quirks mode

=======================================================

d752511: Thu Nov 19 15:05:31 2015 +0000 FayCross
Fixed bug in previous commit re. page titles

=======================================================

8cec5a1: Thu Nov 19 14:21:53 2015 +0000 FayCross
Added new 'Styles' property to LOs & changed order css files are loaded

=======================================================

7f5c745: Thu Nov 19 13:55:10 2015 +0000 FayCross
#387 Added code to load default theme's responsivetext.css file

=======================================================

08c0bf6: Thu Nov 19 12:39:53 2015 +0000 FayCross
Strip tags from HTML title tag
Add js file to every theme

=======================================================

1be025c: Thu Nov 19 12:10:55 2015 +0000 FayCross
Bug fix where annotated diagram lines weren't completely clearing if page had scrolled down

=======================================================

9aa7893: Thu Nov 19 11:33:48 2015 +0000 Ron Mitchell
added responsivetext.css to default theme.

=======================================================

57e55f1: Thu Nov 19 11:18:39 2015 +0000 Ron Mitchell
removed responsive styles from blackround.css and added to resposivetext.css

=======================================================

438412f: Thu Nov 19 10:58:07 2015 +0000 FayCross
#387 Added mandatory property 'responsive' to xwd & changed xenith.js so it loads responsivetext.css files from themes when needed

=======================================================

1e3c401: Thu Nov 19 09:28:00 2015 +0000 Ron Mitchell
clean up

=======================================================

57f98c9: Thu Nov 19 09:13:56 2015 +0000 Ron Mitchell
separated responsive styles into responsivetext.css in each theme.

=======================================================

5de970a: Wed Nov 18 17:09:23 2015 +0000 FayCross
Added reset button to Sortable Grid page

=======================================================

13bb677: Wed Nov 18 14:23:51 2015 +0000 FayCross
Fixed bug where header height was being calculated wrong in LOs with icons or responsive custom themes #387

=======================================================

3edf680: Mon Nov 16 11:51:53 2015 +0000 Ron Mitchell
I like the idea of being able to use remotes/clickers when presenting an LO f2f but the case statements Tom added only detected keycode 33 & 34 whereas the clicker I have and others send 38 and 40 so have added those in.

=======================================================

583fbcb: Sat Nov 14 22:14:03 2015 +0100 Tom Reijnders
Update editor/layout to use new tooltips and update wizard_en-GB.xml

=======================================================

901aa67: Sat Nov 14 21:45:41 2015 +0100 Tom Reijnders
Use new way of setting tooltips and add PIN and UNPIN

=======================================================

7ad2393: Sat Nov 14 20:13:03 2015 +0000 Leonard Johnson (Len)
Remove authentication settings from auth_config.php

- adds selection of authentication method to setup process
- adds option to change authentication method in admin/management area
- adds upgrade function upgrade_7() for existing installs

=======================================================

5ab3c04: Sat Nov 14 21:10:02 2015 +0100 Tom Reijnders
Make translation of panel tooltips possible

=======================================================

196dd66: Sat Nov 14 20:04:13 2015 +0000 Leonard Johnson (Len)
Improved installer wording

=======================================================

061d18e: Sat Nov 14 20:00:48 2015 +0000 Leonard Johnson (Len)
Improve instructions for installers

=======================================================

6274a20: Fri Nov 13 11:22:16 2015 +0100 Tom Reijnders
Make defaults consistent (for XerteTrans)

=======================================================

a630e1d: Sun Nov 8 12:29:19 2015 +0100 Tom Reijnders
The template data.mxl file need to have an EMPTY language attribute!

Otherwise the code to set the langage of a new object to the selected
language of xot doesn't work cf. editor/js/tree.js:622

=======================================================

3d92f45: Sat Oct 24 13:38:56 2015 +0100 Ron Mitchell
added media query for responsive text on 768px and above

=======================================================

1ada74c: Sat Oct 24 13:37:46 2015 +0100 Ron Mitchell
added media query for responsive text on 768px and above

=======================================================

f191a95: Sat Oct 24 13:37:15 2015 +0100 Ron Mitchell
added media query for responsive text on 768px and above

=======================================================

a30dfaf: Sat Oct 24 13:36:46 2015 +0100 Ron Mitchell
added media query for responsive text on 768px and above

=======================================================

b789a2b: Sat Oct 24 12:59:26 2015 +0100 Ron Mitchell
added a few additional styles under invert and black and yellow to deal with header text and page background not changing when using some of the new themes e.g. Flat White and Orange and Purple.

=======================================================

5a34194: Thu Oct 22 11:50:26 2015 +0100 FayCross
Fixed problem where opening video page transcript was messing up css

=======================================================

f81ec9d: Thu Oct 22 11:01:56 2015 +0100 FayCross
Tidied up the buttons in a few pages so they only show when needed

=======================================================

73a8a5c: Thu Oct 22 09:21:04 2015 +0100 FayCross
Changed the way PageUp/PageDown buttons can be used to change pages as they were still working even where normal next/prev buttons were disabled

=======================================================

6ca519f: Wed Oct 21 16:40:30 2015 +0100 FayCross
Fix #390

=======================================================

d959692: Tue Oct 20 12:53:39 2015 +0100 Ron Mitchell
added the responsive font size changes to the end of flatwhite.css. At the moment the sizes only change above 767px e.g. from line 120 @media (min-width: 768px) {
and the same additional css can be applied to the other themes but probably worth testing your own LO's with this theme before we add to all.

=======================================================

64b0d0c: Sun Oct 18 23:36:08 2015 +0200 Tom Reijnders
Better fix for spaces in file names (media and quota, export)

- A similar problem also occurs when the filename has foreign characters
  like ñ, é, etc
- And of course the encoding is different for images/media placed in the
  editor, or placed through the media option in the wizard
- Solution is to decode the xml string (which results in invalid xml, but
  works for this purpose.

=======================================================

8c6da00: Sat Oct 17 17:22:44 2015 +0100 Leonard Johnson (Len)
Remove commit code injected by merge

=======================================================

347b704: Sat Oct 17 17:18:56 2015 +0100 Leonard Johnson (Len)
Revert "Remove empty lines and commit code"

This reverts commit 15ba40fba9549689b6217fcd9f5c1849e5368688.

=======================================================

bc2bdfc: Sat Oct 17 17:18:41 2015 +0100 Leonard Johnson (Len)
Revert "Revert "Remove empty lines and commit code""

This reverts commit 39636c2282d4109b6fca32a6da50cd5371bf245a.

=======================================================

39636c2: Sat Oct 17 17:18:38 2015 +0100 Leonard Johnson (Len)
Revert "Remove empty lines and commit code"

This reverts commit 15ba40fba9549689b6217fcd9f5c1849e5368688.

=======================================================

15ba40f: Sat Oct 17 16:54:36 2015 +0100 Leonard Johnson (Len)
Remove empty lines and commit code

=======================================================

c6e8a04: Sat Oct 17 17:40:13 2015 +0200 Tom Reijnders
Change link in javascript link instead of flash compatible link.

 - flash link didn't work in all panels

=======================================================

55544ea: Sat Oct 17 17:39:28 2015 +0200 Tom Reijnders
dd casesensitve optional parameter to gap fill

=======================================================

d1dc015: Sat Oct 17 17:37:53 2015 +0200 Tom Reijnders
Remove panel from image if there is no text panel

=======================================================

3430a62: Sat Oct 17 12:26:37 2015 +0200 Tom Reijnders
Something funny with the file in develop

=======================================================

112a102: Fri Oct 16 15:36:21 2015 +0100 FayCross
Fixed bug where language dialog close button wasn't working
Minor change to css of language dialog contents

=======================================================

bc05a04: Fri Oct 16 13:53:45 2015 +0100 FayCross
Improved shuffle of labels on Sortable Grid page

=======================================================

6ee8561: Fri Oct 16 13:14:44 2015 +0100 FayCross
New Dictation Page Type

=======================================================

f00cb9c: Fri Oct 16 12:49:18 2015 +0100 Julian Tenney
Sorting out some git mess up.

=======================================================

54d708c: Fri Oct 16 12:39:30 2015 +0100 Julian Tenney
Some sort of git problem, reverting the previous commit

=======================================================

3aac249: Fri Oct 16 11:44:45 2015 +0100 Julian Tenney
updated readme: are the installation instructions still valid?

=======================================================

ba26f37: Fri Oct 16 01:39:40 2015 +0100 Leonard Johnson (Len)
Improved presentation of management pages

- added padding to elements with .template which affects 'site', central
templates, and 'users' pages.

=======================================================

7ff3079: Fri Oct 16 01:26:28 2015 +0100 Leonard Johnson (Len)
Fixed floating logout button

=======================================================

5572b34: Fri Oct 16 01:24:16 2015 +0100 Leonard Johnson (Len)
Fixed broken CSS file

- reverted to CSS from master

=======================================================

dec8ff9: Wed Oct 14 12:15:55 2015 +0100 FayCross
Change to links made via ckeditor link button so that they default to target _blank

=======================================================

dd9f111: Wed Oct 14 10:53:47 2015 +0100 FayCross
#372 removed lines readded because of conflict

=======================================================

f839788: Mon Oct 12 23:17:06 2015 +0100 Leonard Johnson (Len)
Improved instructions for users

=======================================================

fb8dc10: Mon Oct 12 20:54:40 2015 +0100 Leonard Johnson (Len)
Add &laquo; to previous button

=======================================================

3337eac: Mon Oct 12 20:48:30 2015 +0100 Leonard Johnson (Len)
Fixed typo in wording

=======================================================

6dd788c: Mon Oct 12 18:58:04 2015 +0100 Leonard Johnson (Len)
Fixed php errors in setup class

- $_SERVER['REQUEST_SCHEME'] set to 'http' if not set in $GLOBALS
- fixed use of method return value in wrtie context around line 335

=======================================================

55150f7: Mon Oct 12 18:54:02 2015 +0100 Leonard Johnson (Len)
Revert "Fixed php errors"

This reverts commit ccc2a5c4723625acda78c6e9648e198598236183.

=======================================================

ccc2a5c: Mon Oct 12 18:46:09 2015 +0100 Leonard Johnson (Len)
Fixed php errors

- $_SERVER['REQUEST_SCHEME'] set to 'http' is non supplied to globals
-  fixed use of method return value in write context around line 335

=======================================================

7ed1cbd: Mon Oct 12 18:29:13 2015 +0100 Leonard Johnson (Len)
Added screenshot and styling to setup home page

=======================================================

c05c9b5: Mon Oct 12 18:20:12 2015 +0100 Leonard Johnson (Len)
Improved layout and wording of setup home page

=======================================================

687c607: Mon Oct 12 17:56:50 2015 +0100 Leonard Johnson (Len)
Removed inline styling

=======================================================

a5ab833: Mon Oct 12 17:55:26 2015 +0100 Leonard Johnson (Len)
Removed duplicated file include

=======================================================

2a3e18c: Mon Oct 12 17:32:04 2015 +0100 Leonard Johnson (Len)
Modified password page to use class library

=======================================================

d0698ce: Mon Oct 12 17:30:38 2015 +0100 Leonard Johnson (Len)
Modified styling for previous buttons

=======================================================

8e72ba4: Mon Oct 12 17:29:28 2015 +0100 Leonard Johnson (Len)
fixed double slash typo in paths

=======================================================

3ba5478: Mon Oct 12 17:28:33 2015 +0100 Leonard Johnson (Len)
Made minor HTML formatting changes to page3.php

=======================================================

7d8aaf6: Mon Oct 12 17:27:16 2015 +0100 Leonard Johnson (Len)
Added new query methods to page2.[h[

=======================================================

4343f54: Mon Oct 12 17:24:17 2015 +0100 Leonard Johnson (Len)
Add JavaScript checks to setup form on page1.php

=======================================================

1371595: Mon Oct 12 17:22:57 2015 +0100 Leonard Johnson (Len)
Removed unneeded code form class library

=======================================================

6c17b80: Mon Oct 12 12:49:08 2015 +0100 Leonard Johnson (Len)
Improved layout and readability

- layout rearranged to feature form fields
- form field help style relocated to appear beneath form fields
- suggested values set to suit Xampp installations
- added from field styling
- inline styling removed

=======================================================

c155b69: Mon Oct 12 12:39:32 2015 +0100 Leonard Johnson (Len)
Added V3 homepage screenshot image

=======================================================

b618e48: Mon Oct 12 12:32:18 2015 +0100 Leonard Johnson (Len)
Fixed errors, changed wording, improved styling

- added scripted check to remove need for providing instructions for
finding the file
- fixed inaccurate information about various php.ini settings
- rearranged page layout to feature the actual checks that have been
made and then provide notes about making changes
- added new styling for code elements
- made minor changes to improve readability

=======================================================

f0b7618: Mon Oct 12 12:29:29 2015 +0100 Leonard Johnson (Len)
Revert "Improved grammar and layout"

This reverts commit a78ba5f2c7c979f9a6aa16677d8b40251415cd33.

=======================================================

a78ba5f: Mon Oct 12 12:22:13 2015 +0100 Leonard Johnson (Len)
Improved grammar and layout

- added scripted check to remove need for providing instructions for
finding the file
- rearranged page layout to feature the actual checks and then provide
notes for optional changes
- added new styling for <code> elements
- made minor code changes to improve readibility

=======================================================

007c2f2: Mon Oct 12 12:17:40 2015 +0100 Leonard Johnson (Len)
Improved the display of <code> elements

=======================================================

406dcdb: Mon Oct 12 10:53:01 2015 +0100 Leonard Johnson (Len)
Added new file php_modules.php

=======================================================

104ddc1: Mon Oct 12 10:51:21 2015 +0100 Leonard Johnson (Len)
Moved includes for common files to header file

=======================================================

63892e0: Mon Oct 12 10:47:59 2015 +0100 Leonard Johnson (Len)
Added new file file_system.php

=======================================================

d88860a: Mon Oct 12 10:47:37 2015 +0100 Leonard Johnson (Len)
Added link to new file

=======================================================

cce1569: Mon Oct 12 10:41:20 2015 +0100 Leonard Johnson (Len)
Revert "Added link to new file"

This reverts commit fccab90cf3bb2db826b271c88e4fadb9f4aab409.

=======================================================

fccab90: Mon Oct 12 10:41:01 2015 +0100 Leonard Johnson (Len)
Added link to new file

=======================================================

5a215a9: Mon Oct 12 10:06:20 2015 +0100 Leonard Johnson (Len)
Layout and grammar fixes

=======================================================

00f8906: Sun Oct 11 21:44:38 2015 +0100 Leonard Johnson (Len)
Added new setup object

- links to new setup_class_library.php
- creates new variable to hold setup object

=======================================================

be22ca1: Sun Oct 11 21:41:58 2015 +0100 Leonard Johnson (Len)
Revert "Add need object instatiation"

This reverts commit b395b2ee95d5db749a185cfcebbae0d8f11573e2.

=======================================================

cb21088: Sun Oct 11 21:39:44 2015 +0100 Leonard Johnson (Len)
Minor updates and fixes

- changed uppercase php tags to lowercase
- removed empty lines from license header
- added new header and footer files

=======================================================

a50aef6: Sun Oct 11 21:38:00 2015 +0100 Leonard Johnson (Len)
Minor updates and fixes

- removed empty lines from license header
- added new header and footer files

=======================================================

449b9fb: Sun Oct 11 21:36:41 2015 +0100 Leonard Johnson (Len)
Minor updates and fixes

- removed empty lines from license header
- added new header and footer files

=======================================================

8e3d44c: Sun Oct 11 21:35:23 2015 +0100 Leonard Johnson (Len)
Minor updates and fixes

- changed uppercase php tags to lowercase
- removed empty lines from license header
- added new header and footer files

=======================================================

22b3132: Sun Oct 11 21:31:19 2015 +0100 Leonard Johnson (Len)
Minor updates and fixes

- changed php from upper to lowercase
- removed empty line from license header
- added new header and footer files

=======================================================

5aa86a5: Sun Oct 11 19:27:32 2015 +0100 Leonard Johnson (Len)
Added new file

Checks environments meets the minimum requirements for running XOT.

=======================================================

4c918ca: Sun Oct 11 19:25:10 2015 +0100 Leonard Johnson (Len)
Fixes and updates

- includes fix to add missing closing div tags
- uses new header and footer files
- empty lines in page level docblock removed

=======================================================

2db3cbe: Sun Oct 11 19:14:46 2015 +0100 Leonard Johnson (Len)
Updated index.php (see description for details)

- now uses new header and footer files
- wording of page changed and re-organised to include an about section
and a notes section
- XAMPP button removed (users now only have one button to install)

=======================================================

b395b2e: Sun Oct 11 19:08:50 2015 +0100 Leonard Johnson (Len)
Add need object instatiation

This will make the new setup class available to all pages.

=======================================================

9ca5074: Sun Oct 11 18:58:24 2015 +0100 Leonard Johnson (Len)
Added file: setup_class_library.php

This will aid in separating logic from HTML - which will make the
package easier to maintain.

=======================================================

41cdb87: Sun Oct 11 18:44:34 2015 +0100 Leonard Johnson (Len)
Added software_installed.php

This is a HTML include file which presents information to the if the
installer finds an existing database file.
- helps to separate logic (php) from presentation (HTML)

=======================================================

78c97e2: Sun Oct 11 18:38:53 2015 +0100 Leonard Johnson (Len)
Added page_footer.php file

Will be used by all setup pages.
- Fixes 'missing closing div tags' when included at the bottom of those
pages.

=======================================================

c37bdf0: Sun Oct 11 18:35:51 2015 +0100 Leonard Johnson (Len)
Added new page_header.php file

This file will replace setup/page_top.
- HTML 5
- no inline CSS

=======================================================

d7e8e42: Fri Oct 9 12:52:09 2015 +0100 Julian Tenney
removed the condition around allowFullScreen

=======================================================

1ec7bd6: Fri Oct 9 12:52:09 2015 +0100 Julian Tenney
removed the condition around allowFullScreen

=======================================================

9a369c3: Fri Oct 9 11:40:11 2015 +0100 Julian Tenney
to handle null / undefined in allowFullScreen, so it must be explicitly false to prevent the param being added

=======================================================

7c541d0: Fri Oct 9 11:40:11 2015 +0100 Julian Tenney
to handle null / undefined in allowFullScreen, so it must be explicitly false to prevent the param being added

=======================================================

7c97f08: Wed Oct 7 11:59:22 2015 +0100 FayCross
Change to multiple perspectives model
can now use iframe instead of uploaded file to embed video

=======================================================

c35b6d0: Wed Oct 7 11:59:22 2015 +0100 FayCross
Change to multiple perspectives model
can now use iframe instead of uploaded file to embed video

=======================================================

7a45188: Fri Oct 2 14:19:08 2015 +0100 FayCross
Changes to themes - theme list will now be ordered alphabetically in editor & themes can now include a js file (e.g. so you can add/rearrange tags in interface)

=======================================================

e8d363d: Fri Oct 2 14:19:08 2015 +0100 FayCross
Changes to themes - theme list will now be ordered alphabetically in editor & themes can now include a js file (e.g. so you can add/rearrange tags in interface)

=======================================================

82f6e13: Fri Oct 2 09:13:58 2015 +0100 FayCross
Corrected typo in theme name

=======================================================

cb37cd6: Fri Oct 2 09:13:58 2015 +0100 FayCross
Corrected typo in theme name

=======================================================

755441c: Wed Sep 30 17:07:40 2015 +0100 FayCross
Video synch page - content synched to 0 will now appear immediately (you no longer have to press play to see it) & the align text property is fixed (it was previously doing opposite of expected behaviour)

=======================================================

61a2f06: Wed Sep 30 17:07:40 2015 +0100 FayCross
Video synch page - content synched to 0 will now appear immediately (you no longer have to press play to see it) & the align text property is fixed (it was previously doing opposite of expected behaviour)

=======================================================

1fa853a: Tue Sep 29 08:46:30 2015 +0100 Julian Tenney
Addthis changes, but confused as to why play.php and preview.php are different in this branch to the files on our main install.

=======================================================

28c3ed1: Tue Sep 29 08:46:30 2015 +0100 Julian Tenney
Addthis changes, but confused as to why play.php and preview.php are different in this branch to the files on our main install.

=======================================================

cacc42e: Mon Sep 28 13:40:29 2015 +0100 Julian Tenney
Ron's suggestions for PDF (#385) implemented.

=======================================================

44515b7: Mon Sep 28 13:40:29 2015 +0100 Julian Tenney
Ron's suggestions for PDF (#385) implemented.

=======================================================

c256a75: Fri Sep 25 15:29:32 2015 +0100 FayCross
Fix #386 - Content in synched Video page is no longer offset on mobiles

=======================================================

c1e8c09: Fri Sep 25 15:29:32 2015 +0100 FayCross
Fix #386 - Content in synched Video page is no longer offset on mobiles

=======================================================

7cb36bc: Thu Sep 24 15:31:47 2015 +0100 FayCross
Added option to remove background image to colour changer dialog and changed other options so they hide the title page's background image.

=======================================================

c132dcd: Thu Sep 24 15:31:47 2015 +0100 FayCross
Added option to remove background image to colour changer dialog and changed other options so they hide the title page's background image.

=======================================================

09c84c1: Thu Sep 24 14:31:26 2015 +0100 FayCross
#386 fixed interactive list bug where images not showing on mobiles. Also improved the way scrolling works on mobiles

=======================================================

4fa9415: Thu Sep 24 14:31:26 2015 +0100 FayCross
#386 fixed interactive list bug where images not showing on mobiles. Also improved the way scrolling works on mobiles

=======================================================

cfbcbd3: Thu Sep 24 12:10:29 2015 +0100 FayCross
Partial fix for #386 - Interactive list page now works on mobiles

=======================================================

7c1f140: Thu Sep 24 12:10:29 2015 +0100 FayCross
Partial fix for #386 - Interactive list page now works on mobiles

=======================================================

841444e: Thu Sep 24 10:45:25 2015 +0100 Julian Tenney
Looks like this fixes the issue with spaces in file names and media and quota.

=======================================================

0b6fc54: Thu Sep 24 10:45:25 2015 +0100 Julian Tenney
Looks like this fixes the issue with spaces in file names and media and quota.

=======================================================

1656478: Wed Sep 23 16:53:21 2015 +0100 FayCross
Fixed bug where Table of Contents dialog wasn't always scrolling correctly to current page

=======================================================

f45646c: Wed Sep 23 16:53:21 2015 +0100 FayCross
Fixed bug where Table of Contents dialog wasn't always scrolling correctly to current page

=======================================================

7299c6c: Wed Sep 23 11:30:52 2015 +0100 FayCross
Added new optional property so that page numbering in Table of Contents can be turned off

=======================================================

585598c: Wed Sep 23 11:30:52 2015 +0100 FayCross
Added new optional property so that page numbering in Table of Contents can be turned off

=======================================================

ea6ad84: Fri Sep 18 10:38:14 2015 +0100 Julian Tenney
updated to handle offline playing

=======================================================

9b58b95: Fri Sep 18 10:38:14 2015 +0100 Julian Tenney
updated to handle offline playing

=======================================================

7e42c42: Wed Sep 16 11:20:22 2015 +0100 FayCross
Change to textVideo model
can now use iframe instead of uploaded file to embed video

=======================================================

6164bbb: Wed Sep 16 11:20:22 2015 +0100 FayCross
Change to textVideo model
can now use iframe instead of uploaded file to embed video

=======================================================

b9bd6ca: Sun Sep 13 21:07:55 2015 +0200 Tom Reijnders
Fixed #381 in develop

=======================================================

e88b754: Sun Sep 13 21:07:55 2015 +0200 Tom Reijnders
Fixed #381 in develop

=======================================================

4608f44: Sat Sep 12 21:27:41 2015 +0200 Tom Reijnders
Fixed #380

=======================================================

782d040: Sat Sep 12 21:27:41 2015 +0200 Tom Reijnders
Fixed #380

=======================================================

c629601: Fri Sep 11 14:01:51 2015 +0100 FayCross
Added audio feedback optional property to Gap Fill page

=======================================================

6da81a3: Fri Sep 11 14:01:51 2015 +0100 FayCross
Added audio feedback optional property to Gap Fill page

=======================================================

dc493a8: Fri Sep 11 11:30:46 2015 +0100 FayCross
Added audio feedback optional property to Matching Texts page

=======================================================

75ac5e8: Fri Sep 11 11:30:46 2015 +0100 FayCross
Added audio feedback optional property to Matching Texts page

=======================================================

09d57fd: Fri Sep 4 10:10:26 2015 +0100 FayCross
Accessibility improvements to new sortable grid page model

=======================================================

0bfe7ca: Fri Sep 4 10:10:26 2015 +0100 FayCross
Accessibility improvements to new sortable grid page model

=======================================================

c3e8c87: Thu Sep 3 09:42:02 2015 +0100 FayCross
Fix #375 problem with deleting columns in editor's data grid fields

=======================================================

bf37c25: Thu Sep 3 09:42:02 2015 +0100 FayCross
Fix #375 problem with deleting columns in editor's data grid fields

=======================================================

ce2b375: Wed Sep 2 15:00:08 2015 +0100 FayCross
New 'Sortable Grid' page model

=======================================================

e9e5ce5: Wed Sep 2 15:00:08 2015 +0100 FayCross
New 'Sortable Grid' page model

=======================================================

fdc1269: Wed Sep 2 10:20:58 2015 +0100 FayCross
Minor change to the way media & quota determines whether a file is in use (properties panel). Will now be correct whether or not '&' in file names are escaped to '&amp;' in XML

=======================================================

eb37f3d: Wed Sep 2 10:20:58 2015 +0100 FayCross
Minor change to the way media & quota determines whether a file is in use (properties panel). Will now be correct whether or not '&' in file names are escaped to '&amp;' in XML

=======================================================

ca2eaea: Sat Aug 29 21:51:14 2015 +0200 Tom Reijnders
Oops, x_vealURL also triggered when there is a '+'in a normal URL

=======================================================

46c763a: Sat Aug 29 21:52:25 2015 +0200 Tom Reijnders
Add PgUp/PgDn keyboard events to Nex/Prev

- Now some remote devices designed for PowerPoint will control Xerte as
  well.

=======================================================

11fe6cb: Sat Aug 29 21:52:25 2015 +0200 Tom Reijnders
Add PgUp/PgDn keyboard events to Nex/Prev

- Now some remote devices designed for PowerPoint will control Xerte as
  well.

=======================================================

3ca3da5: Sat Aug 29 21:51:14 2015 +0200 Tom Reijnders
Oops, x_vealURL also triggered when there is a '+'in a normal URL

=======================================================

0235d7f: Sat Aug 29 21:51:14 2015 +0200 Tom Reijnders
Oops, x_vealURL also triggered when there is a '+'in a normal URL

=======================================================

dff1bf4: Thu Aug 27 20:51:05 2015 +0200 Tom Reijnders
Switch off developer mode

=======================================================

2907d54: Sat Aug 22 15:56:43 2015 +0200 Tom Reijnders
Fixed upgrade modifying extra_flags if they are already present

The reason the previous fix didn't work was because of db_query not being
able to execute a show properly

=======================================================

9c30d7c: Sat Aug 22 15:56:43 2015 +0200 Tom Reijnders
Fixed upgrade modifying extra_flags if they are already present

The reason the previous fix didn't work was because of db_query not being
able to execute a show properly

=======================================================

e089f16: Sat Aug 22 15:04:50 2015 +0200 Tom Reijnders
Remove debugger

=======================================================

ac539de: Sat Aug 22 15:04:50 2015 +0200 Tom Reijnders
Remove debugger

=======================================================

c30762c: Sat Aug 22 12:47:30 2015 +0200 Tom Reijnders
Increased version number

=======================================================

306b39e: Sat Aug 22 12:47:30 2015 +0200 Tom Reijnders
Increased version number

=======================================================

b28ec64: Fri Aug 21 10:39:19 2015 +0100 FayCross
Fix #241 Copied xerte module's duplicate_template.php file to site & decision templates so duplicating can deal with new directory structure

=======================================================

0fc58aa: Fri Aug 21 10:39:19 2015 +0100 FayCross
Fix #241 Copied xerte module's duplicate_template.php file to site & decision templates so duplicating can deal with new directory structure

=======================================================

58a5409: Sat Aug 22 12:44:15 2015 +0200 Tom Reijnders
Additional fix #377 for international characters

=======================================================

3a19bfd: Sat Aug 22 12:44:15 2015 +0200 Tom Reijnders
Additional fix #377 for international characters

=======================================================

a438fb8: Fri Aug 21 15:44:56 2015 +0100 FayCross
Fix #377 Changed answer delimiter in gap fill page to , rather than / so it's consistent with dialog page. Added optional property 'answer delimiter' so you can change it & correctled typo in this optional property in dialog xwd

Conflicts:
	modules/xerte/parent_templates/Nottingham/models_html5/gapFill.html
	Resolved

=======================================================

6696d7a: Fri Aug 21 15:44:56 2015 +0100 FayCross
Fix #377 Changed answer delimiter in gap fill page to , rather than / so it's consistent with dialog page. Added optional property 'answer delimiter' so you can change it & correctled typo in this optional property in dialog xwd

Conflicts:
	modules/xerte/parent_templates/Nottingham/models_html5/gapFill.html
	Resolved

=======================================================

a4ee331: Wed Aug 19 11:02:29 2015 +0100 FayCross
Fix #374 - glossary will now highlight words preceded & proceeded by tags and non-breaking spaces (&nbsp;), and proceeded by : or ;

=======================================================

330df21: Wed Aug 19 11:02:29 2015 +0100 FayCross
Fix #374 - glossary will now highlight words preceded & proceeded by tags and non-breaking spaces (&nbsp;), and proceeded by : or ;

=======================================================

678f32c: Fri Aug 21 16:13:58 2015 +0100 FayCross
Fix bug in mcq page where feedback isn't always showing correctly when >1 mcq page (http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=932&Itemid=207&lang=en#3058)

=======================================================

2a7d607: Fri Aug 21 16:13:58 2015 +0100 FayCross
Fix bug in mcq page where feedback isn't always showing correctly when >1 mcq page (http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=932&Itemid=207&lang=en#3058)

=======================================================

f364f6c: Fri Aug 21 15:44:56 2015 +0100 FayCross
#377 Changed answer delimiter in gap fill page to , rather than / so it's consistent with dialog page. Added optional property 'answer delimiter' so you can change it & correctled typo in this optional property in dialog xwd

=======================================================

2357bdc: Fri Aug 21 15:44:56 2015 +0100 FayCross
#377 Changed answer delimiter in gap fill page to , rather than / so it's consistent with dialog page. Added optional property 'answer delimiter' so you can change it & correctled typo in this optional property in dialog xwd

=======================================================

c9a360c: Fri Aug 21 10:39:19 2015 +0100 FayCross
Fix #241 Copied xerte module's duplicate_template.php file to site & decision templates so duplicating can deal with new directory structure

=======================================================

4e11bf8: Fri Aug 21 10:39:19 2015 +0100 FayCross
Fix #241 Copied xerte module's duplicate_template.php file to site & decision templates so duplicating can deal with new directory structure

=======================================================

b69562e: Wed Aug 19 11:02:29 2015 +0100 FayCross
Fix #374 - glossary will now highlight words preceded & proceeded by tags and non-breaking spaces (&nbsp;), and proceeded by : or ;

=======================================================

065f42b: Wed Aug 19 11:02:29 2015 +0100 FayCross
Fix #374 - glossary will now highlight words preceded & proceeded by tags and non-breaking spaces (&nbsp;), and proceeded by : or ;

=======================================================

62da5ac: Wed Aug 12 13:34:11 2015 +0100 FayCross
Fix #370 - styles for add/delete column buttons in editor's data grid are now consistent

=======================================================

793544c: Wed Aug 12 13:34:11 2015 +0100 FayCross
Fix #370 - styles for add/delete column buttons in editor's data grid are now consistent

=======================================================

64faf71: Wed Aug 12 10:18:04 2015 +0100 FayCross
Fixed #372 - Slightly amended Julian's previous fix re. <p> in gap fill exercises & changed so that it still works when gaps are laid out in a table

=======================================================

c83bab3: Wed Aug 12 10:18:04 2015 +0100 FayCross
Fixed #372 - Slightly amended Julian's previous fix re. <p> in gap fill exercises & changed so that it still works when gaps are laid out in a table

=======================================================

487f34e: Tue Aug 11 14:19:41 2015 +0100 Julian Tenney
fixes overlapping buttons

=======================================================

3b8d3ba: Tue Aug 11 14:19:41 2015 +0100 Julian Tenney
fixes overlapping buttons

=======================================================

21910ee: Tue Aug 11 14:16:47 2015 +0100 Julian Tenney
Couple of trivial typos

=======================================================

69779fc: Tue Aug 11 14:16:47 2015 +0100 Julian Tenney
Couple of trivial typos

=======================================================

993e830: Mon Aug 10 16:41:17 2015 +0100 Julian Tenney
from JH on the forums

=======================================================

78e5cfe: Mon Aug 10 16:41:17 2015 +0100 Julian Tenney
from JH on the forums

=======================================================

1977332: Mon Aug 10 12:12:58 2015 +0100 Julian Tenney
sorry, typo in the script

=======================================================

9cbe959: Mon Aug 10 12:12:58 2015 +0100 Julian Tenney
sorry, typo in the script

=======================================================

d49c542: Mon Aug 10 11:47:21 2015 +0100 Julian Tenney
Tidy up on the login label

=======================================================

d727cbc: Mon Aug 10 11:47:21 2015 +0100 Julian Tenney
Tidy up on the login label

=======================================================

2a86a6f: Mon Aug 10 11:28:56 2015 +0100 Julian Tenney
Temporary fix for gapFill exercises: this just strips out the surrounding <p> tags before rendering the activity. The real solution is not to have them there in the first place.

=======================================================

b84322c: Mon Aug 10 11:28:56 2015 +0100 Julian Tenney
Temporary fix for gapFill exercises: this just strips out the surrounding <p> tags before rendering the activity. The real solution is not to have them there in the first place.

=======================================================

f970622: Mon Aug 10 10:15:22 2015 +0100 Julian Tenney
From John's comments on the forum

=======================================================

c251f43: Mon Aug 10 10:15:22 2015 +0100 Julian Tenney
From John's comments on the forum

=======================================================

6f38ea1: Thu Aug 6 10:27:20 2015 +0100 Julian Tenney
Do not need a webct powerlink anymore

=======================================================

1aeafaf: Thu Aug 6 10:27:20 2015 +0100 Julian Tenney
Do not need a webct powerlink anymore

=======================================================

4653acc: Thu Aug 6 10:23:54 2015 +0100 Julian Tenney
No need for bugfixes text anymore, I've moved code header into src.

=======================================================

4803827: Thu Aug 6 10:23:54 2015 +0100 Julian Tenney
No need for bugfixes text anymore, I've moved code header into src.

=======================================================

7c3ce88: Mon Aug 3 16:14:59 2015 +0100 John Smith
Fix misspelling reported in the forum by John Horne http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=898&Itemid=207&lang=en#2955

=======================================================

1f19419: Mon Aug 3 16:14:59 2015 +0100 John Smith
Fix misspelling reported in the forum by John Horne http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=898&Itemid=207&lang=en#2955

=======================================================

4881a70: Mon Aug 3 16:10:56 2015 +0100 John Smith
Fix the Oh dear message...

=======================================================

91119ac: Mon Aug 3 16:10:56 2015 +0100 John Smith
Fix the Oh dear message...

=======================================================

44f5a4e: Mon Aug 3 15:59:03 2015 +0100 John Smith
Update to fix all text input and texture fields between v2.1 and v3

=======================================================

f5e60b1: Mon Aug 3 15:59:03 2015 +0100 John Smith
Update to fix all text input and texture fields between v2.1 and v3

=======================================================

575a87f: Mon Aug 3 11:59:26 2015 +0200 Tom Reijnders
Add decision to available templates during upgrade

=======================================================

7ba9b2c: Mon Aug 3 11:59:26 2015 +0200 Tom Reijnders
Add decision to available templates during upgrade

=======================================================

9f26109: Fri Jul 31 14:54:02 2015 +0100 John Smith
Patch zenith to use new editorVersion flag

=======================================================

7fbbe58: Fri Jul 31 14:54:02 2015 +0100 John Smith
Patch zenith to use new editorVersion flag

=======================================================

32b2d73: Fri Jul 31 12:17:31 2015 +0100 John Smith
Add flag to xml for new Nottingham templates only for now

=======================================================

a6354aa: Fri Jul 31 12:17:31 2015 +0100 John Smith
Add flag to xml for new Nottingham templates only for now

=======================================================

eb5a5e1: Thu Jul 30 16:35:12 2015 +0100 John Smith
Revert "Part of fix for carriage return issues"

This reverts commit 9bcec50e4ab3d97d98df24858a7f80aa7211513c.

=======================================================

c122c26: Thu Jul 30 16:35:12 2015 +0100 John Smith
Revert "Part of fix for carriage return issues"

This reverts commit 9bcec50e4ab3d97d98df24858a7f80aa7211513c.

=======================================================

9bcec50: Thu Jul 30 15:06:05 2015 +0100 John Smith
Part of fix for carriage return issues

=======================================================

d0bf73f: Thu Jul 30 15:06:05 2015 +0100 John Smith
Part of fix for carriage return issues

=======================================================

fa22027: Wed Jul 29 18:37:22 2015 +0100 John Smith
Fix suggested by John Horne on community site http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=893&Itemid=207&lang=en#2938

=======================================================

964c1ec: Wed Jul 29 18:37:22 2015 +0100 John Smith
Fix suggested by John Horne on community site http://www.xerte.org.uk/index.php?option=com_kunena&view=topic&catid=4&id=893&Itemid=207&lang=en#2938

=======================================================

2dbec75: Wed Jul 29 14:43:39 2015 +0100 Ron Mitchell
Replacing Camtasia export files with a deployment export of the mp4 in a xerte video page as a result of the discussion on the community site about Flash detection. Could compress the mp4 further to reduce total size but would lose text sharpness as a result.

=======================================================

6a8948c: Wed Jul 29 14:43:39 2015 +0100 Ron Mitchell
Replacing Camtasia export files with a deployment export of the mp4 in a xerte video page as a result of the discussion on the community site about Flash detection. Could compress the mp4 further to reduce total size but would lose text sharpness as a result.

=======================================================

ce311fc: Wed Jul 29 11:23:06 2015 +0100 Julian Tenney
Small  fix to bring congruity to the login / logout buttons, as raised on the forum.

=======================================================

7ad2195: Wed Jul 29 11:23:06 2015 +0100 Julian Tenney
Small  fix to bring congruity to the login / logout buttons, as raised on the forum.

=======================================================

d148136: Tue Jul 28 14:43:54 2015 +0100 Ron Mitchell
Looks like that revert was hasty so have removed the onselectstart="return false;" again.

=======================================================

3bd4537: Tue Jul 28 14:43:54 2015 +0100 Ron Mitchell
Looks like that revert was hasty so have removed the onselectstart="return false;" again.

=======================================================

b0e4445: Tue Jul 28 14:32:01 2015 +0100 Ron Mitchell
oh! Putting the onselectstart="return false;" back in because what seems very odd but without it creating a new decision template stops working. This means the selection of embed code in the project details pane is still a problem.

=======================================================

3fdece7: Tue Jul 28 14:32:01 2015 +0100 Ron Mitchell
oh! Putting the onselectstart="return false;" back in because what seems very odd but without it creating a new decision template stops working. This means the selection of embed code in the project details pane is still a problem.

=======================================================

b508af6: Tue Jul 28 13:41:36 2015 +0100 Ron Mitchell
removed body onselectstart="return false;" from index.php to fix issue #362 preventing selection of embed code when using IE in project details panel. Removing this doesn't prevent the project tree drag and drop from working but having said that drag and drop in the project tree doesn't work on iPad with or without this line.

=======================================================

653aed4: Tue Jul 28 13:41:36 2015 +0100 Ron Mitchell
removed body onselectstart="return false;" from index.php to fix issue #362 preventing selection of embed code when using IE in project details panel. Removing this doesn't prevent the project tree drag and drop from working but having said that drag and drop in the project tree doesn't work on iPad with or without this line.

=======================================================

55a0445: Tue Jul 28 14:11:45 2015 +0200 Tom Reijnders
Add translation of Optional Properties, HTML editor

=======================================================

a2e3c23: Tue Jul 28 14:11:45 2015 +0200 Tom Reijnders
Add translation of Optional Properties, HTML editor

=======================================================

45b29a8: Tue Jul 28 11:43:26 2015 +0100 The Xerte Project
updated slightly

=======================================================

dfa70a6: Tue Jul 28 11:43:26 2015 +0100 The Xerte Project
updated slightly

=======================================================

564271b: Tue Jul 28 10:08:41 2015 +0100 Julian Tenney
few more updates to the doc.

=======================================================

c40960c: Tue Jul 28 10:08:41 2015 +0100 Julian Tenney
few more updates to the doc.

=======================================================

beeea00: Tue Jul 28 08:03:20 2015 +0100 John Smith
Fix language support for issue #361

=======================================================

158a294: Tue Jul 28 08:03:20 2015 +0100 John Smith
Fix language support for issue #361

=======================================================

f0e20fe: Tue Jul 28 07:24:35 2015 +0100 John Smith
Fix for mediaMetadata problem in issue #361

=======================================================

fb2cc69: Tue Jul 28 07:24:35 2015 +0100 John Smith
Fix for mediaMetadata problem in issue #361

=======================================================

2eade5a: Mon Jul 27 20:11:40 2015 +0100 John Smith
Hide the 'Insert Page Break for Printing' button from the large ckeditor in response to #198

=======================================================

1538550: Mon Jul 27 20:11:40 2015 +0100 John Smith
Hide the 'Insert Page Break for Printing' button from the large ckeditor in response to #198

=======================================================

57863b0: Mon Jul 27 16:29:36 2015 +0100 John Smith
Add some space at the bottom so that you can get to the last button when screen size is small

=======================================================

26aae4d: Mon Jul 27 16:29:36 2015 +0100 John Smith
Add some space at the bottom so that you can get to the last button when screen size is small

=======================================================

e82ab8a: Mon Jul 27 15:23:36 2015 +0100 The Xerte Project
Release Notes

=======================================================

5cdedd4: Mon Jul 27 15:23:36 2015 +0100 The Xerte Project
Release Notes

=======================================================

7a9ba2d: Mon Jul 27 14:43:45 2015 +0100 Ron Mitchell
adding media element folder from xerte module to decision module - seems to fix the issue of the broken links in the decision template rolObbject.htm and audio or video media not displaying/playing.

=======================================================

a4d7f3d: Mon Jul 27 14:43:45 2015 +0100 Ron Mitchell
adding media element folder from xerte module to decision module - seems to fix the issue of the broken links in the decision template rolObbject.htm and audio or video media not displaying/playing.

=======================================================

8fb870a: Mon Jul 27 13:55:22 2015 +0100 John Smith
Fix for #359 - make FileLocation paths absolute

=======================================================

df33273: Mon Jul 27 13:55:22 2015 +0100 John Smith
Fix for #359 - make FileLocation paths absolute

=======================================================

1c32fa5: Mon Jul 27 10:18:03 2015 +0100 The Xerte Project
Updated license info

=======================================================

5b6ade1: Mon Jul 27 10:18:03 2015 +0100 The Xerte Project
Updated license info

=======================================================

53c3e89: Mon Jul 27 00:10:36 2015 +0100 Ron Mitchell
oops, had commented out my own fix to take a screenshot of what id did look like. Uncommented now.

=======================================================

9bd88a9: Mon Jul 27 00:10:36 2015 +0100 Ron Mitchell
oops, had commented out my own fix to take a screenshot of what id did look like. Uncommented now.

=======================================================

6f0fac4: Sun Jul 26 23:59:58 2015 +0200 Tom Reijnders
Fix local <-> absolute conversions on safe and looading

=======================================================

9531f5f: Sun Jul 26 23:59:58 2015 +0200 Tom Reijnders
Fix local <-> absolute conversions on safe and looading

=======================================================

da944b3: Sun Jul 26 23:31:18 2015 +0200 Tom Reijnders
Cleanup

=======================================================

002d7db: Sun Jul 26 23:31:18 2015 +0200 Tom Reijnders
Cleanup

=======================================================

37caa23: Sun Jul 26 23:30:13 2015 +0200 Tom Reijnders
Fix gift template for templates with really big files

=======================================================

d707ec5: Sun Jul 26 23:30:13 2015 +0200 Tom Reijnders
Fix gift template for templates with really big files

=======================================================

717798e: Sun Jul 26 23:28:55 2015 +0200 Tom Reijnders
Fix import (creation of folders in new archive zip)

=======================================================

85be33a: Sun Jul 26 23:28:55 2015 +0200 Tom Reijnders
Fix import (creation of folders in new archive zip)

=======================================================

de3fa07: Sun Jul 26 20:18:23 2015 +0100 John Smith
Fix #358 so that only the Ticks are hidden...

...and not all images when you leave and return...
=======================================================

5f5bf89: Sun Jul 26 20:18:23 2015 +0100 John Smith
Fix #358 so that only the Ticks are hidden...

...and not all images when you leave and return...
=======================================================

4d85873: Sun Jul 26 20:14:28 2015 +0100 John Smith
Update dialog.html

Fix #358 so that only the tick image is hidden
=======================================================

1c500ea: Sun Jul 26 20:14:28 2015 +0100 John Smith
Update dialog.html

Fix #358 so that only the tick image is hidden
=======================================================

c611dea: Sun Jul 26 19:46:50 2015 +0100 Ron Mitchell
Remove border around Before, After and At End buttons when using IE and insert 3px margin-right.

=======================================================

9d6b0e7: Sun Jul 26 19:46:50 2015 +0100 Ron Mitchell
Remove border around Before, After and At End buttons when using IE and insert 3px margin-right.

=======================================================

a2cc358: Sat Jul 25 17:48:03 2015 +0200 Tom Reijnders
Improvement and fixes to LDAP

=======================================================

2621ce0: Sat Jul 25 17:48:03 2015 +0200 Tom Reijnders
Improvement and fixes to LDAP

=======================================================

e90aee9: Sat Jul 25 15:49:18 2015 +0200 Tom Reijnders
Fix for right logo as well.

=======================================================

4a637ab: Sat Jul 25 15:49:18 2015 +0200 Tom Reijnders
Fix for right logo as well.

=======================================================

afd1839: Sat Jul 25 15:45:01 2015 +0200 Tom Reijnders
Disable check button when showing a new question

=======================================================

f966be2: Sat Jul 25 15:45:01 2015 +0200 Tom Reijnders
Disable check button when showing a new question

=======================================================

d538e39: Sat Jul 25 15:42:28 2015 +0200 Tom Reijnders
Fix export #352

- At the same time insert the youtube_api_key in the proper way. It used
  to end up in a <script> tag after </html> NOTE: The youtube_api_key will
  end up and work in exported LO's as well.

=======================================================

d90bb3c: Sat Jul 25 15:42:28 2015 +0200 Tom Reijnders
Fix export #352

- At the same time insert the youtube_api_key in the proper way. It used
  to end up in a <script> tag after </html> NOTE: The youtube_api_key will
  end up and work in exported LO's as well.

=======================================================

6721859: Fri Jul 24 11:58:54 2015 +0200 Tom Reijnders
Check button was not disabled when a new question is loaded

=======================================================

28c151e: Fri Jul 24 11:58:54 2015 +0200 Tom Reijnders
Check button was not disabled when a new question is loaded

=======================================================

677c135: Thu Jul 23 22:17:27 2015 +0100 Ron Mitchell
Corrected typo reported on community site: Press here for a full install

=======================================================

9c5ba13: Thu Jul 23 22:17:27 2015 +0100 Ron Mitchell
Corrected typo reported on community site: Press here for a full install

=======================================================

0ffbb32: Thu Jul 23 16:29:01 2015 +0100 Ron Mitchell
New version of the tutorial linked from the login page.

=======================================================

c69827e: Thu Jul 23 16:29:01 2015 +0100 Ron Mitchell
New version of the tutorial linked from the login page.

=======================================================

b284f24: Thu Jul 23 15:15:20 2015 +0100 Julian Tenney
Fixed self inflicted insert button issue

=======================================================

67ba7bd: Thu Jul 23 15:15:20 2015 +0100 Julian Tenney
Fixed self inflicted insert button issue

=======================================================

5f88919: Thu Jul 23 14:18:48 2015 +0100 Julian Tenney
Some small typos, and a new front page image.

=======================================================

753897f: Thu Jul 23 14:18:48 2015 +0100 Julian Tenney
Some small typos, and a new front page image.

=======================================================

72a6663: Thu Jul 23 13:08:58 2015 +0100 Julian Tenney
35px wide workspace buttons

=======================================================

fb56863: Thu Jul 23 13:08:58 2015 +0100 Julian Tenney
35px wide workspace buttons

=======================================================

2265f5e: Thu Jul 23 12:56:55 2015 +0100 Julian Tenney
Makes the workspace buttons just a little bit smaller.

=======================================================

2e7f3e9: Thu Jul 23 12:56:55 2015 +0100 Julian Tenney
Makes the workspace buttons just a little bit smaller.

=======================================================

e850aa0: Thu Jul 23 12:56:12 2015 +0100 Julian Tenney
re-orders the buttons Edit - Properties - Preview - Folder - Delete - Dupe - Publish

=======================================================

691f7ed: Thu Jul 23 12:56:12 2015 +0100 Julian Tenney
re-orders the buttons Edit - Properties - Preview - Folder - Delete - Dupe - Publish

=======================================================

0f4ffae: Thu Jul 23 12:41:12 2015 +0100 Ron Mitchell
fix for issue #357 - just change link to logo_left.png to branding/logo_left.png without root_file_path

=======================================================

379ffa1: Thu Jul 23 12:41:12 2015 +0100 Ron Mitchell
fix for issue #357 - just change link to logo_left.png to branding/logo_left.png without root_file_path

=======================================================

09e7791: Thu Jul 23 12:33:18 2015 +0100 Ron Mitchell
35px looks best to me. @Julian try it and change back to 40px if you prefer.

=======================================================

647b0ed: Thu Jul 23 12:33:18 2015 +0100 Ron Mitchell
35px looks best to me. @Julian try it and change back to 40px if you prefer.

=======================================================

f1a0771: Thu Jul 23 12:28:52 2015 +0100 Ron Mitchell
Phew! Added fa icons to management pages. Note: initially added fa fa-eye to the show buttons but couldn't work out how to re-add after clicking hide then show again. If that can be done then hide is fa-eye-slash

=======================================================

a1d138d: Thu Jul 23 12:28:52 2015 +0100 Ron Mitchell
Phew! Added fa icons to management pages. Note: initially added fa fa-eye to the show buttons but couldn't work out how to re-add after clicking hide then show again. If that can be done then hide is fa-eye-slash

=======================================================

76d7b2e: Thu Jul 23 08:40:56 2015 +0100 Ron Mitchell
change of sharing remove icon

=======================================================

a0cb572: Thu Jul 23 08:40:56 2015 +0100 Ron Mitchell
change of sharing remove icon

=======================================================

6183670: Wed Jul 22 19:40:51 2015 +0100 Ron Mitchell
fa icon added to button on import tab.

=======================================================

6cb8b8f: Wed Jul 22 19:40:51 2015 +0100 Ron Mitchell
fa icon added to button on import tab.

=======================================================

75d0ced: Wed Jul 22 19:28:09 2015 +0100 Ron Mitchell
re added the width: 45px from Julian's earlier change.

=======================================================

d585829: Wed Jul 22 19:28:09 2015 +0100 Ron Mitchell
re added the width: 45px from Julian's earlier change.

=======================================================

d4404bb: Wed Jul 22 18:55:06 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

5c2e86a: Wed Jul 22 18:55:06 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

a4dd1b5: Wed Jul 22 18:54:41 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

1f14c95: Wed Jul 22 18:54:41 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

7a3fd9a: Wed Jul 22 18:54:04 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

94fe5e5: Wed Jul 22 18:54:04 2015 +0100 Ron Mitchell
fa icons added.

=======================================================

aa82527: Wed Jul 22 18:52:12 2015 +0100 Ron Mitchell
fa icons added

=======================================================

50ea16e: Wed Jul 22 18:52:12 2015 +0100 Ron Mitchell
fa icons added

=======================================================

e2d0a42: Wed Jul 22 18:49:52 2015 +0100 Ron Mitchell
fa icons added

=======================================================

331f545: Wed Jul 22 18:49:52 2015 +0100 Ron Mitchell
fa icons added

=======================================================

dee5db8: Wed Jul 22 16:27:29 2015 +0100 Julian Tenney
Duh.

=======================================================

b54fc63: Wed Jul 22 16:27:29 2015 +0100 Julian Tenney
Duh.

=======================================================

07ac5c9: Wed Jul 22 16:21:11 2015 +0100 Julian Tenney
Added some notes on login.png to the branding notes.

=======================================================

97700ee: Wed Jul 22 16:21:11 2015 +0100 Julian Tenney
Added some notes on login.png to the branding notes.

=======================================================

d9e61f0: Wed Jul 22 16:18:55 2015 +0100 Julian Tenney
Updated the login page image with Xerte logo, apereo logo and osi logo, also added the png to source so that institutions canmake their own easily

=======================================================

bb402f9: Wed Jul 22 16:18:55 2015 +0100 Julian Tenney
Updated the login page image with Xerte logo, apereo logo and osi logo, also added the png to source so that institutions canmake their own easily

=======================================================

3905307: Wed Jul 22 14:57:47 2015 +0100 Julian Tenney
Just tidied up the initial state of the buttons so they don't flicker

=======================================================

4973bc5: Wed Jul 22 14:57:47 2015 +0100 Julian Tenney
Just tidied up the initial state of the buttons so they don't flicker

=======================================================

85b658f: Wed Jul 22 14:24:58 2015 +0100 Julian Tenney
made the workspace buttons 45px wide

=======================================================

4660753: Wed Jul 22 14:24:58 2015 +0100 Julian Tenney
made the workspace buttons 45px wide

=======================================================

340889e: Wed Jul 22 14:10:52 2015 +0100 Julian Tenney
Updated fa icon usage

=======================================================

2abb837: Wed Jul 22 14:10:52 2015 +0100 Julian Tenney
Updated fa icon usage

=======================================================

cb4b604: Wed Jul 22 14:01:02 2015 +0100 Julian Tenney
Gives separate styles to the workspace buttons so they can be a bit larger without breaking all the other layout relying on button sizes.

=======================================================

55711ce: Wed Jul 22 14:01:02 2015 +0100 Julian Tenney
Gives separate styles to the workspace buttons so they can be a bit larger without breaking all the other layout relying on button sizes.

=======================================================

34e1b80: Wed Jul 22 12:14:52 2015 +0100 Julian Tenney
tweaks to properties tab icons

=======================================================

642ef1d: Wed Jul 22 12:14:52 2015 +0100 Julian Tenney
tweaks to properties tab icons

=======================================================

bd88e3f: Wed Jul 22 11:59:18 2015 +0100 Julian Tenney
Icons for properties panel tabs

=======================================================

ee6af3b: Wed Jul 22 11:59:18 2015 +0100 Julian Tenney
Icons for properties panel tabs

=======================================================

c7fb5f8: Wed Jul 22 10:30:39 2015 +0100 Julian Tenney
This puts the insert buttons on the same line in the editor.

=======================================================

3791d0c: Wed Jul 22 10:30:39 2015 +0100 Julian Tenney
This puts the insert buttons on the same line in the editor.

=======================================================

a08ecf3: Wed Jul 22 09:52:15 2015 +0100 Ron Mitchell
Small tweaks to css.
1. to allow three lines of welcome text on the login page e.g. Welcome to some organisation name Xerte Online Toolkits.
2. Tweak to xerte buttons css - buttons too large on management page.

=======================================================

e2c390b: Wed Jul 22 09:52:15 2015 +0100 Ron Mitchell
Small tweaks to css.
1. to allow three lines of welcome text on the login page e.g. Welcome to some organisation name Xerte Online Toolkits.
2. Tweak to xerte buttons css - buttons too large on management page.

=======================================================

1c823ab: Tue Jul 21 15:26:38 2015 +0100 Julian Tenney
Should also fix exported xerte projects. Again, Tom might be able to handle this better during the export process, which would leave the code clean here.

=======================================================

5eeb837: Tue Jul 21 15:26:38 2015 +0100 Julian Tenney
Should also fix exported xerte projects. Again, Tom might be able to handle this better during the export process, which would leave the code clean here.

=======================================================

237e922: Tue Jul 21 15:24:24 2015 +0100 Julian Tenney
Fix for exported site projects not having Filelocation set. This may not be the best solution.

=======================================================

2cea50d: Tue Jul 21 15:24:24 2015 +0100 Julian Tenney
Fix for exported site projects not having Filelocation set. This may not be the best solution.

=======================================================

2dc6f22: Tue Jul 21 15:20:22 2015 +0100 Ron Mitchell
added a &nbsp; at the end of the create button to improve the space before the end of the button. Can't do via css because that would affect the buttons with just icons too.

=======================================================

